ome-xml 5.2.3

Public Member Functions | Private Attributes | List of all members
ome::xml::meta::FilterMetadata Class Reference

Filtered metadata store. More...

`#include <ome/xml/meta/FilterMetadata.h>`

Inheritance diagram for ome::xml::meta::FilterMetadata:
[legend]
Collaboration diagram for ome::xml::meta::FilterMetadata:
[legend]

## Public Member Functions
| FilterMetadata (ome::compat::shared_ptr< MetadataStore > &store, bool filter)
| Constructor. More...
virtual | ~FilterMetadata ()
| Destructor.
void | createRoot ()
| Create root node. More...
ome::compat::shared_ptr< MetadataRoot > & | getRoot ()
| Get the root node of the metadata. More...
void | setRoot (ome::compat::shared_ptr< MetadataRoot > &root)
| Set the root node of the metadata. More...
void | setUUID (const std::string &uuid)
| Set the UUID associated with this collection of metadata. More...
void | setMapAnnotationValue (const ome::xml::model::primitives::OrderedMultimap &value, index_type mapAnnotationIndex)
| Set the map value of MapAnnotation. More...
void | setGenericExcitationSourceMap (const ome::xml::model::primitives::OrderedMultimap &value, index_type instrumentIndex, index_type lightSourceIndex)
| Set the map value of GenericExcitationSource. More...
void | setImagingEnvironmentMap (const ome::xml::model::primitives::OrderedMultimap &value, index_type imageIndex)
| Set the map value of ImagingEnvironment. More...
void | setArcAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Arc. More...
void | setArcID (const std::string &id, index_type instrumentIndex, index_type lightSourceIndex)
| Set the ID property of Arc. More...
void | setArcLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type lightSourceIndex)
| Set the LotNumber property of Arc. More...
void | setArcManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Manufacturer property of Arc. More...
void | setArcModel (const std::string &model, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Model property of Arc. More...
void | setArcPower (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > power, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Power property of Arc. More...
void | setArcSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type lightSourceIndex)
| Set the SerialNumber property of Arc. More...
void | setArcType (ome::xml::model::enums::ArcType type, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Type property of Arc. More...
void | setBinaryFileBinData (const std::vector< uint8_t > &base64Binary, index_type fileAnnotationIndex)
| Set the Base64Binary property of BinData. More...
void | setMaskBinData (const std::vector< uint8_t > &base64Binary, index_type ROIIndex, index_type shapeIndex)
| Set the Base64Binary property of BinData. More...
void | setPixelsBinData (const std::vector< uint8_t > &base64Binary, index_type imageIndex, index_type binDataIndex)
| Set the Base64Binary property of BinData. More...
void | setBinaryFileBinDataBigEndian (bool bigEndian, index_type fileAnnotationIndex)
| Set the BigEndian property of BinData. More...
void | setMaskBinDataBigEndian (bool bigEndian, index_type ROIIndex, index_type shapeIndex)
| Set the BigEndian property of BinData. More...
void | setPixelsBinDataBigEndian (bool bigEndian, index_type imageIndex, index_type binDataIndex)
| Set the BigEndian property of BinData. More...
void | setBinaryFileBinDataCompression (ome::xml::model::enums::Compression compression, index_type fileAnnotationIndex)
| Set the Compression property of BinData. More...
void | setMaskBinDataCompression (ome::xml::model::enums::Compression compression, index_type ROIIndex, index_type shapeIndex)
| Set the Compression property of BinData. More...
void | setPixelsBinDataCompression (ome::xml::model::enums::Compression compression, index_type imageIndex, index_type binDataIndex)
| Set the Compression property of BinData. More...
void | setBinaryFileBinDataLength (ome::xml::model::primitives::NonNegativeLong length, index_type fileAnnotationIndex)
| Set the Length property of BinData. More...
void | setMaskBinDataLength (ome::xml::model::primitives::NonNegativeLong length, index_type ROIIndex, index_type shapeIndex)
| Set the Length property of BinData. More...
void | setPixelsBinDataLength (ome::xml::model::primitives::NonNegativeLong length, index_type imageIndex, index_type binDataIndex)
| Set the Length property of BinData. More...
void | setBinaryFileFileName (const std::string &fileName, index_type fileAnnotationIndex)
| Set the FileName property of BinaryFile. More...
void | setBinaryFileMIMEType (const std::string &mimeType, index_type fileAnnotationIndex)
| Set the MIMEType property of BinaryFile. More...
void | setBinaryFileSize (ome::xml::model::primitives::NonNegativeLong size, index_type fileAnnotationIndex)
| Set the Size property of BinaryFile. More...
void | setBinaryOnlyMetadataFile (const std::string &metadataFile)
| Set the MetadataFile property of BinaryOnly. More...
void | setBinaryOnlyUUID (const std::string &uuid)
| Set the UUID property of BinaryOnly. More...
void | setBooleanAnnotationAnnotationRef (const std::string &annotation, index_type booleanAnnotationIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of BooleanAnnotation. More...
void | setBooleanAnnotationAnnotator (const std::string &annotator, index_type booleanAnnotationIndex)
| Set the Annotator property of BooleanAnnotation. More...
void | setBooleanAnnotationDescription (const std::string &description, index_type booleanAnnotationIndex)
| Set the Description property of BooleanAnnotation. More...
void | setBooleanAnnotationID (const std::string &id, index_type booleanAnnotationIndex)
| Set the ID property of BooleanAnnotation. More...
void | setBooleanAnnotationNamespace (const std::string &namespace_, index_type booleanAnnotationIndex)
| Set the Namespace property of BooleanAnnotation. More...
void | setBooleanAnnotationValue (bool value, index_type booleanAnnotationIndex)
| Set the Value property of BooleanAnnotation. More...
void | setChannelAcquisitionMode (ome::xml::model::enums::AcquisitionMode acquisitionMode, index_type imageIndex, index_type channelIndex)
| Set the AcquisitionMode property of Channel. More...
void | setChannelAnnotationRef (const std::string &annotation, index_type imageIndex, index_type channelIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Channel. More...
void | setChannelColor (ome::xml::model::primitives::Color color, index_type imageIndex, index_type channelIndex)
| Set the Color property of Channel. More...
void | setChannelContrastMethod (ome::xml::model::enums::ContrastMethod contrastMethod, index_type imageIndex, index_type channelIndex)
| Set the ContrastMethod property of Channel. More...
void | setChannelEmissionWavelength (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > emissionWavelength, index_type imageIndex, index_type channelIndex)
| Set the EmissionWavelength property of Channel. More...
void | setChannelExcitationWavelength (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > excitationWavelength, index_type imageIndex, index_type channelIndex)
| Set the ExcitationWavelength property of Channel. More...
void | setChannelFilterSetRef (const std::string &filterSet, index_type imageIndex, index_type channelIndex)
| Set the FilterSetRef property of Channel. More...
void | setChannelFluor (const std::string &fluor, index_type imageIndex, index_type channelIndex)
| Set the Fluor property of Channel. More...
void | setChannelID (const std::string &id, index_type imageIndex, index_type channelIndex)
| Set the ID property of Channel. More...
void | setChannelIlluminationType (ome::xml::model::enums::IlluminationType illuminationType, index_type imageIndex, index_type channelIndex)
| Set the IlluminationType property of Channel. More...
void | setChannelNDFilter (double ndFilter, index_type imageIndex, index_type channelIndex)
| Set the NDFilter property of Channel. More...
void | setChannelName (const std::string &name, index_type imageIndex, index_type channelIndex)
| Set the Name property of Channel. More...
void | setChannelPinholeSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > pinholeSize, index_type imageIndex, index_type channelIndex)
| Set the PinholeSize property of Channel. More...
void | setChannelPockelCellSetting (int32_t pockelCellSetting, index_type imageIndex, index_type channelIndex)
| Set the PockelCellSetting property of Channel. More...
void | setChannelSamplesPerPixel (ome::xml::model::primitives::PositiveInteger samplesPerPixel, index_type imageIndex, index_type channelIndex)
| Set the SamplesPerPixel property of Channel. More...
void | setCommentAnnotationAnnotationRef (const std::string &annotation, index_type commentAnnotationIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of CommentAnnotation. More...
void | setCommentAnnotationAnnotator (const std::string &annotator, index_type commentAnnotationIndex)
| Set the Annotator property of CommentAnnotation. More...
void | setCommentAnnotationDescription (const std::string &description, index_type commentAnnotationIndex)
| Set the Description property of CommentAnnotation. More...
void | setCommentAnnotationID (const std::string &id, index_type commentAnnotationIndex)
| Set the ID property of CommentAnnotation. More...
void | setCommentAnnotationNamespace (const std::string &namespace_, index_type commentAnnotationIndex)
| Set the Namespace property of CommentAnnotation. More...
void | setCommentAnnotationValue (const std::string &value, index_type commentAnnotationIndex)
| Set the Value property of CommentAnnotation. More...
void | setDatasetAnnotationRef (const std::string &annotation, index_type datasetIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Dataset. More...
void | setDatasetDescription (const std::string &description, index_type datasetIndex)
| Set the Description property of Dataset. More...
void | setDatasetExperimenterGroupRef (const std::string &experimenterGroup, index_type datasetIndex)
| Set the ExperimenterGroupRef property of Dataset. More...
void | setDatasetExperimenterRef (const std::string &experimenter, index_type datasetIndex)
| Set the ExperimenterRef property of Dataset. More...
void | setDatasetID (const std::string &id, index_type datasetIndex)
| Set the ID property of Dataset. More...
void | setDatasetImageRef (const std::string &image, index_type datasetIndex, index_type imageRefIndex)
| Set the ImageRef property of Dataset. More...
void | setDatasetName (const std::string &name, index_type datasetIndex)
| Set the Name property of Dataset. More...
void | setDetectorAmplificationGain (double amplificationGain, index_type instrumentIndex, index_type detectorIndex)
| Set the AmplificationGain property of Detector. More...
void | setDetectorAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type detectorIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Detector. More...
void | setDetectorGain (double gain, index_type instrumentIndex, index_type detectorIndex)
| Set the Gain property of Detector. More...
void | setDetectorID (const std::string &id, index_type instrumentIndex, index_type detectorIndex)
| Set the ID property of Detector. More...
void | setDetectorLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type detectorIndex)
| Set the LotNumber property of Detector. More...
void | setDetectorManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type detectorIndex)
| Set the Manufacturer property of Detector. More...
void | setDetectorModel (const std::string &model, index_type instrumentIndex, index_type detectorIndex)
| Set the Model property of Detector. More...
void | setDetectorOffset (double offset, index_type instrumentIndex, index_type detectorIndex)
| Set the Offset property of Detector. More...
void | setDetectorSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type detectorIndex)
| Set the SerialNumber property of Detector. More...
void | setDetectorType (ome::xml::model::enums::DetectorType type, index_type instrumentIndex, index_type detectorIndex)
| Set the Type property of Detector. More...
void | setDetectorVoltage (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsElectricPotential > voltage, index_type instrumentIndex, index_type detectorIndex)
| Set the Voltage property of Detector. More...
void | setDetectorZoom (double zoom, index_type instrumentIndex, index_type detectorIndex)
| Set the Zoom property of Detector. More...
void | setDetectorSettingsBinning (ome::xml::model::enums::Binning binning, index_type imageIndex, index_type channelIndex)
| Set the Binning property of DetectorSettings. More...
void | setDetectorSettingsGain (double gain, index_type imageIndex, index_type channelIndex)
| Set the Gain property of DetectorSettings. More...
void | setDetectorSettingsID (const std::string &id, index_type imageIndex, index_type channelIndex)
| Set the ID property of DetectorSettings. More...
void | setDetectorSettingsIntegration (ome::xml::model::primitives::PositiveInteger integration, index_type imageIndex, index_type channelIndex)
| Set the Integration property of DetectorSettings. More...
void | setDetectorSettingsOffset (double offset, index_type imageIndex, index_type channelIndex)
| Set the Offset property of DetectorSettings. More...
void | setDetectorSettingsReadOutRate (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsFrequency > readOutRate, index_type imageIndex, index_type channelIndex)
| Set the ReadOutRate property of DetectorSettings. More...
void | setDetectorSettingsVoltage (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsElectricPotential > voltage, index_type imageIndex, index_type channelIndex)
| Set the Voltage property of DetectorSettings. More...
void | setDetectorSettingsZoom (double zoom, index_type imageIndex, index_type channelIndex)
| Set the Zoom property of DetectorSettings. More...
void | setDichroicAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type dichroicIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Dichroic. More...
void | setDichroicID (const std::string &id, index_type instrumentIndex, index_type dichroicIndex)
| Set the ID property of Dichroic. More...
void | setDichroicLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type dichroicIndex)
| Set the LotNumber property of Dichroic. More...
void | setDichroicManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type dichroicIndex)
| Set the Manufacturer property of Dichroic. More...
void | setDichroicModel (const std::string &model, index_type instrumentIndex, index_type dichroicIndex)
| Set the Model property of Dichroic. More...
void | setDichroicSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type dichroicIndex)
| Set the SerialNumber property of Dichroic. More...
void | setDoubleAnnotationAnnotationRef (const std::string &annotation, index_type doubleAnnotationIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of DoubleAnnotation. More...
void | setDoubleAnnotationAnnotator (const std::string &annotator, index_type doubleAnnotationIndex)
| Set the Annotator property of DoubleAnnotation. More...
void | setDoubleAnnotationDescription (const std::string &description, index_type doubleAnnotationIndex)
| Set the Description property of DoubleAnnotation. More...
void | setDoubleAnnotationID (const std::string &id, index_type doubleAnnotationIndex)
| Set the ID property of DoubleAnnotation. More...
void | setDoubleAnnotationNamespace (const std::string &namespace_, index_type doubleAnnotationIndex)
| Set the Namespace property of DoubleAnnotation. More...
void | setDoubleAnnotationValue (double value, index_type doubleAnnotationIndex)
| Set the Value property of DoubleAnnotation. More...
void | setEllipseAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Ellipse. More...
void | setEllipseFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)
| Set the FillColor property of Ellipse. More...
void | setEllipseFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)
| Set the FillRule property of Ellipse. More...
void | setEllipseFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)
| Set the FontFamily property of Ellipse. More...
void | setEllipseFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)
| Set the FontSize property of Ellipse. More...
void | setEllipseFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)
| Set the FontStyle property of Ellipse. More...
void | setEllipseID (const std::string &id, index_type ROIIndex, index_type shapeIndex)
| Set the ID property of Ellipse. More...
void | setEllipseLocked (bool locked, index_type ROIIndex, index_type shapeIndex)
| Set the Locked property of Ellipse. More...
void | setEllipseRadiusX (double radiusX, index_type ROIIndex, index_type shapeIndex)
| Set the RadiusX property of Ellipse. More...
void | setEllipseRadiusY (double radiusY, index_type ROIIndex, index_type shapeIndex)
| Set the RadiusY property of Ellipse. More...
void | setEllipseStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeColor property of Ellipse. More...
void | setEllipseStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeDashArray property of Ellipse. More...
void | setEllipseStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeWidth property of Ellipse. More...
void | setEllipseText (const std::string &text, index_type ROIIndex, index_type shapeIndex)
| Set the Text property of Ellipse. More...
void | setEllipseTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)
| Set the TheC property of Ellipse. More...
void | setEllipseTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)
| Set the TheT property of Ellipse. More...
void | setEllipseTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)
| Set the TheZ property of Ellipse. More...
void | setEllipseTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)
| Set the Transform property of Ellipse. More...
void | setEllipseX (double x, index_type ROIIndex, index_type shapeIndex)
| Set the X property of Ellipse. More...
void | setEllipseY (double y, index_type ROIIndex, index_type shapeIndex)
| Set the Y property of Ellipse. More...
void | setExperimentDescription (const std::string &description, index_type experimentIndex)
| Set the Description property of Experiment. More...
void | setExperimentExperimenterRef (const std::string &experimenter, index_type experimentIndex)
| Set the ExperimenterRef property of Experiment. More...
void | setExperimentID (const std::string &id, index_type experimentIndex)
| Set the ID property of Experiment. More...
void | setExperimentType (ome::xml::model::enums::ExperimentType type, index_type experimentIndex)
| Set the Type property of Experiment. More...
void | setExperimenterAnnotationRef (const std::string &annotation, index_type experimenterIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Experimenter. More...
void | setExperimenterEmail (const std::string &email, index_type experimenterIndex)
| Set the Email property of Experimenter. More...
void | setExperimenterFirstName (const std::string &firstName, index_type experimenterIndex)
| Set the FirstName property of Experimenter. More...
void | setExperimenterID (const std::string &id, index_type experimenterIndex)
| Set the ID property of Experimenter. More...
void | setExperimenterInstitution (const std::string &institution, index_type experimenterIndex)
| Set the Institution property of Experimenter. More...
void | setExperimenterLastName (const std::string &lastName, index_type experimenterIndex)
| Set the LastName property of Experimenter. More...
void | setExperimenterMiddleName (const std::string &middleName, index_type experimenterIndex)
| Set the MiddleName property of Experimenter. More...
void | setExperimenterUserName (const std::string &userName, index_type experimenterIndex)
| Set the UserName property of Experimenter. More...
void | setExperimenterGroupAnnotationRef (const std::string &annotation, index_type experimenterGroupIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of ExperimenterGroup. More...
void | setExperimenterGroupDescription (const std::string &description, index_type experimenterGroupIndex)
| Set the Description property of ExperimenterGroup. More...
void | setExperimenterGroupExperimenterRef (const std::string &experimenter, index_type experimenterGroupIndex, index_type experimenterRefIndex)
| Set the ExperimenterRef property of ExperimenterGroup. More...
void | setExperimenterGroupID (const std::string &id, index_type experimenterGroupIndex)
| Set the ID property of ExperimenterGroup. More...
void | setExperimenterGroupLeader (const std::string &leader, index_type experimenterGroupIndex, index_type leaderIndex)
| Set the Leader property of ExperimenterGroup. More...
void | setExperimenterGroupName (const std::string &name, index_type experimenterGroupIndex)
| Set the Name property of ExperimenterGroup. More...
void | setFilamentAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Filament. More...
void | setFilamentID (const std::string &id, index_type instrumentIndex, index_type lightSourceIndex)
| Set the ID property of Filament. More...
void | setFilamentLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type lightSourceIndex)
| Set the LotNumber property of Filament. More...
void | setFilamentManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Manufacturer property of Filament. More...
void | setFilamentModel (const std::string &model, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Model property of Filament. More...
void | setFilamentPower (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > power, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Power property of Filament. More...
void | setFilamentSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type lightSourceIndex)
| Set the SerialNumber property of Filament. More...
void | setFilamentType (ome::xml::model::enums::FilamentType type, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Type property of Filament. More...
void | setFileAnnotationAnnotationRef (const std::string &annotation, index_type fileAnnotationIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of FileAnnotation. More...
void | setFileAnnotationAnnotator (const std::string &annotator, index_type fileAnnotationIndex)
| Set the Annotator property of FileAnnotation. More...
void | setFileAnnotationDescription (const std::string &description, index_type fileAnnotationIndex)
| Set the Description property of FileAnnotation. More...
void | setFileAnnotationID (const std::string &id, index_type fileAnnotationIndex)
| Set the ID property of FileAnnotation. More...
void | setFileAnnotationNamespace (const std::string &namespace_, index_type fileAnnotationIndex)
| Set the Namespace property of FileAnnotation. More...
void | setFilterAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type filterIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Filter. More...
void | setFilterFilterWheel (const std::string &filterWheel, index_type instrumentIndex, index_type filterIndex)
| Set the FilterWheel property of Filter. More...
void | setFilterID (const std::string &id, index_type instrumentIndex, index_type filterIndex)
| Set the ID property of Filter. More...
void | setFilterLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type filterIndex)
| Set the LotNumber property of Filter. More...
void | setFilterManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type filterIndex)
| Set the Manufacturer property of Filter. More...
void | setFilterModel (const std::string &model, index_type instrumentIndex, index_type filterIndex)
| Set the Model property of Filter. More...
void | setFilterSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type filterIndex)
| Set the SerialNumber property of Filter. More...
void | setFilterType (ome::xml::model::enums::FilterType type, index_type instrumentIndex, index_type filterIndex)
| Set the Type property of Filter. More...
void | setFilterSetDichroicRef (const std::string &dichroic, index_type instrumentIndex, index_type filterSetIndex)
| Set the DichroicRef property of FilterSet. More...
void | setFilterSetEmissionFilterRef (const std::string &emissionFilter, index_type instrumentIndex, index_type filterSetIndex, index_type emissionFilterRefIndex)
| Set the EmissionFilterRef property of FilterSet. More...
void | setFilterSetExcitationFilterRef (const std::string &excitationFilter, index_type instrumentIndex, index_type filterSetIndex, index_type excitationFilterRefIndex)
| Set the ExcitationFilterRef property of FilterSet. More...
void | setFilterSetID (const std::string &id, index_type instrumentIndex, index_type filterSetIndex)
| Set the ID property of FilterSet. More...
void | setFilterSetLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type filterSetIndex)
| Set the LotNumber property of FilterSet. More...
void | setFilterSetManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type filterSetIndex)
| Set the Manufacturer property of FilterSet. More...
void | setFilterSetModel (const std::string &model, index_type instrumentIndex, index_type filterSetIndex)
| Set the Model property of FilterSet. More...
void | setFilterSetSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type filterSetIndex)
| Set the SerialNumber property of FilterSet. More...
void | setFolderAnnotationRef (const std::string &annotation, index_type folderIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Folder. More...
void | setFolderDescription (const std::string &description, index_type folderIndex)
| Set the Description property of Folder. More...
void | setFolderFolderRef (const std::string &folder, index_type folderIndex, index_type folderRefIndex)
| Set the FolderRef property of Folder. More...
void | setFolderID (const std::string &id, index_type folderIndex)
| Set the ID property of Folder. More...
void | setFolderImageRef (const std::string &image, index_type folderIndex, index_type imageRefIndex)
| Set the ImageRef property of Folder. More...
void | setFolderName (const std::string &name, index_type folderIndex)
| Set the Name property of Folder. More...
void | setFolderROIRef (const std::string &roi, index_type folderIndex, index_type ROIRefIndex)
| Set the ROIRef property of Folder. More...
void | setGenericExcitationSourceAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of GenericExcitationSource. More...
void | setGenericExcitationSourceID (const std::string &id, index_type instrumentIndex, index_type lightSourceIndex)
| Set the ID property of GenericExcitationSource. More...
void | setGenericExcitationSourceLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type lightSourceIndex)
| Set the LotNumber property of GenericExcitationSource. More...
void | setGenericExcitationSourceManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Manufacturer property of GenericExcitationSource. More...
void | setGenericExcitationSourceModel (const std::string &model, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Model property of GenericExcitationSource. More...
void | setGenericExcitationSourcePower (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > power, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Power property of GenericExcitationSource. More...
void | setGenericExcitationSourceSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type lightSourceIndex)
| Set the SerialNumber property of GenericExcitationSource. More...
void | setImageAcquisitionDate (ome::xml::model::primitives::Timestamp acquisitionDate, index_type imageIndex)
| Set the AcquisitionDate property of Image. More...
void | setImageAnnotationRef (const std::string &annotation, index_type imageIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Image. More...
void | setImageDescription (const std::string &description, index_type imageIndex)
| Set the Description property of Image. More...
void | setImageExperimentRef (const std::string &experiment, index_type imageIndex)
| Set the ExperimentRef property of Image. More...
void | setImageExperimenterGroupRef (const std::string &experimenterGroup, index_type imageIndex)
| Set the ExperimenterGroupRef property of Image. More...
void | setImageExperimenterRef (const std::string &experimenter, index_type imageIndex)
| Set the ExperimenterRef property of Image. More...
void | setImageID (const std::string &id, index_type imageIndex)
| Set the ID property of Image. More...
void | setImageInstrumentRef (const std::string &instrument, index_type imageIndex)
| Set the InstrumentRef property of Image. More...
void | setImageMicrobeamManipulationRef (const std::string &microbeamManipulation, index_type imageIndex, index_type microbeamManipulationRefIndex)
| Set the MicrobeamManipulationRef property of Image. More...
void | setImageName (const std::string &name, index_type imageIndex)
| Set the Name property of Image. More...
void | setImageROIRef (const std::string &roi, index_type imageIndex, index_type ROIRefIndex)
| Set the ROIRef property of Image. More...
void | setImagingEnvironmentAirPressure (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPressure > airPressure, index_type imageIndex)
| Set the AirPressure property of ImagingEnvironment. More...
void | setImagingEnvironmentCO2Percent (ome::xml::model::primitives::PercentFraction co2Percent, index_type imageIndex)
| Set the CO2Percent property of ImagingEnvironment. More...
void | setImagingEnvironmentHumidity (ome::xml::model::primitives::PercentFraction humidity, index_type imageIndex)
| Set the Humidity property of ImagingEnvironment. More...
void | setImagingEnvironmentTemperature (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTemperature > temperature, index_type imageIndex)
| Set the Temperature property of ImagingEnvironment. More...
void | setInstrumentAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Instrument. More...
void | setInstrumentID (const std::string &id, index_type instrumentIndex)
| Set the ID property of Instrument. More...
void | setLabelAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Label. More...
void | setLabelFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)
| Set the FillColor property of Label. More...
void | setLabelFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)
| Set the FillRule property of Label. More...
void | setLabelFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)
| Set the FontFamily property of Label. More...
void | setLabelFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)
| Set the FontSize property of Label. More...
void | setLabelFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)
| Set the FontStyle property of Label. More...
void | setLabelID (const std::string &id, index_type ROIIndex, index_type shapeIndex)
| Set the ID property of Label. More...
void | setLabelLocked (bool locked, index_type ROIIndex, index_type shapeIndex)
| Set the Locked property of Label. More...
void | setLabelStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeColor property of Label. More...
void | setLabelStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeDashArray property of Label. More...
void | setLabelStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeWidth property of Label. More...
void | setLabelText (const std::string &text, index_type ROIIndex, index_type shapeIndex)
| Set the Text property of Label. More...
void | setLabelTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)
| Set the TheC property of Label. More...
void | setLabelTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)
| Set the TheT property of Label. More...
void | setLabelTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)
| Set the TheZ property of Label. More...
void | setLabelTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)
| Set the Transform property of Label. More...
void | setLabelX (double x, index_type ROIIndex, index_type shapeIndex)
| Set the X property of Label. More...
void | setLabelY (double y, index_type ROIIndex, index_type shapeIndex)
| Set the Y property of Label. More...
void | setLaserAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Laser. More...
void | setLaserFrequencyMultiplication (ome::xml::model::primitives::PositiveInteger frequencyMultiplication, index_type instrumentIndex, index_type lightSourceIndex)
| Set the FrequencyMultiplication property of Laser. More...
void | setLaserID (const std::string &id, index_type instrumentIndex, index_type lightSourceIndex)
| Set the ID property of Laser. More...
void | setLaserLaserMedium (ome::xml::model::enums::LaserMedium laserMedium, index_type instrumentIndex, index_type lightSourceIndex)
| Set the LaserMedium property of Laser. More...
void | setLaserLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type lightSourceIndex)
| Set the LotNumber property of Laser. More...
void | setLaserManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Manufacturer property of Laser. More...
void | setLaserModel (const std::string &model, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Model property of Laser. More...
void | setLaserPockelCell (bool pockelCell, index_type instrumentIndex, index_type lightSourceIndex)
| Set the PockelCell property of Laser. More...
void | setLaserPower (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > power, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Power property of Laser. More...
void | setLaserPulse (ome::xml::model::enums::Pulse pulse, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Pulse property of Laser. More...
void | setLaserPump (const std::string &pump, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Pump property of Laser. More...
void | setLaserRepetitionRate (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsFrequency > repetitionRate, index_type instrumentIndex, index_type lightSourceIndex)
| Set the RepetitionRate property of Laser. More...
void | setLaserSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type lightSourceIndex)
| Set the SerialNumber property of Laser. More...
void | setLaserTuneable (bool tuneable, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Tuneable property of Laser. More...
void | setLaserType (ome::xml::model::enums::LaserType type, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Type property of Laser. More...
void | setLaserWavelength (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > wavelength, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Wavelength property of Laser. More...
void | setLightEmittingDiodeAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type lightSourceIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of LightEmittingDiode. More...
void | setLightEmittingDiodeID (const std::string &id, index_type instrumentIndex, index_type lightSourceIndex)
| Set the ID property of LightEmittingDiode. More...
void | setLightEmittingDiodeLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type lightSourceIndex)
| Set the LotNumber property of LightEmittingDiode. More...
void | setLightEmittingDiodeManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Manufacturer property of LightEmittingDiode. More...
void | setLightEmittingDiodeModel (const std::string &model, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Model property of LightEmittingDiode. More...
void | setLightEmittingDiodePower (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > power, index_type instrumentIndex, index_type lightSourceIndex)
| Set the Power property of LightEmittingDiode. More...
void | setLightEmittingDiodeSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type lightSourceIndex)
| Set the SerialNumber property of LightEmittingDiode. More...
void | setLightPathAnnotationRef (const std::string &annotation, index_type imageIndex, index_type channelIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of LightPath. More...
void | setLightPathDichroicRef (const std::string &dichroic, index_type imageIndex, index_type channelIndex)
| Set the DichroicRef property of LightPath. More...
void | setLightPathEmissionFilterRef (const std::string &emissionFilter, index_type imageIndex, index_type channelIndex, index_type emissionFilterRefIndex)
| Set the EmissionFilterRef property of LightPath. More...
void | setLightPathExcitationFilterRef (const std::string &excitationFilter, index_type imageIndex, index_type channelIndex, index_type excitationFilterRefIndex)
| Set the ExcitationFilterRef property of LightPath. More...
void | setChannelLightSourceSettingsAttenuation (ome::xml::model::primitives::PercentFraction attenuation, index_type imageIndex, index_type channelIndex)
| Set the Attenuation property of LightSourceSettings. More...
void | setMicrobeamManipulationLightSourceSettingsAttenuation (ome::xml::model::primitives::PercentFraction attenuation, index_type experimentIndex, index_type microbeamManipulationIndex, index_type lightSourceSettingsIndex)
| Set the Attenuation property of LightSourceSettings. More...
void | setChannelLightSourceSettingsID (const std::string &id, index_type imageIndex, index_type channelIndex)
| Set the ID property of LightSourceSettings. More...
void | setMicrobeamManipulationLightSourceSettingsID (const std::string &id, index_type experimentIndex, index_type microbeamManipulationIndex, index_type lightSourceSettingsIndex)
| Set the ID property of LightSourceSettings. More...
void | setChannelLightSourceSettingsWavelength (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > wavelength, index_type imageIndex, index_type channelIndex)
| Set the Wavelength property of LightSourceSettings. More...
void | setMicrobeamManipulationLightSourceSettingsWavelength (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > wavelength, index_type experimentIndex, index_type microbeamManipulationIndex, index_type lightSourceSettingsIndex)
| Set the Wavelength property of LightSourceSettings. More...
void | setLineAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Line. More...
void | setLineFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)
| Set the FillColor property of Line. More...
void | setLineFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)
| Set the FillRule property of Line. More...
void | setLineFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)
| Set the FontFamily property of Line. More...
void | setLineFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)
| Set the FontSize property of Line. More...
void | setLineFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)
| Set the FontStyle property of Line. More...
void | setLineID (const std::string &id, index_type ROIIndex, index_type shapeIndex)
| Set the ID property of Line. More...
void | setLineLocked (bool locked, index_type ROIIndex, index_type shapeIndex)
| Set the Locked property of Line. More...
void | setLineMarkerEnd (ome::xml::model::enums::Marker markerEnd, index_type ROIIndex, index_type shapeIndex)
| Set the MarkerEnd property of Line. More...
void | setLineMarkerStart (ome::xml::model::enums::Marker markerStart, index_type ROIIndex, index_type shapeIndex)
| Set the MarkerStart property of Line. More...
void | setLineStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeColor property of Line. More...
void | setLineStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeDashArray property of Line. More...
void | setLineStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeWidth property of Line. More...
void | setLineText (const std::string &text, index_type ROIIndex, index_type shapeIndex)
| Set the Text property of Line. More...
void | setLineTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)
| Set the TheC property of Line. More...
void | setLineTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)
| Set the TheT property of Line. More...
void | setLineTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)
| Set the TheZ property of Line. More...
void | setLineTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)
| Set the Transform property of Line. More...
void | setLineX1 (double x1, index_type ROIIndex, index_type shapeIndex)
| Set the X1 property of Line. More...
void | setLineX2 (double x2, index_type ROIIndex, index_type shapeIndex)
| Set the X2 property of Line. More...
void | setLineY1 (double y1, index_type ROIIndex, index_type shapeIndex)
| Set the Y1 property of Line. More...
void | setLineY2 (double y2, index_type ROIIndex, index_type shapeIndex)
| Set the Y2 property of Line. More...
void | setListAnnotationAnnotationRef (const std::string &annotation, index_type listAnnotationIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of ListAnnotation. More...
void | setListAnnotationAnnotator (const std::string &annotator, index_type listAnnotationIndex)
| Set the Annotator property of ListAnnotation. More...
void | setListAnnotationDescription (const std::string &description, index_type listAnnotationIndex)
| Set the Description property of ListAnnotation. More...
void | setListAnnotationID (const std::string &id, index_type listAnnotationIndex)
| Set the ID property of ListAnnotation. More...
void | setListAnnotationNamespace (const std::string &namespace_, index_type listAnnotationIndex)
| Set the Namespace property of ListAnnotation. More...
void | setLongAnnotationAnnotationRef (const std::string &annotation, index_type longAnnotationIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of LongAnnotation. More...
void | setLongAnnotationAnnotator (const std::string &annotator, index_type longAnnotationIndex)
| Set the Annotator property of LongAnnotation. More...
void | setLongAnnotationDescription (const std::string &description, index_type longAnnotationIndex)
| Set the Description property of LongAnnotation. More...
void | setLongAnnotationID (const std::string &id, index_type longAnnotationIndex)
| Set the ID property of LongAnnotation. More...
void | setLongAnnotationNamespace (const std::string &namespace_, index_type longAnnotationIndex)
| Set the Namespace property of LongAnnotation. More...
void | setLongAnnotationValue (int64_t value, index_type longAnnotationIndex)
| Set the Value property of LongAnnotation. More...
void | setMapAnnotationAnnotationRef (const std::string &annotation, index_type mapAnnotationIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of MapAnnotation. More...
void | setMapAnnotationAnnotator (const std::string &annotator, index_type mapAnnotationIndex)
| Set the Annotator property of MapAnnotation. More...
void | setMapAnnotationDescription (const std::string &description, index_type mapAnnotationIndex)
| Set the Description property of MapAnnotation. More...
void | setMapAnnotationID (const std::string &id, index_type mapAnnotationIndex)
| Set the ID property of MapAnnotation. More...
void | setMapAnnotationNamespace (const std::string &namespace_, index_type mapAnnotationIndex)
| Set the Namespace property of MapAnnotation. More...
void | setMaskAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Mask. More...
void | setMaskFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)
| Set the FillColor property of Mask. More...
void | setMaskFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)
| Set the FillRule property of Mask. More...
void | setMaskFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)
| Set the FontFamily property of Mask. More...
void | setMaskFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)
| Set the FontSize property of Mask. More...
void | setMaskFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)
| Set the FontStyle property of Mask. More...
void | setMaskHeight (double height, index_type ROIIndex, index_type shapeIndex)
| Set the Height property of Mask. More...
void | setMaskID (const std::string &id, index_type ROIIndex, index_type shapeIndex)
| Set the ID property of Mask. More...
void | setMaskLocked (bool locked, index_type ROIIndex, index_type shapeIndex)
| Set the Locked property of Mask. More...
void | setMaskStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeColor property of Mask. More...
void | setMaskStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeDashArray property of Mask. More...
void | setMaskStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeWidth property of Mask. More...
void | setMaskText (const std::string &text, index_type ROIIndex, index_type shapeIndex)
| Set the Text property of Mask. More...
void | setMaskTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)
| Set the TheC property of Mask. More...
void | setMaskTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)
| Set the TheT property of Mask. More...
void | setMaskTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)
| Set the TheZ property of Mask. More...
void | setMaskTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)
| Set the Transform property of Mask. More...
void | setMaskWidth (double width, index_type ROIIndex, index_type shapeIndex)
| Set the Width property of Mask. More...
void | setMaskX (double x, index_type ROIIndex, index_type shapeIndex)
| Set the X property of Mask. More...
void | setMaskY (double y, index_type ROIIndex, index_type shapeIndex)
| Set the Y property of Mask. More...
void | setMicrobeamManipulationDescription (const std::string &description, index_type experimentIndex, index_type microbeamManipulationIndex)
| Set the Description property of MicrobeamManipulation. More...
void | setMicrobeamManipulationExperimenterRef (const std::string &experimenter, index_type experimentIndex, index_type microbeamManipulationIndex)
| Set the ExperimenterRef property of MicrobeamManipulation. More...
void | setMicrobeamManipulationID (const std::string &id, index_type experimentIndex, index_type microbeamManipulationIndex)
| Set the ID property of MicrobeamManipulation. More...
void | setMicrobeamManipulationROIRef (const std::string &roi, index_type experimentIndex, index_type microbeamManipulationIndex, index_type ROIRefIndex)
| Set the ROIRef property of MicrobeamManipulation. More...
void | setMicrobeamManipulationType (ome::xml::model::enums::MicrobeamManipulationType type, index_type experimentIndex, index_type microbeamManipulationIndex)
| Set the Type property of MicrobeamManipulation. More...
void | setMicroscopeLotNumber (const std::string &lotNumber, index_type instrumentIndex)
| Set the LotNumber property of Microscope. More...
void | setMicroscopeManufacturer (const std::string &manufacturer, index_type instrumentIndex)
| Set the Manufacturer property of Microscope. More...
void | setMicroscopeModel (const std::string &model, index_type instrumentIndex)
| Set the Model property of Microscope. More...
void | setMicroscopeSerialNumber (const std::string &serialNumber, index_type instrumentIndex)
| Set the SerialNumber property of Microscope. More...
void | setMicroscopeType (ome::xml::model::enums::MicroscopeType type, index_type instrumentIndex)
| Set the Type property of Microscope. More...
void | setObjectiveAnnotationRef (const std::string &annotation, index_type instrumentIndex, index_type objectiveIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Objective. More...
void | setObjectiveCalibratedMagnification (double calibratedMagnification, index_type instrumentIndex, index_type objectiveIndex)
| Set the CalibratedMagnification property of Objective. More...
void | setObjectiveCorrection (ome::xml::model::enums::Correction correction, index_type instrumentIndex, index_type objectiveIndex)
| Set the Correction property of Objective. More...
void | setObjectiveID (const std::string &id, index_type instrumentIndex, index_type objectiveIndex)
| Set the ID property of Objective. More...
void | setObjectiveImmersion (ome::xml::model::enums::Immersion immersion, index_type instrumentIndex, index_type objectiveIndex)
| Set the Immersion property of Objective. More...
void | setObjectiveIris (bool iris, index_type instrumentIndex, index_type objectiveIndex)
| Set the Iris property of Objective. More...
void | setObjectiveLensNA (double lensNA, index_type instrumentIndex, index_type objectiveIndex)
| Set the LensNA property of Objective. More...
void | setObjectiveLotNumber (const std::string &lotNumber, index_type instrumentIndex, index_type objectiveIndex)
| Set the LotNumber property of Objective. More...
void | setObjectiveManufacturer (const std::string &manufacturer, index_type instrumentIndex, index_type objectiveIndex)
| Set the Manufacturer property of Objective. More...
void | setObjectiveModel (const std::string &model, index_type instrumentIndex, index_type objectiveIndex)
| Set the Model property of Objective. More...
void | setObjectiveNominalMagnification (double nominalMagnification, index_type instrumentIndex, index_type objectiveIndex)
| Set the NominalMagnification property of Objective. More...
void | setObjectiveSerialNumber (const std::string &serialNumber, index_type instrumentIndex, index_type objectiveIndex)
| Set the SerialNumber property of Objective. More...
void | setObjectiveWorkingDistance (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > workingDistance, index_type instrumentIndex, index_type objectiveIndex)
| Set the WorkingDistance property of Objective. More...
void | setObjectiveSettingsCorrectionCollar (double correctionCollar, index_type imageIndex)
| Set the CorrectionCollar property of ObjectiveSettings. More...
void | setObjectiveSettingsID (const std::string &id, index_type imageIndex)
| Set the ID property of ObjectiveSettings. More...
void | setObjectiveSettingsMedium (ome::xml::model::enums::Medium medium, index_type imageIndex)
| Set the Medium property of ObjectiveSettings. More...
void | setObjectiveSettingsRefractiveIndex (double refractiveIndex, index_type imageIndex)
| Set the RefractiveIndex property of ObjectiveSettings. More...
void | setPixelsBigEndian (bool bigEndian, index_type imageIndex)
| Set the BigEndian property of Pixels. More...
void | setPixelsDimensionOrder (ome::xml::model::enums::DimensionOrder dimensionOrder, index_type imageIndex)
| Set the DimensionOrder property of Pixels. More...
void | setPixelsID (const std::string &id, index_type imageIndex)
| Set the ID property of Pixels. More...
void | setPixelsInterleaved (bool interleaved, index_type imageIndex)
| Set the Interleaved property of Pixels. More...
void | setPixelsPhysicalSizeX (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > physicalSizeX, index_type imageIndex)
| Set the PhysicalSizeX property of Pixels. More...
void | setPixelsPhysicalSizeY (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > physicalSizeY, index_type imageIndex)
| Set the PhysicalSizeY property of Pixels. More...
void | setPixelsPhysicalSizeZ (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > physicalSizeZ, index_type imageIndex)
| Set the PhysicalSizeZ property of Pixels. More...
void | setPixelsSignificantBits (ome::xml::model::primitives::PositiveInteger significantBits, index_type imageIndex)
| Set the SignificantBits property of Pixels. More...
void | setPixelsSizeC (ome::xml::model::primitives::PositiveInteger sizeC, index_type imageIndex)
| Set the SizeC property of Pixels. More...
void | setPixelsSizeT (ome::xml::model::primitives::PositiveInteger sizeT, index_type imageIndex)
| Set the SizeT property of Pixels. More...
void | setPixelsSizeX (ome::xml::model::primitives::PositiveInteger sizeX, index_type imageIndex)
| Set the SizeX property of Pixels. More...
void | setPixelsSizeY (ome::xml::model::primitives::PositiveInteger sizeY, index_type imageIndex)
| Set the SizeY property of Pixels. More...
void | setPixelsSizeZ (ome::xml::model::primitives::PositiveInteger sizeZ, index_type imageIndex)
| Set the SizeZ property of Pixels. More...
void | setPixelsTimeIncrement (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > timeIncrement, index_type imageIndex)
| Set the TimeIncrement property of Pixels. More...
void | setPixelsType (ome::xml::model::enums::PixelType type, index_type imageIndex)
| Set the Type property of Pixels. More...
void | setPlaneAnnotationRef (const std::string &annotation, index_type imageIndex, index_type planeIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Plane. More...
void | setPlaneDeltaT (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > deltaT, index_type imageIndex, index_type planeIndex)
| Set the DeltaT property of Plane. More...
void | setPlaneExposureTime (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > exposureTime, index_type imageIndex, index_type planeIndex)
| Set the ExposureTime property of Plane. More...
void | setPlaneHashSHA1 (const std::string &hashSHA1, index_type imageIndex, index_type planeIndex)
| Set the HashSHA1 property of Plane. More...
void | setPlanePositionX (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > positionX, index_type imageIndex, index_type planeIndex)
| Set the PositionX property of Plane. More...
void | setPlanePositionY (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > positionY, index_type imageIndex, index_type planeIndex)
| Set the PositionY property of Plane. More...
void | setPlanePositionZ (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > positionZ, index_type imageIndex, index_type planeIndex)
| Set the PositionZ property of Plane. More...
void | setPlaneTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type imageIndex, index_type planeIndex)
| Set the TheC property of Plane. More...
void | setPlaneTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type imageIndex, index_type planeIndex)
| Set the TheT property of Plane. More...
void | setPlaneTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type imageIndex, index_type planeIndex)
| Set the TheZ property of Plane. More...
void | setPlateAnnotationRef (const std::string &annotation, index_type plateIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Plate. More...
void | setPlateColumnNamingConvention (ome::xml::model::enums::NamingConvention columnNamingConvention, index_type plateIndex)
| Set the ColumnNamingConvention property of Plate. More...
void | setPlateColumns (ome::xml::model::primitives::PositiveInteger columns, index_type plateIndex)
| Set the Columns property of Plate. More...
void | setPlateDescription (const std::string &description, index_type plateIndex)
| Set the Description property of Plate. More...
void | setPlateExternalIdentifier (const std::string &externalIdentifier, index_type plateIndex)
| Set the ExternalIdentifier property of Plate. More...
void | setPlateFieldIndex (ome::xml::model::primitives::NonNegativeInteger fieldIndex, index_type plateIndex)
| Set the FieldIndex property of Plate. More...
void | setPlateID (const std::string &id, index_type plateIndex)
| Set the ID property of Plate. More...
void | setPlateName (const std::string &name, index_type plateIndex)
| Set the Name property of Plate. More...
void | setPlateRowNamingConvention (ome::xml::model::enums::NamingConvention rowNamingConvention, index_type plateIndex)
| Set the RowNamingConvention property of Plate. More...
void | setPlateRows (ome::xml::model::primitives::PositiveInteger rows, index_type plateIndex)
| Set the Rows property of Plate. More...
void | setPlateStatus (const std::string &status, index_type plateIndex)
| Set the Status property of Plate. More...
void | setPlateWellOriginX (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > wellOriginX, index_type plateIndex)
| Set the WellOriginX property of Plate. More...
void | setPlateWellOriginY (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > wellOriginY, index_type plateIndex)
| Set the WellOriginY property of Plate. More...
void | setPlateAcquisitionAnnotationRef (const std::string &annotation, index_type plateIndex, index_type plateAcquisitionIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of PlateAcquisition. More...
void | setPlateAcquisitionDescription (const std::string &description, index_type plateIndex, index_type plateAcquisitionIndex)
| Set the Description property of PlateAcquisition. More...
void | setPlateAcquisitionEndTime (ome::xml::model::primitives::Timestamp endTime, index_type plateIndex, index_type plateAcquisitionIndex)
| Set the EndTime property of PlateAcquisition. More...
void | setPlateAcquisitionID (const std::string &id, index_type plateIndex, index_type plateAcquisitionIndex)
| Set the ID property of PlateAcquisition. More...
void | setPlateAcquisitionMaximumFieldCount (ome::xml::model::primitives::PositiveInteger maximumFieldCount, index_type plateIndex, index_type plateAcquisitionIndex)
| Set the MaximumFieldCount property of PlateAcquisition. More...
void | setPlateAcquisitionName (const std::string &name, index_type plateIndex, index_type plateAcquisitionIndex)
| Set the Name property of PlateAcquisition. More...
void | setPlateAcquisitionStartTime (ome::xml::model::primitives::Timestamp startTime, index_type plateIndex, index_type plateAcquisitionIndex)
| Set the StartTime property of PlateAcquisition. More...
void | setPlateAcquisitionWellSampleRef (const std::string &wellSample, index_type plateIndex, index_type plateAcquisitionIndex, index_type wellSampleRefIndex)
| Set the WellSampleRef property of PlateAcquisition. More...
void | setPointAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Point. More...
void | setPointFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)
| Set the FillColor property of Point. More...
void | setPointFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)
| Set the FillRule property of Point. More...
void | setPointFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)
| Set the FontFamily property of Point. More...
void | setPointFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)
| Set the FontSize property of Point. More...
void | setPointFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)
| Set the FontStyle property of Point. More...
void | setPointID (const std::string &id, index_type ROIIndex, index_type shapeIndex)
| Set the ID property of Point. More...
void | setPointLocked (bool locked, index_type ROIIndex, index_type shapeIndex)
| Set the Locked property of Point. More...
void | setPointStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeColor property of Point. More...
void | setPointStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeDashArray property of Point. More...
void | setPointStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeWidth property of Point. More...
void | setPointText (const std::string &text, index_type ROIIndex, index_type shapeIndex)
| Set the Text property of Point. More...
void | setPointTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)
| Set the TheC property of Point. More...
void | setPointTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)
| Set the TheT property of Point. More...
void | setPointTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)
| Set the TheZ property of Point. More...
void | setPointTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)
| Set the Transform property of Point. More...
void | setPointX (double x, index_type ROIIndex, index_type shapeIndex)
| Set the X property of Point. More...
void | setPointY (double y, index_type ROIIndex, index_type shapeIndex)
| Set the Y property of Point. More...
void | setPolygonAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Polygon. More...
void | setPolygonFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)
| Set the FillColor property of Polygon. More...
void | setPolygonFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)
| Set the FillRule property of Polygon. More...
void | setPolygonFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)
| Set the FontFamily property of Polygon. More...
void | setPolygonFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)
| Set the FontSize property of Polygon. More...
void | setPolygonFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)
| Set the FontStyle property of Polygon. More...
void | setPolygonID (const std::string &id, index_type ROIIndex, index_type shapeIndex)
| Set the ID property of Polygon. More...
void | setPolygonLocked (bool locked, index_type ROIIndex, index_type shapeIndex)
| Set the Locked property of Polygon. More...
void | setPolygonPoints (const std::string &points, index_type ROIIndex, index_type shapeIndex)
| Set the Points property of Polygon. More...
void | setPolygonStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeColor property of Polygon. More...
void | setPolygonStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeDashArray property of Polygon. More...
void | setPolygonStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeWidth property of Polygon. More...
void | setPolygonText (const std::string &text, index_type ROIIndex, index_type shapeIndex)
| Set the Text property of Polygon. More...
void | setPolygonTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)
| Set the TheC property of Polygon. More...
void | setPolygonTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)
| Set the TheT property of Polygon. More...
void | setPolygonTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)
| Set the TheZ property of Polygon. More...
void | setPolygonTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)
| Set the Transform property of Polygon. More...
void | setPolylineAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Polyline. More...
void | setPolylineFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)
| Set the FillColor property of Polyline. More...
void | setPolylineFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)
| Set the FillRule property of Polyline. More...
void | setPolylineFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)
| Set the FontFamily property of Polyline. More...
void | setPolylineFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)
| Set the FontSize property of Polyline. More...
void | setPolylineFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)
| Set the FontStyle property of Polyline. More...
void | setPolylineID (const std::string &id, index_type ROIIndex, index_type shapeIndex)
| Set the ID property of Polyline. More...
void | setPolylineLocked (bool locked, index_type ROIIndex, index_type shapeIndex)
| Set the Locked property of Polyline. More...
void | setPolylineMarkerEnd (ome::xml::model::enums::Marker markerEnd, index_type ROIIndex, index_type shapeIndex)
| Set the MarkerEnd property of Polyline. More...
void | setPolylineMarkerStart (ome::xml::model::enums::Marker markerStart, index_type ROIIndex, index_type shapeIndex)
| Set the MarkerStart property of Polyline. More...
void | setPolylinePoints (const std::string &points, index_type ROIIndex, index_type shapeIndex)
| Set the Points property of Polyline. More...
void | setPolylineStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeColor property of Polyline. More...
void | setPolylineStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeDashArray property of Polyline. More...
void | setPolylineStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeWidth property of Polyline. More...
void | setPolylineText (const std::string &text, index_type ROIIndex, index_type shapeIndex)
| Set the Text property of Polyline. More...
void | setPolylineTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)
| Set the TheC property of Polyline. More...
void | setPolylineTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)
| Set the TheT property of Polyline. More...
void | setPolylineTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)
| Set the TheZ property of Polyline. More...
void | setPolylineTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)
| Set the Transform property of Polyline. More...
void | setProjectAnnotationRef (const std::string &annotation, index_type projectIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Project. More...
void | setProjectDatasetRef (const std::string &dataset, index_type projectIndex, index_type datasetRefIndex)
| Set the DatasetRef property of Project. More...
void | setProjectDescription (const std::string &description, index_type projectIndex)
| Set the Description property of Project. More...
void | setProjectExperimenterGroupRef (const std::string &experimenterGroup, index_type projectIndex)
| Set the ExperimenterGroupRef property of Project. More...
void | setProjectExperimenterRef (const std::string &experimenter, index_type projectIndex)
| Set the ExperimenterRef property of Project. More...
void | setProjectID (const std::string &id, index_type projectIndex)
| Set the ID property of Project. More...
void | setProjectName (const std::string &name, index_type projectIndex)
| Set the Name property of Project. More...
void | setROIAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of ROI. More...
void | setROIDescription (const std::string &description, index_type ROIIndex)
| Set the Description property of ROI. More...
void | setROIID (const std::string &id, index_type ROIIndex)
| Set the ID property of ROI. More...
void | setROIName (const std::string &name, index_type ROIIndex)
| Set the Name property of ROI. More...
void | setReagentAnnotationRef (const std::string &annotation, index_type screenIndex, index_type reagentIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Reagent. More...
void | setReagentDescription (const std::string &description, index_type screenIndex, index_type reagentIndex)
| Set the Description property of Reagent. More...
void | setReagentID (const std::string &id, index_type screenIndex, index_type reagentIndex)
| Set the ID property of Reagent. More...
void | setReagentName (const std::string &name, index_type screenIndex, index_type reagentIndex)
| Set the Name property of Reagent. More...
void | setReagentReagentIdentifier (const std::string &reagentIdentifier, index_type screenIndex, index_type reagentIndex)
| Set the ReagentIdentifier property of Reagent. More...
void | setRectangleAnnotationRef (const std::string &annotation, index_type ROIIndex, index_type shapeIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Rectangle. More...
void | setRectangleFillColor (ome::xml::model::primitives::Color fillColor, index_type ROIIndex, index_type shapeIndex)
| Set the FillColor property of Rectangle. More...
void | setRectangleFillRule (ome::xml::model::enums::FillRule fillRule, index_type ROIIndex, index_type shapeIndex)
| Set the FillRule property of Rectangle. More...
void | setRectangleFontFamily (ome::xml::model::enums::FontFamily fontFamily, index_type ROIIndex, index_type shapeIndex)
| Set the FontFamily property of Rectangle. More...
void | setRectangleFontSize (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > fontSize, index_type ROIIndex, index_type shapeIndex)
| Set the FontSize property of Rectangle. More...
void | setRectangleFontStyle (ome::xml::model::enums::FontStyle fontStyle, index_type ROIIndex, index_type shapeIndex)
| Set the FontStyle property of Rectangle. More...
void | setRectangleHeight (double height, index_type ROIIndex, index_type shapeIndex)
| Set the Height property of Rectangle. More...
void | setRectangleID (const std::string &id, index_type ROIIndex, index_type shapeIndex)
| Set the ID property of Rectangle. More...
void | setRectangleLocked (bool locked, index_type ROIIndex, index_type shapeIndex)
| Set the Locked property of Rectangle. More...
void | setRectangleStrokeColor (ome::xml::model::primitives::Color strokeColor, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeColor property of Rectangle. More...
void | setRectangleStrokeDashArray (const std::string &strokeDashArray, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeDashArray property of Rectangle. More...
void | setRectangleStrokeWidth (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > strokeWidth, index_type ROIIndex, index_type shapeIndex)
| Set the StrokeWidth property of Rectangle. More...
void | setRectangleText (const std::string &text, index_type ROIIndex, index_type shapeIndex)
| Set the Text property of Rectangle. More...
void | setRectangleTheC (ome::xml::model::primitives::NonNegativeInteger theC, index_type ROIIndex, index_type shapeIndex)
| Set the TheC property of Rectangle. More...
void | setRectangleTheT (ome::xml::model::primitives::NonNegativeInteger theT, index_type ROIIndex, index_type shapeIndex)
| Set the TheT property of Rectangle. More...
void | setRectangleTheZ (ome::xml::model::primitives::NonNegativeInteger theZ, index_type ROIIndex, index_type shapeIndex)
| Set the TheZ property of Rectangle. More...
void | setRectangleTransform (const ::ome::xml::model::AffineTransform &transform, index_type ROIIndex, index_type shapeIndex)
| Set the Transform property of Rectangle. More...
void | setRectangleWidth (double width, index_type ROIIndex, index_type shapeIndex)
| Set the Width property of Rectangle. More...
void | setRectangleX (double x, index_type ROIIndex, index_type shapeIndex)
| Set the X property of Rectangle. More...
void | setRectangleY (double y, index_type ROIIndex, index_type shapeIndex)
| Set the Y property of Rectangle. More...
void | setRightsRightsHeld (const std::string &rightsHeld)
| Set the RightsHeld property of Rights. More...
void | setRightsRightsHolder (const std::string &rightsHolder)
| Set the RightsHolder property of Rights. More...
void | setScreenAnnotationRef (const std::string &annotation, index_type screenIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Screen. More...
void | setScreenDescription (const std::string &description, index_type screenIndex)
| Set the Description property of Screen. More...
void | setScreenID (const std::string &id, index_type screenIndex)
| Set the ID property of Screen. More...
void | setScreenName (const std::string &name, index_type screenIndex)
| Set the Name property of Screen. More...
void | setScreenPlateRef (const std::string &plate, index_type screenIndex, index_type plateRefIndex)
| Set the PlateRef property of Screen. More...
void | setScreenProtocolDescription (const std::string &protocolDescription, index_type screenIndex)
| Set the ProtocolDescription property of Screen. More...
void | setScreenProtocolIdentifier (const std::string &protocolIdentifier, index_type screenIndex)
| Set the ProtocolIdentifier property of Screen. More...
void | setScreenReagentSetDescription (const std::string &reagentSetDescription, index_type screenIndex)
| Set the ReagentSetDescription property of Screen. More...
void | setScreenReagentSetIdentifier (const std::string &reagentSetIdentifier, index_type screenIndex)
| Set the ReagentSetIdentifier property of Screen. More...
void | setScreenType (const std::string &type, index_type screenIndex)
| Set the Type property of Screen. More...
void | setStageLabelName (const std::string &name, index_type imageIndex)
| Set the Name property of StageLabel. More...
void | setStageLabelX (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > x, index_type imageIndex)
| Set the X property of StageLabel. More...
void | setStageLabelY (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > y, index_type imageIndex)
| Set the Y property of StageLabel. More...
void | setStageLabelZ (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > z, index_type imageIndex)
| Set the Z property of StageLabel. More...
void | setTagAnnotationAnnotationRef (const std::string &annotation, index_type tagAnnotationIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of TagAnnotation. More...
void | setTagAnnotationAnnotator (const std::string &annotator, index_type tagAnnotationIndex)
| Set the Annotator property of TagAnnotation. More...
void | setTagAnnotationDescription (const std::string &description, index_type tagAnnotationIndex)
| Set the Description property of TagAnnotation. More...
void | setTagAnnotationID (const std::string &id, index_type tagAnnotationIndex)
| Set the ID property of TagAnnotation. More...
void | setTagAnnotationNamespace (const std::string &namespace_, index_type tagAnnotationIndex)
| Set the Namespace property of TagAnnotation. More...
void | setTagAnnotationValue (const std::string &value, index_type tagAnnotationIndex)
| Set the Value property of TagAnnotation. More...
void | setTermAnnotationAnnotationRef (const std::string &annotation, index_type termAnnotationIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of TermAnnotation. More...
void | setTermAnnotationAnnotator (const std::string &annotator, index_type termAnnotationIndex)
| Set the Annotator property of TermAnnotation. More...
void | setTermAnnotationDescription (const std::string &description, index_type termAnnotationIndex)
| Set the Description property of TermAnnotation. More...
void | setTermAnnotationID (const std::string &id, index_type termAnnotationIndex)
| Set the ID property of TermAnnotation. More...
void | setTermAnnotationNamespace (const std::string &namespace_, index_type termAnnotationIndex)
| Set the Namespace property of TermAnnotation. More...
void | setTermAnnotationValue (const std::string &value, index_type termAnnotationIndex)
| Set the Value property of TermAnnotation. More...
void | setTiffDataFirstC (ome::xml::model::primitives::NonNegativeInteger firstC, index_type imageIndex, index_type tiffDataIndex)
| Set the FirstC property of TiffData. More...
void | setTiffDataFirstT (ome::xml::model::primitives::NonNegativeInteger firstT, index_type imageIndex, index_type tiffDataIndex)
| Set the FirstT property of TiffData. More...
void | setTiffDataFirstZ (ome::xml::model::primitives::NonNegativeInteger firstZ, index_type imageIndex, index_type tiffDataIndex)
| Set the FirstZ property of TiffData. More...
void | setTiffDataIFD (ome::xml::model::primitives::NonNegativeInteger ifd, index_type imageIndex, index_type tiffDataIndex)
| Set the IFD property of TiffData. More...
void | setTiffDataPlaneCount (ome::xml::model::primitives::NonNegativeInteger planeCount, index_type imageIndex, index_type tiffDataIndex)
| Set the PlaneCount property of TiffData. More...
void | setTimestampAnnotationAnnotationRef (const std::string &annotation, index_type timestampAnnotationIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of TimestampAnnotation. More...
void | setTimestampAnnotationAnnotator (const std::string &annotator, index_type timestampAnnotationIndex)
| Set the Annotator property of TimestampAnnotation. More...
void | setTimestampAnnotationDescription (const std::string &description, index_type timestampAnnotationIndex)
| Set the Description property of TimestampAnnotation. More...
void | setTimestampAnnotationID (const std::string &id, index_type timestampAnnotationIndex)
| Set the ID property of TimestampAnnotation. More...
void | setTimestampAnnotationNamespace (const std::string &namespace_, index_type timestampAnnotationIndex)
| Set the Namespace property of TimestampAnnotation. More...
void | setTimestampAnnotationValue (ome::xml::model::primitives::Timestamp value, index_type timestampAnnotationIndex)
| Set the Value property of TimestampAnnotation. More...
void | setTransmittanceRangeCutIn (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > cutIn, index_type instrumentIndex, index_type filterIndex)
| Set the CutIn property of TransmittanceRange. More...
void | setTransmittanceRangeCutInTolerance (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeFloat > cutInTolerance, index_type instrumentIndex, index_type filterIndex)
| Set the CutInTolerance property of TransmittanceRange. More...
void | setTransmittanceRangeCutOut (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > cutOut, index_type instrumentIndex, index_type filterIndex)
| Set the CutOut property of TransmittanceRange. More...
void | setTransmittanceRangeCutOutTolerance (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeFloat > cutOutTolerance, index_type instrumentIndex, index_type filterIndex)
| Set the CutOutTolerance property of TransmittanceRange. More...
void | setTransmittanceRangeTransmittance (ome::xml::model::primitives::PercentFraction transmittance, index_type instrumentIndex, index_type filterIndex)
| Set the Transmittance property of TransmittanceRange. More...
void | setUUIDValue (std::string value, index_type imageIndex, index_type tiffDataIndex)
| Set the text value of UUID. More...
void | setUUIDFileName (const std::string &fileName, index_type imageIndex, index_type tiffDataIndex)
| Set the FileName property of UUID. More...
void | setWellAnnotationRef (const std::string &annotation, index_type plateIndex, index_type wellIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of Well. More...
void | setWellColor (ome::xml::model::primitives::Color color, index_type plateIndex, index_type wellIndex)
| Set the Color property of Well. More...
void | setWellColumn (ome::xml::model::primitives::NonNegativeInteger column, index_type plateIndex, index_type wellIndex)
| Set the Column property of Well. More...
void | setWellExternalDescription (const std::string &externalDescription, index_type plateIndex, index_type wellIndex)
| Set the ExternalDescription property of Well. More...
void | setWellExternalIdentifier (const std::string &externalIdentifier, index_type plateIndex, index_type wellIndex)
| Set the ExternalIdentifier property of Well. More...
void | setWellID (const std::string &id, index_type plateIndex, index_type wellIndex)
| Set the ID property of Well. More...
void | setWellReagentRef (const std::string &reagent, index_type plateIndex, index_type wellIndex)
| Set the ReagentRef property of Well. More...
void | setWellRow (ome::xml::model::primitives::NonNegativeInteger row, index_type plateIndex, index_type wellIndex)
| Set the Row property of Well. More...
void | setWellType (const std::string &type, index_type plateIndex, index_type wellIndex)
| Set the Type property of Well. More...
void | setWellSampleID (const std::string &id, index_type plateIndex, index_type wellIndex, index_type wellSampleIndex)
| Set the ID property of WellSample. More...
void | setWellSampleImageRef (const std::string &image, index_type plateIndex, index_type wellIndex, index_type wellSampleIndex)
| Set the ImageRef property of WellSample. More...
void | setWellSampleIndex (ome::xml::model::primitives::NonNegativeInteger index, index_type plateIndex, index_type wellIndex, index_type wellSampleIndex)
| Set the Index property of WellSample. More...
void | setWellSamplePositionX (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > positionX, index_type plateIndex, index_type wellIndex, index_type wellSampleIndex)
| Set the PositionX property of WellSample. More...
void | setWellSamplePositionY (ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > positionY, index_type plateIndex, index_type wellIndex, index_type wellSampleIndex)
| Set the PositionY property of WellSample. More...
void | setWellSampleTimepoint (ome::xml::model::primitives::Timestamp timepoint, index_type plateIndex, index_type wellIndex, index_type wellSampleIndex)
| Set the Timepoint property of WellSample. More...
void | setXMLAnnotationAnnotationRef (const std::string &annotation, index_type XMLAnnotationIndex, index_type annotationRefIndex)
| Set the AnnotationRef property of XMLAnnotation. More...
void | setXMLAnnotationAnnotator (const std::string &annotator, index_type XMLAnnotationIndex)
| Set the Annotator property of XMLAnnotation. More...
void | setXMLAnnotationDescription (const std::string &description, index_type XMLAnnotationIndex)
| Set the Description property of XMLAnnotation. More...
void | setXMLAnnotationID (const std::string &id, index_type XMLAnnotationIndex)
| Set the ID property of XMLAnnotation. More...
void | setXMLAnnotationNamespace (const std::string &namespace_, index_type XMLAnnotationIndex)
| Set the Namespace property of XMLAnnotation. More...
void | setXMLAnnotationValue (const std::string &value, index_type XMLAnnotationIndex)
| Set the Value property of XMLAnnotation. More...
Public Member Functions inherited from ome::xml::meta::MetadataStore
virtual | ~MetadataStore ()
| Destructor.
Public Member Functions inherited from ome::xml::meta::BaseMetadata
virtual | ~BaseMetadata ()
| Destructor.

## Private Attributes
ome::compat::shared_ptr< MetadataStore > | store
| The wrapped metadata store.
bool | filter
| Is filtering enabled?

## Additional Inherited Members
Public Types inherited from ome::xml::meta::BaseMetadata
typedef std::size_t | index_type
| Index into an array.
typedef std::vector< uint8_t > | byte_array
| An array of bytes for binary image data.
Protected Member Functions inherited from ome::xml::meta::MetadataStore
| MetadataStore ()
| Constructor.
Protected Member Functions inherited from ome::xml::meta::BaseMetadata
| BaseMetadata ()
| Constructor.

## Detailed Description

Filtered metadata store.

An implementation of MetadataStore which removes unprintable characters from metadata values before storing them in a delegate MetadataStore.

## Constructor & Destructor Documentation

## § FilterMetadata()

ome::xml::meta::FilterMetadata::FilterMetadata | ( | ome::compat::shared_ptr< MetadataStore > & | store,
|  | bool | filter
| ) |  |

Constructor.

Parameters

  store | the metadata store to wrap.
  filter | `true` to enable filtering, `false` to disable.

## Member Function Documentation

## § createRoot()

void ome::xml::meta::FilterMetadata::createRoot | ( |  | ) |
| virtual

Create root node.

The action taken here is specific to the concrete metadata implementation.

Implements ome::xml::meta::MetadataStore.

References store.

## § getRoot()

ome::compat::shared_ptr< MetadataRoot > & ome::xml::meta::FilterMetadata::getRoot | ( |  | ) |
| virtual

Get the root node of the metadata.

Note that the root node type will be specific to the concrete metadata implementation.

Returns
  a pointer to the root node.

Todo:
  should this be a reference or shared_ptr?

Implements ome::xml::meta::MetadataStore.

References store.

## § setArcAnnotationRef()

void ome::xml::meta::FilterMetadata::setArcAnnotationRef | ( | const std::string & | annotation,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Arc.

Parameters

  annotation | AnnotationRef to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setArcID()

void ome::xml::meta::FilterMetadata::setArcID | ( | const std::string & | id,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the ID property of Arc.

Parameters

  id | ID to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setArcLotNumber()

void ome::xml::meta::FilterMetadata::setArcLotNumber | ( | const std::string & | lotNumber,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the LotNumber property of Arc.

Parameters

  lotNumber | LotNumber to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setArcManufacturer()

void ome::xml::meta::FilterMetadata::setArcManufacturer | ( | const std::string & | manufacturer,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Manufacturer property of Arc.

Parameters

  manufacturer | Manufacturer to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setArcModel()

void ome::xml::meta::FilterMetadata::setArcModel | ( | const std::string & | model,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Model property of Arc.

Parameters

  model | Model to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setArcPower()

void ome::xml::meta::FilterMetadata::setArcPower | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > | power,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Power property of Arc.

Parameters

  power | Power to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setArcSerialNumber()

void ome::xml::meta::FilterMetadata::setArcSerialNumber | ( | const std::string & | serialNumber,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the SerialNumber property of Arc.

Parameters

  serialNumber | SerialNumber to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setArcType()

void ome::xml::meta::FilterMetadata::setArcType | ( | ome::xml::model::enums::ArcType | type,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Type property of Arc.

Parameters

  type | Type to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setBinaryFileBinData()

void ome::xml::meta::FilterMetadata::setBinaryFileBinData | ( | const std::vector< uint8_t > & | base64Binary,
|  | index_type | fileAnnotationIndex
| ) |  |
| virtual

Set the Base64Binary property of BinData.

Parameters

  base64Binary | Base64Binary to set.
  fileAnnotationIndex | the FileAnnotation index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setBinaryFileBinDataBigEndian()

void ome::xml::meta::FilterMetadata::setBinaryFileBinDataBigEndian | ( | bool | bigEndian,
|  | index_type | fileAnnotationIndex
| ) |  |
| virtual

Set the BigEndian property of BinData.

Parameters

  bigEndian | BigEndian to set.
  fileAnnotationIndex | the FileAnnotation index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setBinaryFileBinDataCompression()

void ome::xml::meta::FilterMetadata::setBinaryFileBinDataCompression | ( | ome::xml::model::enums::Compression | compression,
|  | index_type | fileAnnotationIndex
| ) |  |
| virtual

Set the Compression property of BinData.

Parameters

  compression | Compression to set.
  fileAnnotationIndex | the FileAnnotation index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setBinaryFileBinDataLength()

void ome::xml::meta::FilterMetadata::setBinaryFileBinDataLength | ( | ome::xml::model::primitives::NonNegativeLong | length,
|  | index_type | fileAnnotationIndex
| ) |  |
| virtual

Set the Length property of BinData.

Parameters

  length | Length to set.
  fileAnnotationIndex | the FileAnnotation index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setBinaryFileFileName()

void ome::xml::meta::FilterMetadata::setBinaryFileFileName | ( | const std::string & | fileName,
|  | index_type | fileAnnotationIndex
| ) |  |
| virtual

Set the FileName property of BinaryFile.

Parameters

  fileName | FileName to set.
  fileAnnotationIndex | the FileAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setBinaryFileMIMEType()

void ome::xml::meta::FilterMetadata::setBinaryFileMIMEType | ( | const std::string & | mimeType,
|  | index_type | fileAnnotationIndex
| ) |  |
| virtual

Set the MIMEType property of BinaryFile.

Parameters

  mimeType | MIMEType to set.
  fileAnnotationIndex | the FileAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setBinaryFileSize()

void ome::xml::meta::FilterMetadata::setBinaryFileSize | ( | ome::xml::model::primitives::NonNegativeLong | size,
|  | index_type | fileAnnotationIndex
| ) |  |
| virtual

Set the Size property of BinaryFile.

Parameters

  size | Size to set.
  fileAnnotationIndex | the FileAnnotation index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setBinaryOnlyMetadataFile()

void ome::xml::meta::FilterMetadata::setBinaryOnlyMetadataFile | ( | const std::string & | metadataFile | ) |
| virtual

Set the MetadataFile property of BinaryOnly.

Parameters

  metadataFile | MetadataFile to set.

Implements ome::xml::meta::MetadataStore.

References store.

## § setBinaryOnlyUUID()

void ome::xml::meta::FilterMetadata::setBinaryOnlyUUID | ( | const std::string & | uuid | ) |
| virtual

Set the UUID property of BinaryOnly.

Parameters

  uuid | UUID to set.

Implements ome::xml::meta::MetadataStore.

References store.

## § setBooleanAnnotationAnnotationRef()

void ome::xml::meta::FilterMetadata::setBooleanAnnotationAnnotationRef | ( | const std::string & | annotation,
|  | index_type | booleanAnnotationIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of BooleanAnnotation.

Parameters

  annotation | AnnotationRef to set.
  booleanAnnotationIndex | the BooleanAnnotation index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setBooleanAnnotationAnnotator()

void ome::xml::meta::FilterMetadata::setBooleanAnnotationAnnotator | ( | const std::string & | annotator,
|  | index_type | booleanAnnotationIndex
| ) |  |
| virtual

Set the Annotator property of BooleanAnnotation.

Parameters

  annotator | Annotator to set.
  booleanAnnotationIndex | the BooleanAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setBooleanAnnotationDescription()

void ome::xml::meta::FilterMetadata::setBooleanAnnotationDescription | ( | const std::string & | description,
|  | index_type | booleanAnnotationIndex
| ) |  |
| virtual

Set the Description property of BooleanAnnotation.

Parameters

  description | Description to set.
  booleanAnnotationIndex | the BooleanAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setBooleanAnnotationID()

void ome::xml::meta::FilterMetadata::setBooleanAnnotationID | ( | const std::string & | id,
|  | index_type | booleanAnnotationIndex
| ) |  |
| virtual

Set the ID property of BooleanAnnotation.

Parameters

  id | ID to set.
  booleanAnnotationIndex | the BooleanAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setBooleanAnnotationNamespace()

void ome::xml::meta::FilterMetadata::setBooleanAnnotationNamespace | ( | const std::string & | namespace_,
|  | index_type | booleanAnnotationIndex
| ) |  |
| virtual

Set the Namespace property of BooleanAnnotation.

Parameters

  namespace_ | Namespace to set.
  booleanAnnotationIndex | the BooleanAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setBooleanAnnotationValue()

void ome::xml::meta::FilterMetadata::setBooleanAnnotationValue | ( | bool | value,
|  | index_type | booleanAnnotationIndex
| ) |  |
| virtual

Set the Value property of BooleanAnnotation.

Parameters

  value | Value to set.
  booleanAnnotationIndex | the BooleanAnnotation index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelAcquisitionMode()

void ome::xml::meta::FilterMetadata::setChannelAcquisitionMode | ( | ome::xml::model::enums::AcquisitionMode | acquisitionMode,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the AcquisitionMode property of Channel.

Parameters

  acquisitionMode | AcquisitionMode to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelAnnotationRef()

void ome::xml::meta::FilterMetadata::setChannelAnnotationRef | ( | const std::string & | annotation,
|  | index_type | imageIndex,
|  | index_type | channelIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Channel.

Parameters

  annotation | AnnotationRef to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelColor()

void ome::xml::meta::FilterMetadata::setChannelColor | ( | ome::xml::model::primitives::Color | color,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the Color property of Channel.

Parameters

  color | Color to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelContrastMethod()

void ome::xml::meta::FilterMetadata::setChannelContrastMethod | ( | ome::xml::model::enums::ContrastMethod | contrastMethod,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the ContrastMethod property of Channel.

Parameters

  contrastMethod | ContrastMethod to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelEmissionWavelength()

void ome::xml::meta::FilterMetadata::setChannelEmissionWavelength | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | emissionWavelength,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the EmissionWavelength property of Channel.

Parameters

  emissionWavelength | EmissionWavelength to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelExcitationWavelength()

void ome::xml::meta::FilterMetadata::setChannelExcitationWavelength | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | excitationWavelength,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the ExcitationWavelength property of Channel.

Parameters

  excitationWavelength | ExcitationWavelength to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelFilterSetRef()

void ome::xml::meta::FilterMetadata::setChannelFilterSetRef | ( | const std::string & | filterSet,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the FilterSetRef property of Channel.

Parameters

  filterSet | FilterSetRef to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelFluor()

void ome::xml::meta::FilterMetadata::setChannelFluor | ( | const std::string & | fluor,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the Fluor property of Channel.

Parameters

  fluor | Fluor to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelID()

void ome::xml::meta::FilterMetadata::setChannelID | ( | const std::string & | id,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the ID property of Channel.

Parameters

  id | ID to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelIlluminationType()

void ome::xml::meta::FilterMetadata::setChannelIlluminationType | ( | ome::xml::model::enums::IlluminationType | illuminationType,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the IlluminationType property of Channel.

Parameters

  illuminationType | IlluminationType to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelLightSourceSettingsAttenuation()

void ome::xml::meta::FilterMetadata::setChannelLightSourceSettingsAttenuation | ( | ome::xml::model::primitives::PercentFraction | attenuation,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the Attenuation property of LightSourceSettings.

Parameters

  attenuation | Attenuation to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelLightSourceSettingsID()

void ome::xml::meta::FilterMetadata::setChannelLightSourceSettingsID | ( | const std::string & | id,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the ID property of LightSourceSettings.

Parameters

  id | ID to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelLightSourceSettingsWavelength()

void ome::xml::meta::FilterMetadata::setChannelLightSourceSettingsWavelength | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | wavelength,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the Wavelength property of LightSourceSettings.

Parameters

  wavelength | Wavelength to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelName()

void ome::xml::meta::FilterMetadata::setChannelName | ( | const std::string & | name,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the Name property of Channel.

Parameters

  name | Name to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelNDFilter()

void ome::xml::meta::FilterMetadata::setChannelNDFilter | ( | double | ndFilter,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the NDFilter property of Channel.

Parameters

  ndFilter | NDFilter to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelPinholeSize()

void ome::xml::meta::FilterMetadata::setChannelPinholeSize | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | pinholeSize,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the PinholeSize property of Channel.

Parameters

  pinholeSize | PinholeSize to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelPockelCellSetting()

void ome::xml::meta::FilterMetadata::setChannelPockelCellSetting | ( | int32_t | pockelCellSetting,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the PockelCellSetting property of Channel.

Parameters

  pockelCellSetting | PockelCellSetting to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setChannelSamplesPerPixel()

void ome::xml::meta::FilterMetadata::setChannelSamplesPerPixel | ( | ome::xml::model::primitives::PositiveInteger | samplesPerPixel,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the SamplesPerPixel property of Channel.

Parameters

  samplesPerPixel | SamplesPerPixel to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setCommentAnnotationAnnotationRef()

void ome::xml::meta::FilterMetadata::setCommentAnnotationAnnotationRef | ( | const std::string & | annotation,
|  | index_type | commentAnnotationIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of CommentAnnotation.

Parameters

  annotation | AnnotationRef to set.
  commentAnnotationIndex | the CommentAnnotation index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setCommentAnnotationAnnotator()

void ome::xml::meta::FilterMetadata::setCommentAnnotationAnnotator | ( | const std::string & | annotator,
|  | index_type | commentAnnotationIndex
| ) |  |
| virtual

Set the Annotator property of CommentAnnotation.

Parameters

  annotator | Annotator to set.
  commentAnnotationIndex | the CommentAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setCommentAnnotationDescription()

void ome::xml::meta::FilterMetadata::setCommentAnnotationDescription | ( | const std::string & | description,
|  | index_type | commentAnnotationIndex
| ) |  |
| virtual

Set the Description property of CommentAnnotation.

Parameters

  description | Description to set.
  commentAnnotationIndex | the CommentAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setCommentAnnotationID()

void ome::xml::meta::FilterMetadata::setCommentAnnotationID | ( | const std::string & | id,
|  | index_type | commentAnnotationIndex
| ) |  |
| virtual

Set the ID property of CommentAnnotation.

Parameters

  id | ID to set.
  commentAnnotationIndex | the CommentAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setCommentAnnotationNamespace()

void ome::xml::meta::FilterMetadata::setCommentAnnotationNamespace | ( | const std::string & | namespace_,
|  | index_type | commentAnnotationIndex
| ) |  |
| virtual

Set the Namespace property of CommentAnnotation.

Parameters

  namespace_ | Namespace to set.
  commentAnnotationIndex | the CommentAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setCommentAnnotationValue()

void ome::xml::meta::FilterMetadata::setCommentAnnotationValue | ( | const std::string & | value,
|  | index_type | commentAnnotationIndex
| ) |  |
| virtual

Set the Value property of CommentAnnotation.

Parameters

  value | Value to set.
  commentAnnotationIndex | the CommentAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDatasetAnnotationRef()

void ome::xml::meta::FilterMetadata::setDatasetAnnotationRef | ( | const std::string & | annotation,
|  | index_type | datasetIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Dataset.

Parameters

  annotation | AnnotationRef to set.
  datasetIndex | the Dataset index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setDatasetDescription()

void ome::xml::meta::FilterMetadata::setDatasetDescription | ( | const std::string & | description,
|  | index_type | datasetIndex
| ) |  |
| virtual

Set the Description property of Dataset.

Parameters

  description | Description to set.
  datasetIndex | the Dataset index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDatasetExperimenterGroupRef()

void ome::xml::meta::FilterMetadata::setDatasetExperimenterGroupRef | ( | const std::string & | experimenterGroup,
|  | index_type | datasetIndex
| ) |  |
| virtual

Set the ExperimenterGroupRef property of Dataset.

Parameters

  experimenterGroup | ExperimenterGroupRef to set.
  datasetIndex | the Dataset index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDatasetExperimenterRef()

void ome::xml::meta::FilterMetadata::setDatasetExperimenterRef | ( | const std::string & | experimenter,
|  | index_type | datasetIndex
| ) |  |
| virtual

Set the ExperimenterRef property of Dataset.

Parameters

  experimenter | ExperimenterRef to set.
  datasetIndex | the Dataset index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDatasetID()

void ome::xml::meta::FilterMetadata::setDatasetID | ( | const std::string & | id,
|  | index_type | datasetIndex
| ) |  |
| virtual

Set the ID property of Dataset.

Parameters

  id | ID to set.
  datasetIndex | the Dataset index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDatasetImageRef()

void ome::xml::meta::FilterMetadata::setDatasetImageRef | ( | const std::string & | image,
|  | index_type | datasetIndex,
|  | index_type | imageRefIndex
| ) |  |
| virtual

Set the ImageRef property of Dataset.

Parameters

  image | ImageRef to set.
  datasetIndex | the Dataset index.
  imageRefIndex | ImageRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setDatasetName()

void ome::xml::meta::FilterMetadata::setDatasetName | ( | const std::string & | name,
|  | index_type | datasetIndex
| ) |  |
| virtual

Set the Name property of Dataset.

Parameters

  name | Name to set.
  datasetIndex | the Dataset index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorAmplificationGain()

void ome::xml::meta::FilterMetadata::setDetectorAmplificationGain | ( | double | amplificationGain,
|  | index_type | instrumentIndex,
|  | index_type | detectorIndex
| ) |  |
| virtual

Set the AmplificationGain property of Detector.

Parameters

  amplificationGain | AmplificationGain to set.
  instrumentIndex | the Instrument index.
  detectorIndex | the Detector index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorAnnotationRef()

void ome::xml::meta::FilterMetadata::setDetectorAnnotationRef | ( | const std::string & | annotation,
|  | index_type | instrumentIndex,
|  | index_type | detectorIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Detector.

Parameters

  annotation | AnnotationRef to set.
  instrumentIndex | the Instrument index.
  detectorIndex | the Detector index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorGain()

void ome::xml::meta::FilterMetadata::setDetectorGain | ( | double | gain,
|  | index_type | instrumentIndex,
|  | index_type | detectorIndex
| ) |  |
| virtual

Set the Gain property of Detector.

Parameters

  gain | Gain to set.
  instrumentIndex | the Instrument index.
  detectorIndex | the Detector index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorID()

void ome::xml::meta::FilterMetadata::setDetectorID | ( | const std::string & | id,
|  | index_type | instrumentIndex,
|  | index_type | detectorIndex
| ) |  |
| virtual

Set the ID property of Detector.

Parameters

  id | ID to set.
  instrumentIndex | the Instrument index.
  detectorIndex | the Detector index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorLotNumber()

void ome::xml::meta::FilterMetadata::setDetectorLotNumber | ( | const std::string & | lotNumber,
|  | index_type | instrumentIndex,
|  | index_type | detectorIndex
| ) |  |
| virtual

Set the LotNumber property of Detector.

Parameters

  lotNumber | LotNumber to set.
  instrumentIndex | the Instrument index.
  detectorIndex | the Detector index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorManufacturer()

void ome::xml::meta::FilterMetadata::setDetectorManufacturer | ( | const std::string & | manufacturer,
|  | index_type | instrumentIndex,
|  | index_type | detectorIndex
| ) |  |
| virtual

Set the Manufacturer property of Detector.

Parameters

  manufacturer | Manufacturer to set.
  instrumentIndex | the Instrument index.
  detectorIndex | the Detector index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorModel()

void ome::xml::meta::FilterMetadata::setDetectorModel | ( | const std::string & | model,
|  | index_type | instrumentIndex,
|  | index_type | detectorIndex
| ) |  |
| virtual

Set the Model property of Detector.

Parameters

  model | Model to set.
  instrumentIndex | the Instrument index.
  detectorIndex | the Detector index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorOffset()

void ome::xml::meta::FilterMetadata::setDetectorOffset | ( | double | offset,
|  | index_type | instrumentIndex,
|  | index_type | detectorIndex
| ) |  |
| virtual

Set the Offset property of Detector.

Parameters

  offset | Offset to set.
  instrumentIndex | the Instrument index.
  detectorIndex | the Detector index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorSerialNumber()

void ome::xml::meta::FilterMetadata::setDetectorSerialNumber | ( | const std::string & | serialNumber,
|  | index_type | instrumentIndex,
|  | index_type | detectorIndex
| ) |  |
| virtual

Set the SerialNumber property of Detector.

Parameters

  serialNumber | SerialNumber to set.
  instrumentIndex | the Instrument index.
  detectorIndex | the Detector index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorSettingsBinning()

void ome::xml::meta::FilterMetadata::setDetectorSettingsBinning | ( | ome::xml::model::enums::Binning | binning,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the Binning property of DetectorSettings.

Parameters

  binning | Binning to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorSettingsGain()

void ome::xml::meta::FilterMetadata::setDetectorSettingsGain | ( | double | gain,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the Gain property of DetectorSettings.

Parameters

  gain | Gain to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorSettingsID()

void ome::xml::meta::FilterMetadata::setDetectorSettingsID | ( | const std::string & | id,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the ID property of DetectorSettings.

Parameters

  id | ID to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorSettingsIntegration()

void ome::xml::meta::FilterMetadata::setDetectorSettingsIntegration | ( | ome::xml::model::primitives::PositiveInteger | integration,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the Integration property of DetectorSettings.

Parameters

  integration | Integration to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorSettingsOffset()

void ome::xml::meta::FilterMetadata::setDetectorSettingsOffset | ( | double | offset,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the Offset property of DetectorSettings.

Parameters

  offset | Offset to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorSettingsReadOutRate()

void ome::xml::meta::FilterMetadata::setDetectorSettingsReadOutRate | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsFrequency > | readOutRate,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the ReadOutRate property of DetectorSettings.

Parameters

  readOutRate | ReadOutRate to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorSettingsVoltage()

void ome::xml::meta::FilterMetadata::setDetectorSettingsVoltage | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsElectricPotential > | voltage,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the Voltage property of DetectorSettings.

Parameters

  voltage | Voltage to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorSettingsZoom()

void ome::xml::meta::FilterMetadata::setDetectorSettingsZoom | ( | double | zoom,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the Zoom property of DetectorSettings.

Parameters

  zoom | Zoom to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorType()

void ome::xml::meta::FilterMetadata::setDetectorType | ( | ome::xml::model::enums::DetectorType | type,
|  | index_type | instrumentIndex,
|  | index_type | detectorIndex
| ) |  |
| virtual

Set the Type property of Detector.

Parameters

  type | Type to set.
  instrumentIndex | the Instrument index.
  detectorIndex | the Detector index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorVoltage()

void ome::xml::meta::FilterMetadata::setDetectorVoltage | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsElectricPotential > | voltage,
|  | index_type | instrumentIndex,
|  | index_type | detectorIndex
| ) |  |
| virtual

Set the Voltage property of Detector.

Parameters

  voltage | Voltage to set.
  instrumentIndex | the Instrument index.
  detectorIndex | the Detector index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDetectorZoom()

void ome::xml::meta::FilterMetadata::setDetectorZoom | ( | double | zoom,
|  | index_type | instrumentIndex,
|  | index_type | detectorIndex
| ) |  |
| virtual

Set the Zoom property of Detector.

Parameters

  zoom | Zoom to set.
  instrumentIndex | the Instrument index.
  detectorIndex | the Detector index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setDichroicAnnotationRef()

void ome::xml::meta::FilterMetadata::setDichroicAnnotationRef | ( | const std::string & | annotation,
|  | index_type | instrumentIndex,
|  | index_type | dichroicIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Dichroic.

Parameters

  annotation | AnnotationRef to set.
  instrumentIndex | the Instrument index.
  dichroicIndex | the Dichroic index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setDichroicID()

void ome::xml::meta::FilterMetadata::setDichroicID | ( | const std::string & | id,
|  | index_type | instrumentIndex,
|  | index_type | dichroicIndex
| ) |  |
| virtual

Set the ID property of Dichroic.

Parameters

  id | ID to set.
  instrumentIndex | the Instrument index.
  dichroicIndex | the Dichroic index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDichroicLotNumber()

void ome::xml::meta::FilterMetadata::setDichroicLotNumber | ( | const std::string & | lotNumber,
|  | index_type | instrumentIndex,
|  | index_type | dichroicIndex
| ) |  |
| virtual

Set the LotNumber property of Dichroic.

Parameters

  lotNumber | LotNumber to set.
  instrumentIndex | the Instrument index.
  dichroicIndex | the Dichroic index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDichroicManufacturer()

void ome::xml::meta::FilterMetadata::setDichroicManufacturer | ( | const std::string & | manufacturer,
|  | index_type | instrumentIndex,
|  | index_type | dichroicIndex
| ) |  |
| virtual

Set the Manufacturer property of Dichroic.

Parameters

  manufacturer | Manufacturer to set.
  instrumentIndex | the Instrument index.
  dichroicIndex | the Dichroic index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDichroicModel()

void ome::xml::meta::FilterMetadata::setDichroicModel | ( | const std::string & | model,
|  | index_type | instrumentIndex,
|  | index_type | dichroicIndex
| ) |  |
| virtual

Set the Model property of Dichroic.

Parameters

  model | Model to set.
  instrumentIndex | the Instrument index.
  dichroicIndex | the Dichroic index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDichroicSerialNumber()

void ome::xml::meta::FilterMetadata::setDichroicSerialNumber | ( | const std::string & | serialNumber,
|  | index_type | instrumentIndex,
|  | index_type | dichroicIndex
| ) |  |
| virtual

Set the SerialNumber property of Dichroic.

Parameters

  serialNumber | SerialNumber to set.
  instrumentIndex | the Instrument index.
  dichroicIndex | the Dichroic index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDoubleAnnotationAnnotationRef()

void ome::xml::meta::FilterMetadata::setDoubleAnnotationAnnotationRef | ( | const std::string & | annotation,
|  | index_type | doubleAnnotationIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of DoubleAnnotation.

Parameters

  annotation | AnnotationRef to set.
  doubleAnnotationIndex | the DoubleAnnotation index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setDoubleAnnotationAnnotator()

void ome::xml::meta::FilterMetadata::setDoubleAnnotationAnnotator | ( | const std::string & | annotator,
|  | index_type | doubleAnnotationIndex
| ) |  |
| virtual

Set the Annotator property of DoubleAnnotation.

Parameters

  annotator | Annotator to set.
  doubleAnnotationIndex | the DoubleAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDoubleAnnotationDescription()

void ome::xml::meta::FilterMetadata::setDoubleAnnotationDescription | ( | const std::string & | description,
|  | index_type | doubleAnnotationIndex
| ) |  |
| virtual

Set the Description property of DoubleAnnotation.

Parameters

  description | Description to set.
  doubleAnnotationIndex | the DoubleAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDoubleAnnotationID()

void ome::xml::meta::FilterMetadata::setDoubleAnnotationID | ( | const std::string & | id,
|  | index_type | doubleAnnotationIndex
| ) |  |
| virtual

Set the ID property of DoubleAnnotation.

Parameters

  id | ID to set.
  doubleAnnotationIndex | the DoubleAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDoubleAnnotationNamespace()

void ome::xml::meta::FilterMetadata::setDoubleAnnotationNamespace | ( | const std::string & | namespace_,
|  | index_type | doubleAnnotationIndex
| ) |  |
| virtual

Set the Namespace property of DoubleAnnotation.

Parameters

  namespace_ | Namespace to set.
  doubleAnnotationIndex | the DoubleAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setDoubleAnnotationValue()

void ome::xml::meta::FilterMetadata::setDoubleAnnotationValue | ( | double | value,
|  | index_type | doubleAnnotationIndex
| ) |  |
| virtual

Set the Value property of DoubleAnnotation.

Parameters

  value | Value to set.
  doubleAnnotationIndex | the DoubleAnnotation index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseAnnotationRef()

void ome::xml::meta::FilterMetadata::setEllipseAnnotationRef | ( | const std::string & | annotation,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Ellipse.

Parameters

  annotation | AnnotationRef to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseFillColor()

void ome::xml::meta::FilterMetadata::setEllipseFillColor | ( | ome::xml::model::primitives::Color | fillColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillColor property of Ellipse.

Parameters

  fillColor | FillColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseFillRule()

void ome::xml::meta::FilterMetadata::setEllipseFillRule | ( | ome::xml::model::enums::FillRule | fillRule,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillRule property of Ellipse.

Parameters

  fillRule | FillRule to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseFontFamily()

void ome::xml::meta::FilterMetadata::setEllipseFontFamily | ( | ome::xml::model::enums::FontFamily | fontFamily,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontFamily property of Ellipse.

Parameters

  fontFamily | FontFamily to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseFontSize()

void ome::xml::meta::FilterMetadata::setEllipseFontSize | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | fontSize,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontSize property of Ellipse.

Parameters

  fontSize | FontSize to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseFontStyle()

void ome::xml::meta::FilterMetadata::setEllipseFontStyle | ( | ome::xml::model::enums::FontStyle | fontStyle,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontStyle property of Ellipse.

Parameters

  fontStyle | FontStyle to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseID()

void ome::xml::meta::FilterMetadata::setEllipseID | ( | const std::string & | id,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the ID property of Ellipse.

Parameters

  id | ID to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseLocked()

void ome::xml::meta::FilterMetadata::setEllipseLocked | ( | bool | locked,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Locked property of Ellipse.

Parameters

  locked | Locked to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseRadiusX()

void ome::xml::meta::FilterMetadata::setEllipseRadiusX | ( | double | radiusX,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the RadiusX property of Ellipse.

Parameters

  radiusX | RadiusX to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseRadiusY()

void ome::xml::meta::FilterMetadata::setEllipseRadiusY | ( | double | radiusY,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the RadiusY property of Ellipse.

Parameters

  radiusY | RadiusY to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseStrokeColor()

void ome::xml::meta::FilterMetadata::setEllipseStrokeColor | ( | ome::xml::model::primitives::Color | strokeColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeColor property of Ellipse.

Parameters

  strokeColor | StrokeColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseStrokeDashArray()

void ome::xml::meta::FilterMetadata::setEllipseStrokeDashArray | ( | const std::string & | strokeDashArray,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeDashArray property of Ellipse.

Parameters

  strokeDashArray | StrokeDashArray to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseStrokeWidth()

void ome::xml::meta::FilterMetadata::setEllipseStrokeWidth | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | strokeWidth,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeWidth property of Ellipse.

Parameters

  strokeWidth | StrokeWidth to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseText()

void ome::xml::meta::FilterMetadata::setEllipseText | ( | const std::string & | text,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Text property of Ellipse.

Parameters

  text | Text to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseTheC()

void ome::xml::meta::FilterMetadata::setEllipseTheC | ( | ome::xml::model::primitives::NonNegativeInteger | theC,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheC property of Ellipse.

Parameters

  theC | TheC to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseTheT()

void ome::xml::meta::FilterMetadata::setEllipseTheT | ( | ome::xml::model::primitives::NonNegativeInteger | theT,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheT property of Ellipse.

Parameters

  theT | TheT to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseTheZ()

void ome::xml::meta::FilterMetadata::setEllipseTheZ | ( | ome::xml::model::primitives::NonNegativeInteger | theZ,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheZ property of Ellipse.

Parameters

  theZ | TheZ to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseTransform()

void ome::xml::meta::FilterMetadata::setEllipseTransform | ( | const ::ome::xml::model::AffineTransform & | transform,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Transform property of Ellipse.

Parameters

  transform | Transform to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseX()

void ome::xml::meta::FilterMetadata::setEllipseX | ( | double | x,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the X property of Ellipse.

Parameters

  x | X to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setEllipseY()

void ome::xml::meta::FilterMetadata::setEllipseY | ( | double | y,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Y property of Ellipse.

Parameters

  y | Y to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimentDescription()

void ome::xml::meta::FilterMetadata::setExperimentDescription | ( | const std::string & | description,
|  | index_type | experimentIndex
| ) |  |
| virtual

Set the Description property of Experiment.

Parameters

  description | Description to set.
  experimentIndex | the Experiment index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimenterAnnotationRef()

void ome::xml::meta::FilterMetadata::setExperimenterAnnotationRef | ( | const std::string & | annotation,
|  | index_type | experimenterIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Experimenter.

Parameters

  annotation | AnnotationRef to set.
  experimenterIndex | the Experimenter index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimenterEmail()

void ome::xml::meta::FilterMetadata::setExperimenterEmail | ( | const std::string & | email,
|  | index_type | experimenterIndex
| ) |  |
| virtual

Set the Email property of Experimenter.

Parameters

  email | Email to set.
  experimenterIndex | the Experimenter index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimenterFirstName()

void ome::xml::meta::FilterMetadata::setExperimenterFirstName | ( | const std::string & | firstName,
|  | index_type | experimenterIndex
| ) |  |
| virtual

Set the FirstName property of Experimenter.

Parameters

  firstName | FirstName to set.
  experimenterIndex | the Experimenter index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimenterGroupAnnotationRef()

void ome::xml::meta::FilterMetadata::setExperimenterGroupAnnotationRef | ( | const std::string & | annotation,
|  | index_type | experimenterGroupIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of ExperimenterGroup.

Parameters

  annotation | AnnotationRef to set.
  experimenterGroupIndex | the ExperimenterGroup index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimenterGroupDescription()

void ome::xml::meta::FilterMetadata::setExperimenterGroupDescription | ( | const std::string & | description,
|  | index_type | experimenterGroupIndex
| ) |  |
| virtual

Set the Description property of ExperimenterGroup.

Parameters

  description | Description to set.
  experimenterGroupIndex | the ExperimenterGroup index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimenterGroupExperimenterRef()

void ome::xml::meta::FilterMetadata::setExperimenterGroupExperimenterRef | ( | const std::string & | experimenter,
|  | index_type | experimenterGroupIndex,
|  | index_type | experimenterRefIndex
| ) |  |
| virtual

Set the ExperimenterRef property of ExperimenterGroup.

Parameters

  experimenter | ExperimenterRef to set.
  experimenterGroupIndex | the ExperimenterGroup index.
  experimenterRefIndex | ExperimenterRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimenterGroupID()

void ome::xml::meta::FilterMetadata::setExperimenterGroupID | ( | const std::string & | id,
|  | index_type | experimenterGroupIndex
| ) |  |
| virtual

Set the ID property of ExperimenterGroup.

Parameters

  id | ID to set.
  experimenterGroupIndex | the ExperimenterGroup index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimenterGroupLeader()

void ome::xml::meta::FilterMetadata::setExperimenterGroupLeader | ( | const std::string & | leader,
|  | index_type | experimenterGroupIndex,
|  | index_type | leaderIndex
| ) |  |
| virtual

Set the Leader property of ExperimenterGroup.

Parameters

  leader | Leader to set.
  experimenterGroupIndex | the ExperimenterGroup index.
  leaderIndex | Leader index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimenterGroupName()

void ome::xml::meta::FilterMetadata::setExperimenterGroupName | ( | const std::string & | name,
|  | index_type | experimenterGroupIndex
| ) |  |
| virtual

Set the Name property of ExperimenterGroup.

Parameters

  name | Name to set.
  experimenterGroupIndex | the ExperimenterGroup index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimenterID()

void ome::xml::meta::FilterMetadata::setExperimenterID | ( | const std::string & | id,
|  | index_type | experimenterIndex
| ) |  |
| virtual

Set the ID property of Experimenter.

Parameters

  id | ID to set.
  experimenterIndex | the Experimenter index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimenterInstitution()

void ome::xml::meta::FilterMetadata::setExperimenterInstitution | ( | const std::string & | institution,
|  | index_type | experimenterIndex
| ) |  |
| virtual

Set the Institution property of Experimenter.

Parameters

  institution | Institution to set.
  experimenterIndex | the Experimenter index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimenterLastName()

void ome::xml::meta::FilterMetadata::setExperimenterLastName | ( | const std::string & | lastName,
|  | index_type | experimenterIndex
| ) |  |
| virtual

Set the LastName property of Experimenter.

Parameters

  lastName | LastName to set.
  experimenterIndex | the Experimenter index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimenterMiddleName()

void ome::xml::meta::FilterMetadata::setExperimenterMiddleName | ( | const std::string & | middleName,
|  | index_type | experimenterIndex
| ) |  |
| virtual

Set the MiddleName property of Experimenter.

Parameters

  middleName | MiddleName to set.
  experimenterIndex | the Experimenter index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimenterUserName()

void ome::xml::meta::FilterMetadata::setExperimenterUserName | ( | const std::string & | userName,
|  | index_type | experimenterIndex
| ) |  |
| virtual

Set the UserName property of Experimenter.

Parameters

  userName | UserName to set.
  experimenterIndex | the Experimenter index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimentExperimenterRef()

void ome::xml::meta::FilterMetadata::setExperimentExperimenterRef | ( | const std::string & | experimenter,
|  | index_type | experimentIndex
| ) |  |
| virtual

Set the ExperimenterRef property of Experiment.

Parameters

  experimenter | ExperimenterRef to set.
  experimentIndex | the Experiment index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimentID()

void ome::xml::meta::FilterMetadata::setExperimentID | ( | const std::string & | id,
|  | index_type | experimentIndex
| ) |  |
| virtual

Set the ID property of Experiment.

Parameters

  id | ID to set.
  experimentIndex | the Experiment index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setExperimentType()

void ome::xml::meta::FilterMetadata::setExperimentType | ( | ome::xml::model::enums::ExperimentType | type,
|  | index_type | experimentIndex
| ) |  |
| virtual

Set the Type property of Experiment.

Parameters

  type | Type to set.
  experimentIndex | the Experiment index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilamentAnnotationRef()

void ome::xml::meta::FilterMetadata::setFilamentAnnotationRef | ( | const std::string & | annotation,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Filament.

Parameters

  annotation | AnnotationRef to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilamentID()

void ome::xml::meta::FilterMetadata::setFilamentID | ( | const std::string & | id,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the ID property of Filament.

Parameters

  id | ID to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilamentLotNumber()

void ome::xml::meta::FilterMetadata::setFilamentLotNumber | ( | const std::string & | lotNumber,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the LotNumber property of Filament.

Parameters

  lotNumber | LotNumber to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilamentManufacturer()

void ome::xml::meta::FilterMetadata::setFilamentManufacturer | ( | const std::string & | manufacturer,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Manufacturer property of Filament.

Parameters

  manufacturer | Manufacturer to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilamentModel()

void ome::xml::meta::FilterMetadata::setFilamentModel | ( | const std::string & | model,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Model property of Filament.

Parameters

  model | Model to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilamentPower()

void ome::xml::meta::FilterMetadata::setFilamentPower | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > | power,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Power property of Filament.

Parameters

  power | Power to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilamentSerialNumber()

void ome::xml::meta::FilterMetadata::setFilamentSerialNumber | ( | const std::string & | serialNumber,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the SerialNumber property of Filament.

Parameters

  serialNumber | SerialNumber to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilamentType()

void ome::xml::meta::FilterMetadata::setFilamentType | ( | ome::xml::model::enums::FilamentType | type,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Type property of Filament.

Parameters

  type | Type to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setFileAnnotationAnnotationRef()

void ome::xml::meta::FilterMetadata::setFileAnnotationAnnotationRef | ( | const std::string & | annotation,
|  | index_type | fileAnnotationIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of FileAnnotation.

Parameters

  annotation | AnnotationRef to set.
  fileAnnotationIndex | the FileAnnotation index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setFileAnnotationAnnotator()

void ome::xml::meta::FilterMetadata::setFileAnnotationAnnotator | ( | const std::string & | annotator,
|  | index_type | fileAnnotationIndex
| ) |  |
| virtual

Set the Annotator property of FileAnnotation.

Parameters

  annotator | Annotator to set.
  fileAnnotationIndex | the FileAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFileAnnotationDescription()

void ome::xml::meta::FilterMetadata::setFileAnnotationDescription | ( | const std::string & | description,
|  | index_type | fileAnnotationIndex
| ) |  |
| virtual

Set the Description property of FileAnnotation.

Parameters

  description | Description to set.
  fileAnnotationIndex | the FileAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFileAnnotationID()

void ome::xml::meta::FilterMetadata::setFileAnnotationID | ( | const std::string & | id,
|  | index_type | fileAnnotationIndex
| ) |  |
| virtual

Set the ID property of FileAnnotation.

Parameters

  id | ID to set.
  fileAnnotationIndex | the FileAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFileAnnotationNamespace()

void ome::xml::meta::FilterMetadata::setFileAnnotationNamespace | ( | const std::string & | namespace_,
|  | index_type | fileAnnotationIndex
| ) |  |
| virtual

Set the Namespace property of FileAnnotation.

Parameters

  namespace_ | Namespace to set.
  fileAnnotationIndex | the FileAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterAnnotationRef()

void ome::xml::meta::FilterMetadata::setFilterAnnotationRef | ( | const std::string & | annotation,
|  | index_type | instrumentIndex,
|  | index_type | filterIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Filter.

Parameters

  annotation | AnnotationRef to set.
  instrumentIndex | the Instrument index.
  filterIndex | the Filter index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterFilterWheel()

void ome::xml::meta::FilterMetadata::setFilterFilterWheel | ( | const std::string & | filterWheel,
|  | index_type | instrumentIndex,
|  | index_type | filterIndex
| ) |  |
| virtual

Set the FilterWheel property of Filter.

Parameters

  filterWheel | FilterWheel to set.
  instrumentIndex | the Instrument index.
  filterIndex | the Filter index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterID()

void ome::xml::meta::FilterMetadata::setFilterID | ( | const std::string & | id,
|  | index_type | instrumentIndex,
|  | index_type | filterIndex
| ) |  |
| virtual

Set the ID property of Filter.

Parameters

  id | ID to set.
  instrumentIndex | the Instrument index.
  filterIndex | the Filter index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterLotNumber()

void ome::xml::meta::FilterMetadata::setFilterLotNumber | ( | const std::string & | lotNumber,
|  | index_type | instrumentIndex,
|  | index_type | filterIndex
| ) |  |
| virtual

Set the LotNumber property of Filter.

Parameters

  lotNumber | LotNumber to set.
  instrumentIndex | the Instrument index.
  filterIndex | the Filter index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterManufacturer()

void ome::xml::meta::FilterMetadata::setFilterManufacturer | ( | const std::string & | manufacturer,
|  | index_type | instrumentIndex,
|  | index_type | filterIndex
| ) |  |
| virtual

Set the Manufacturer property of Filter.

Parameters

  manufacturer | Manufacturer to set.
  instrumentIndex | the Instrument index.
  filterIndex | the Filter index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterModel()

void ome::xml::meta::FilterMetadata::setFilterModel | ( | const std::string & | model,
|  | index_type | instrumentIndex,
|  | index_type | filterIndex
| ) |  |
| virtual

Set the Model property of Filter.

Parameters

  model | Model to set.
  instrumentIndex | the Instrument index.
  filterIndex | the Filter index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterSerialNumber()

void ome::xml::meta::FilterMetadata::setFilterSerialNumber | ( | const std::string & | serialNumber,
|  | index_type | instrumentIndex,
|  | index_type | filterIndex
| ) |  |
| virtual

Set the SerialNumber property of Filter.

Parameters

  serialNumber | SerialNumber to set.
  instrumentIndex | the Instrument index.
  filterIndex | the Filter index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterSetDichroicRef()

void ome::xml::meta::FilterMetadata::setFilterSetDichroicRef | ( | const std::string & | dichroic,
|  | index_type | instrumentIndex,
|  | index_type | filterSetIndex
| ) |  |
| virtual

Set the DichroicRef property of FilterSet.

Parameters

  dichroic | DichroicRef to set.
  instrumentIndex | the Instrument index.
  filterSetIndex | the FilterSet index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterSetEmissionFilterRef()

void ome::xml::meta::FilterMetadata::setFilterSetEmissionFilterRef | ( | const std::string & | emissionFilter,
|  | index_type | instrumentIndex,
|  | index_type | filterSetIndex,
|  | index_type | emissionFilterRefIndex
| ) |  |
| virtual

Set the EmissionFilterRef property of FilterSet.

Parameters

  emissionFilter | EmissionFilterRef to set.
  instrumentIndex | the Instrument index.
  filterSetIndex | the FilterSet index.
  emissionFilterRefIndex | EmissionFilterRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterSetExcitationFilterRef()

void ome::xml::meta::FilterMetadata::setFilterSetExcitationFilterRef | ( | const std::string & | excitationFilter,
|  | index_type | instrumentIndex,
|  | index_type | filterSetIndex,
|  | index_type | excitationFilterRefIndex
| ) |  |
| virtual

Set the ExcitationFilterRef property of FilterSet.

Parameters

  excitationFilter | ExcitationFilterRef to set.
  instrumentIndex | the Instrument index.
  filterSetIndex | the FilterSet index.
  excitationFilterRefIndex | ExcitationFilterRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterSetID()

void ome::xml::meta::FilterMetadata::setFilterSetID | ( | const std::string & | id,
|  | index_type | instrumentIndex,
|  | index_type | filterSetIndex
| ) |  |
| virtual

Set the ID property of FilterSet.

Parameters

  id | ID to set.
  instrumentIndex | the Instrument index.
  filterSetIndex | the FilterSet index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterSetLotNumber()

void ome::xml::meta::FilterMetadata::setFilterSetLotNumber | ( | const std::string & | lotNumber,
|  | index_type | instrumentIndex,
|  | index_type | filterSetIndex
| ) |  |
| virtual

Set the LotNumber property of FilterSet.

Parameters

  lotNumber | LotNumber to set.
  instrumentIndex | the Instrument index.
  filterSetIndex | the FilterSet index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterSetManufacturer()

void ome::xml::meta::FilterMetadata::setFilterSetManufacturer | ( | const std::string & | manufacturer,
|  | index_type | instrumentIndex,
|  | index_type | filterSetIndex
| ) |  |
| virtual

Set the Manufacturer property of FilterSet.

Parameters

  manufacturer | Manufacturer to set.
  instrumentIndex | the Instrument index.
  filterSetIndex | the FilterSet index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterSetModel()

void ome::xml::meta::FilterMetadata::setFilterSetModel | ( | const std::string & | model,
|  | index_type | instrumentIndex,
|  | index_type | filterSetIndex
| ) |  |
| virtual

Set the Model property of FilterSet.

Parameters

  model | Model to set.
  instrumentIndex | the Instrument index.
  filterSetIndex | the FilterSet index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterSetSerialNumber()

void ome::xml::meta::FilterMetadata::setFilterSetSerialNumber | ( | const std::string & | serialNumber,
|  | index_type | instrumentIndex,
|  | index_type | filterSetIndex
| ) |  |
| virtual

Set the SerialNumber property of FilterSet.

Parameters

  serialNumber | SerialNumber to set.
  instrumentIndex | the Instrument index.
  filterSetIndex | the FilterSet index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFilterType()

void ome::xml::meta::FilterMetadata::setFilterType | ( | ome::xml::model::enums::FilterType | type,
|  | index_type | instrumentIndex,
|  | index_type | filterIndex
| ) |  |
| virtual

Set the Type property of Filter.

Parameters

  type | Type to set.
  instrumentIndex | the Instrument index.
  filterIndex | the Filter index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setFolderAnnotationRef()

void ome::xml::meta::FilterMetadata::setFolderAnnotationRef | ( | const std::string & | annotation,
|  | index_type | folderIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Folder.

Parameters

  annotation | AnnotationRef to set.
  folderIndex | the Folder index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setFolderDescription()

void ome::xml::meta::FilterMetadata::setFolderDescription | ( | const std::string & | description,
|  | index_type | folderIndex
| ) |  |
| virtual

Set the Description property of Folder.

Parameters

  description | Description to set.
  folderIndex | the Folder index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFolderFolderRef()

void ome::xml::meta::FilterMetadata::setFolderFolderRef | ( | const std::string & | folder,
|  | index_type | folderIndex,
|  | index_type | folderRefIndex
| ) |  |
| virtual

Set the FolderRef property of Folder.

Parameters

  folder | FolderRef to set.
  folderIndex | the Folder index.
  folderRefIndex | FolderRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setFolderID()

void ome::xml::meta::FilterMetadata::setFolderID | ( | const std::string & | id,
|  | index_type | folderIndex
| ) |  |
| virtual

Set the ID property of Folder.

Parameters

  id | ID to set.
  folderIndex | the Folder index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFolderImageRef()

void ome::xml::meta::FilterMetadata::setFolderImageRef | ( | const std::string & | image,
|  | index_type | folderIndex,
|  | index_type | imageRefIndex
| ) |  |
| virtual

Set the ImageRef property of Folder.

Parameters

  image | ImageRef to set.
  folderIndex | the Folder index.
  imageRefIndex | ImageRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setFolderName()

void ome::xml::meta::FilterMetadata::setFolderName | ( | const std::string & | name,
|  | index_type | folderIndex
| ) |  |
| virtual

Set the Name property of Folder.

Parameters

  name | Name to set.
  folderIndex | the Folder index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setFolderROIRef()

void ome::xml::meta::FilterMetadata::setFolderROIRef | ( | const std::string & | roi,
|  | index_type | folderIndex,
|  | index_type | ROIRefIndex
| ) |  |
| virtual

Set the ROIRef property of Folder.

Parameters

  roi | ROIRef to set.
  folderIndex | the Folder index.
  ROIRefIndex | ROIRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setGenericExcitationSourceAnnotationRef()

void ome::xml::meta::FilterMetadata::setGenericExcitationSourceAnnotationRef | ( | const std::string & | annotation,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of GenericExcitationSource.

Parameters

  annotation | AnnotationRef to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setGenericExcitationSourceID()

void ome::xml::meta::FilterMetadata::setGenericExcitationSourceID | ( | const std::string & | id,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the ID property of GenericExcitationSource.

Parameters

  id | ID to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setGenericExcitationSourceLotNumber()

void ome::xml::meta::FilterMetadata::setGenericExcitationSourceLotNumber | ( | const std::string & | lotNumber,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the LotNumber property of GenericExcitationSource.

Parameters

  lotNumber | LotNumber to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setGenericExcitationSourceManufacturer()

void ome::xml::meta::FilterMetadata::setGenericExcitationSourceManufacturer | ( | const std::string & | manufacturer,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Manufacturer property of GenericExcitationSource.

Parameters

  manufacturer | Manufacturer to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setGenericExcitationSourceMap()

void ome::xml::meta::FilterMetadata::setGenericExcitationSourceMap | ( | const ome::xml::model::primitives::OrderedMultimap & | map,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the map value of GenericExcitationSource.

Parameters

  map | the map value to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setGenericExcitationSourceModel()

void ome::xml::meta::FilterMetadata::setGenericExcitationSourceModel | ( | const std::string & | model,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Model property of GenericExcitationSource.

Parameters

  model | Model to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setGenericExcitationSourcePower()

void ome::xml::meta::FilterMetadata::setGenericExcitationSourcePower | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > | power,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Power property of GenericExcitationSource.

Parameters

  power | Power to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setGenericExcitationSourceSerialNumber()

void ome::xml::meta::FilterMetadata::setGenericExcitationSourceSerialNumber | ( | const std::string & | serialNumber,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the SerialNumber property of GenericExcitationSource.

Parameters

  serialNumber | SerialNumber to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setImageAcquisitionDate()

void ome::xml::meta::FilterMetadata::setImageAcquisitionDate | ( | ome::xml::model::primitives::Timestamp | acquisitionDate,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the AcquisitionDate property of Image.

Parameters

  acquisitionDate | AcquisitionDate to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setImageAnnotationRef()

void ome::xml::meta::FilterMetadata::setImageAnnotationRef | ( | const std::string & | annotation,
|  | index_type | imageIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Image.

Parameters

  annotation | AnnotationRef to set.
  imageIndex | the Image index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setImageDescription()

void ome::xml::meta::FilterMetadata::setImageDescription | ( | const std::string & | description,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the Description property of Image.

Parameters

  description | Description to set.
  imageIndex | the Image index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setImageExperimenterGroupRef()

void ome::xml::meta::FilterMetadata::setImageExperimenterGroupRef | ( | const std::string & | experimenterGroup,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the ExperimenterGroupRef property of Image.

Parameters

  experimenterGroup | ExperimenterGroupRef to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setImageExperimenterRef()

void ome::xml::meta::FilterMetadata::setImageExperimenterRef | ( | const std::string & | experimenter,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the ExperimenterRef property of Image.

Parameters

  experimenter | ExperimenterRef to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setImageExperimentRef()

void ome::xml::meta::FilterMetadata::setImageExperimentRef | ( | const std::string & | experiment,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the ExperimentRef property of Image.

Parameters

  experiment | ExperimentRef to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setImageID()

void ome::xml::meta::FilterMetadata::setImageID | ( | const std::string & | id,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the ID property of Image.

Parameters

  id | ID to set.
  imageIndex | the Image index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setImageInstrumentRef()

void ome::xml::meta::FilterMetadata::setImageInstrumentRef | ( | const std::string & | instrument,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the InstrumentRef property of Image.

Parameters

  instrument | InstrumentRef to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setImageMicrobeamManipulationRef()

void ome::xml::meta::FilterMetadata::setImageMicrobeamManipulationRef | ( | const std::string & | microbeamManipulation,
|  | index_type | imageIndex,
|  | index_type | microbeamManipulationRefIndex
| ) |  |
| virtual

Set the MicrobeamManipulationRef property of Image.

Parameters

  microbeamManipulation | MicrobeamManipulationRef to set.
  imageIndex | the Image index.
  microbeamManipulationRefIndex | MicrobeamManipulationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setImageName()

void ome::xml::meta::FilterMetadata::setImageName | ( | const std::string & | name,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the Name property of Image.

Parameters

  name | Name to set.
  imageIndex | the Image index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setImageROIRef()

void ome::xml::meta::FilterMetadata::setImageROIRef | ( | const std::string & | roi,
|  | index_type | imageIndex,
|  | index_type | ROIRefIndex
| ) |  |
| virtual

Set the ROIRef property of Image.

Parameters

  roi | ROIRef to set.
  imageIndex | the Image index.
  ROIRefIndex | ROIRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setImagingEnvironmentAirPressure()

void ome::xml::meta::FilterMetadata::setImagingEnvironmentAirPressure | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPressure > | airPressure,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the AirPressure property of ImagingEnvironment.

Parameters

  airPressure | AirPressure to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setImagingEnvironmentCO2Percent()

void ome::xml::meta::FilterMetadata::setImagingEnvironmentCO2Percent | ( | ome::xml::model::primitives::PercentFraction | co2Percent,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the CO2Percent property of ImagingEnvironment.

Parameters

  co2Percent | CO2Percent to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setImagingEnvironmentHumidity()

void ome::xml::meta::FilterMetadata::setImagingEnvironmentHumidity | ( | ome::xml::model::primitives::PercentFraction | humidity,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the Humidity property of ImagingEnvironment.

Parameters

  humidity | Humidity to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setImagingEnvironmentMap()

void ome::xml::meta::FilterMetadata::setImagingEnvironmentMap | ( | const ome::xml::model::primitives::OrderedMultimap & | map,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the map value of ImagingEnvironment.

Parameters

  map | the map value to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setImagingEnvironmentTemperature()

void ome::xml::meta::FilterMetadata::setImagingEnvironmentTemperature | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTemperature > | temperature,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the Temperature property of ImagingEnvironment.

Parameters

  temperature | Temperature to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setInstrumentAnnotationRef()

void ome::xml::meta::FilterMetadata::setInstrumentAnnotationRef | ( | const std::string & | annotation,
|  | index_type | instrumentIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Instrument.

Parameters

  annotation | AnnotationRef to set.
  instrumentIndex | the Instrument index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setInstrumentID()

void ome::xml::meta::FilterMetadata::setInstrumentID | ( | const std::string & | id,
|  | index_type | instrumentIndex
| ) |  |
| virtual

Set the ID property of Instrument.

Parameters

  id | ID to set.
  instrumentIndex | the Instrument index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelAnnotationRef()

void ome::xml::meta::FilterMetadata::setLabelAnnotationRef | ( | const std::string & | annotation,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Label.

Parameters

  annotation | AnnotationRef to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelFillColor()

void ome::xml::meta::FilterMetadata::setLabelFillColor | ( | ome::xml::model::primitives::Color | fillColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillColor property of Label.

Parameters

  fillColor | FillColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelFillRule()

void ome::xml::meta::FilterMetadata::setLabelFillRule | ( | ome::xml::model::enums::FillRule | fillRule,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillRule property of Label.

Parameters

  fillRule | FillRule to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelFontFamily()

void ome::xml::meta::FilterMetadata::setLabelFontFamily | ( | ome::xml::model::enums::FontFamily | fontFamily,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontFamily property of Label.

Parameters

  fontFamily | FontFamily to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelFontSize()

void ome::xml::meta::FilterMetadata::setLabelFontSize | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | fontSize,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontSize property of Label.

Parameters

  fontSize | FontSize to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelFontStyle()

void ome::xml::meta::FilterMetadata::setLabelFontStyle | ( | ome::xml::model::enums::FontStyle | fontStyle,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontStyle property of Label.

Parameters

  fontStyle | FontStyle to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelID()

void ome::xml::meta::FilterMetadata::setLabelID | ( | const std::string & | id,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the ID property of Label.

Parameters

  id | ID to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelLocked()

void ome::xml::meta::FilterMetadata::setLabelLocked | ( | bool | locked,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Locked property of Label.

Parameters

  locked | Locked to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelStrokeColor()

void ome::xml::meta::FilterMetadata::setLabelStrokeColor | ( | ome::xml::model::primitives::Color | strokeColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeColor property of Label.

Parameters

  strokeColor | StrokeColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelStrokeDashArray()

void ome::xml::meta::FilterMetadata::setLabelStrokeDashArray | ( | const std::string & | strokeDashArray,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeDashArray property of Label.

Parameters

  strokeDashArray | StrokeDashArray to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelStrokeWidth()

void ome::xml::meta::FilterMetadata::setLabelStrokeWidth | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | strokeWidth,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeWidth property of Label.

Parameters

  strokeWidth | StrokeWidth to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelText()

void ome::xml::meta::FilterMetadata::setLabelText | ( | const std::string & | text,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Text property of Label.

Parameters

  text | Text to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelTheC()

void ome::xml::meta::FilterMetadata::setLabelTheC | ( | ome::xml::model::primitives::NonNegativeInteger | theC,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheC property of Label.

Parameters

  theC | TheC to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelTheT()

void ome::xml::meta::FilterMetadata::setLabelTheT | ( | ome::xml::model::primitives::NonNegativeInteger | theT,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheT property of Label.

Parameters

  theT | TheT to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelTheZ()

void ome::xml::meta::FilterMetadata::setLabelTheZ | ( | ome::xml::model::primitives::NonNegativeInteger | theZ,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheZ property of Label.

Parameters

  theZ | TheZ to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelTransform()

void ome::xml::meta::FilterMetadata::setLabelTransform | ( | const ::ome::xml::model::AffineTransform & | transform,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Transform property of Label.

Parameters

  transform | Transform to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelX()

void ome::xml::meta::FilterMetadata::setLabelX | ( | double | x,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the X property of Label.

Parameters

  x | X to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLabelY()

void ome::xml::meta::FilterMetadata::setLabelY | ( | double | y,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Y property of Label.

Parameters

  y | Y to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserAnnotationRef()

void ome::xml::meta::FilterMetadata::setLaserAnnotationRef | ( | const std::string & | annotation,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Laser.

Parameters

  annotation | AnnotationRef to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserFrequencyMultiplication()

void ome::xml::meta::FilterMetadata::setLaserFrequencyMultiplication | ( | ome::xml::model::primitives::PositiveInteger | frequencyMultiplication,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the FrequencyMultiplication property of Laser.

Parameters

  frequencyMultiplication | FrequencyMultiplication to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserID()

void ome::xml::meta::FilterMetadata::setLaserID | ( | const std::string & | id,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the ID property of Laser.

Parameters

  id | ID to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserLaserMedium()

void ome::xml::meta::FilterMetadata::setLaserLaserMedium | ( | ome::xml::model::enums::LaserMedium | laserMedium,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the LaserMedium property of Laser.

Parameters

  laserMedium | LaserMedium to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserLotNumber()

void ome::xml::meta::FilterMetadata::setLaserLotNumber | ( | const std::string & | lotNumber,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the LotNumber property of Laser.

Parameters

  lotNumber | LotNumber to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserManufacturer()

void ome::xml::meta::FilterMetadata::setLaserManufacturer | ( | const std::string & | manufacturer,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Manufacturer property of Laser.

Parameters

  manufacturer | Manufacturer to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserModel()

void ome::xml::meta::FilterMetadata::setLaserModel | ( | const std::string & | model,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Model property of Laser.

Parameters

  model | Model to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserPockelCell()

void ome::xml::meta::FilterMetadata::setLaserPockelCell | ( | bool | pockelCell,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the PockelCell property of Laser.

Parameters

  pockelCell | PockelCell to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserPower()

void ome::xml::meta::FilterMetadata::setLaserPower | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > | power,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Power property of Laser.

Parameters

  power | Power to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserPulse()

void ome::xml::meta::FilterMetadata::setLaserPulse | ( | ome::xml::model::enums::Pulse | pulse,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Pulse property of Laser.

Parameters

  pulse | Pulse to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserPump()

void ome::xml::meta::FilterMetadata::setLaserPump | ( | const std::string & | pump,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Pump property of Laser.

Parameters

  pump | Pump to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserRepetitionRate()

void ome::xml::meta::FilterMetadata::setLaserRepetitionRate | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsFrequency > | repetitionRate,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the RepetitionRate property of Laser.

Parameters

  repetitionRate | RepetitionRate to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserSerialNumber()

void ome::xml::meta::FilterMetadata::setLaserSerialNumber | ( | const std::string & | serialNumber,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the SerialNumber property of Laser.

Parameters

  serialNumber | SerialNumber to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserTuneable()

void ome::xml::meta::FilterMetadata::setLaserTuneable | ( | bool | tuneable,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Tuneable property of Laser.

Parameters

  tuneable | Tuneable to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserType()

void ome::xml::meta::FilterMetadata::setLaserType | ( | ome::xml::model::enums::LaserType | type,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Type property of Laser.

Parameters

  type | Type to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLaserWavelength()

void ome::xml::meta::FilterMetadata::setLaserWavelength | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | wavelength,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Wavelength property of Laser.

Parameters

  wavelength | Wavelength to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLightEmittingDiodeAnnotationRef()

void ome::xml::meta::FilterMetadata::setLightEmittingDiodeAnnotationRef | ( | const std::string & | annotation,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of LightEmittingDiode.

Parameters

  annotation | AnnotationRef to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setLightEmittingDiodeID()

void ome::xml::meta::FilterMetadata::setLightEmittingDiodeID | ( | const std::string & | id,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the ID property of LightEmittingDiode.

Parameters

  id | ID to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLightEmittingDiodeLotNumber()

void ome::xml::meta::FilterMetadata::setLightEmittingDiodeLotNumber | ( | const std::string & | lotNumber,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the LotNumber property of LightEmittingDiode.

Parameters

  lotNumber | LotNumber to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLightEmittingDiodeManufacturer()

void ome::xml::meta::FilterMetadata::setLightEmittingDiodeManufacturer | ( | const std::string & | manufacturer,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Manufacturer property of LightEmittingDiode.

Parameters

  manufacturer | Manufacturer to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLightEmittingDiodeModel()

void ome::xml::meta::FilterMetadata::setLightEmittingDiodeModel | ( | const std::string & | model,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Model property of LightEmittingDiode.

Parameters

  model | Model to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLightEmittingDiodePower()

void ome::xml::meta::FilterMetadata::setLightEmittingDiodePower | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPower > | power,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the Power property of LightEmittingDiode.

Parameters

  power | Power to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLightEmittingDiodeSerialNumber()

void ome::xml::meta::FilterMetadata::setLightEmittingDiodeSerialNumber | ( | const std::string & | serialNumber,
|  | index_type | instrumentIndex,
|  | index_type | lightSourceIndex
| ) |  |
| virtual

Set the SerialNumber property of LightEmittingDiode.

Parameters

  serialNumber | SerialNumber to set.
  instrumentIndex | the Instrument index.
  lightSourceIndex | the LightSource index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLightPathAnnotationRef()

void ome::xml::meta::FilterMetadata::setLightPathAnnotationRef | ( | const std::string & | annotation,
|  | index_type | imageIndex,
|  | index_type | channelIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of LightPath.

Parameters

  annotation | AnnotationRef to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setLightPathDichroicRef()

void ome::xml::meta::FilterMetadata::setLightPathDichroicRef | ( | const std::string & | dichroic,
|  | index_type | imageIndex,
|  | index_type | channelIndex
| ) |  |
| virtual

Set the DichroicRef property of LightPath.

Parameters

  dichroic | DichroicRef to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLightPathEmissionFilterRef()

void ome::xml::meta::FilterMetadata::setLightPathEmissionFilterRef | ( | const std::string & | emissionFilter,
|  | index_type | imageIndex,
|  | index_type | channelIndex,
|  | index_type | emissionFilterRefIndex
| ) |  |
| virtual

Set the EmissionFilterRef property of LightPath.

Parameters

  emissionFilter | EmissionFilterRef to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.
  emissionFilterRefIndex | EmissionFilterRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setLightPathExcitationFilterRef()

void ome::xml::meta::FilterMetadata::setLightPathExcitationFilterRef | ( | const std::string & | excitationFilter,
|  | index_type | imageIndex,
|  | index_type | channelIndex,
|  | index_type | excitationFilterRefIndex
| ) |  |
| virtual

Set the ExcitationFilterRef property of LightPath.

Parameters

  excitationFilter | ExcitationFilterRef to set.
  imageIndex | the Image index.
  channelIndex | the Channel index.
  excitationFilterRefIndex | ExcitationFilterRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineAnnotationRef()

void ome::xml::meta::FilterMetadata::setLineAnnotationRef | ( | const std::string & | annotation,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Line.

Parameters

  annotation | AnnotationRef to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineFillColor()

void ome::xml::meta::FilterMetadata::setLineFillColor | ( | ome::xml::model::primitives::Color | fillColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillColor property of Line.

Parameters

  fillColor | FillColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineFillRule()

void ome::xml::meta::FilterMetadata::setLineFillRule | ( | ome::xml::model::enums::FillRule | fillRule,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillRule property of Line.

Parameters

  fillRule | FillRule to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineFontFamily()

void ome::xml::meta::FilterMetadata::setLineFontFamily | ( | ome::xml::model::enums::FontFamily | fontFamily,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontFamily property of Line.

Parameters

  fontFamily | FontFamily to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineFontSize()

void ome::xml::meta::FilterMetadata::setLineFontSize | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | fontSize,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontSize property of Line.

Parameters

  fontSize | FontSize to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineFontStyle()

void ome::xml::meta::FilterMetadata::setLineFontStyle | ( | ome::xml::model::enums::FontStyle | fontStyle,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontStyle property of Line.

Parameters

  fontStyle | FontStyle to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineID()

void ome::xml::meta::FilterMetadata::setLineID | ( | const std::string & | id,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the ID property of Line.

Parameters

  id | ID to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineLocked()

void ome::xml::meta::FilterMetadata::setLineLocked | ( | bool | locked,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Locked property of Line.

Parameters

  locked | Locked to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineMarkerEnd()

void ome::xml::meta::FilterMetadata::setLineMarkerEnd | ( | ome::xml::model::enums::Marker | markerEnd,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the MarkerEnd property of Line.

Parameters

  markerEnd | MarkerEnd to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineMarkerStart()

void ome::xml::meta::FilterMetadata::setLineMarkerStart | ( | ome::xml::model::enums::Marker | markerStart,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the MarkerStart property of Line.

Parameters

  markerStart | MarkerStart to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineStrokeColor()

void ome::xml::meta::FilterMetadata::setLineStrokeColor | ( | ome::xml::model::primitives::Color | strokeColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeColor property of Line.

Parameters

  strokeColor | StrokeColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineStrokeDashArray()

void ome::xml::meta::FilterMetadata::setLineStrokeDashArray | ( | const std::string & | strokeDashArray,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeDashArray property of Line.

Parameters

  strokeDashArray | StrokeDashArray to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineStrokeWidth()

void ome::xml::meta::FilterMetadata::setLineStrokeWidth | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | strokeWidth,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeWidth property of Line.

Parameters

  strokeWidth | StrokeWidth to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineText()

void ome::xml::meta::FilterMetadata::setLineText | ( | const std::string & | text,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Text property of Line.

Parameters

  text | Text to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineTheC()

void ome::xml::meta::FilterMetadata::setLineTheC | ( | ome::xml::model::primitives::NonNegativeInteger | theC,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheC property of Line.

Parameters

  theC | TheC to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineTheT()

void ome::xml::meta::FilterMetadata::setLineTheT | ( | ome::xml::model::primitives::NonNegativeInteger | theT,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheT property of Line.

Parameters

  theT | TheT to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineTheZ()

void ome::xml::meta::FilterMetadata::setLineTheZ | ( | ome::xml::model::primitives::NonNegativeInteger | theZ,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheZ property of Line.

Parameters

  theZ | TheZ to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineTransform()

void ome::xml::meta::FilterMetadata::setLineTransform | ( | const ::ome::xml::model::AffineTransform & | transform,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Transform property of Line.

Parameters

  transform | Transform to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineX1()

void ome::xml::meta::FilterMetadata::setLineX1 | ( | double | x1,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the X1 property of Line.

Parameters

  x1 | X1 to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineX2()

void ome::xml::meta::FilterMetadata::setLineX2 | ( | double | x2,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the X2 property of Line.

Parameters

  x2 | X2 to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineY1()

void ome::xml::meta::FilterMetadata::setLineY1 | ( | double | y1,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Y1 property of Line.

Parameters

  y1 | Y1 to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setLineY2()

void ome::xml::meta::FilterMetadata::setLineY2 | ( | double | y2,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Y2 property of Line.

Parameters

  y2 | Y2 to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setListAnnotationAnnotationRef()

void ome::xml::meta::FilterMetadata::setListAnnotationAnnotationRef | ( | const std::string & | annotation,
|  | index_type | listAnnotationIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of ListAnnotation.

Parameters

  annotation | AnnotationRef to set.
  listAnnotationIndex | the ListAnnotation index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setListAnnotationAnnotator()

void ome::xml::meta::FilterMetadata::setListAnnotationAnnotator | ( | const std::string & | annotator,
|  | index_type | listAnnotationIndex
| ) |  |
| virtual

Set the Annotator property of ListAnnotation.

Parameters

  annotator | Annotator to set.
  listAnnotationIndex | the ListAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setListAnnotationDescription()

void ome::xml::meta::FilterMetadata::setListAnnotationDescription | ( | const std::string & | description,
|  | index_type | listAnnotationIndex
| ) |  |
| virtual

Set the Description property of ListAnnotation.

Parameters

  description | Description to set.
  listAnnotationIndex | the ListAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setListAnnotationID()

void ome::xml::meta::FilterMetadata::setListAnnotationID | ( | const std::string & | id,
|  | index_type | listAnnotationIndex
| ) |  |
| virtual

Set the ID property of ListAnnotation.

Parameters

  id | ID to set.
  listAnnotationIndex | the ListAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setListAnnotationNamespace()

void ome::xml::meta::FilterMetadata::setListAnnotationNamespace | ( | const std::string & | namespace_,
|  | index_type | listAnnotationIndex
| ) |  |
| virtual

Set the Namespace property of ListAnnotation.

Parameters

  namespace_ | Namespace to set.
  listAnnotationIndex | the ListAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLongAnnotationAnnotationRef()

void ome::xml::meta::FilterMetadata::setLongAnnotationAnnotationRef | ( | const std::string & | annotation,
|  | index_type | longAnnotationIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of LongAnnotation.

Parameters

  annotation | AnnotationRef to set.
  longAnnotationIndex | the LongAnnotation index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setLongAnnotationAnnotator()

void ome::xml::meta::FilterMetadata::setLongAnnotationAnnotator | ( | const std::string & | annotator,
|  | index_type | longAnnotationIndex
| ) |  |
| virtual

Set the Annotator property of LongAnnotation.

Parameters

  annotator | Annotator to set.
  longAnnotationIndex | the LongAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLongAnnotationDescription()

void ome::xml::meta::FilterMetadata::setLongAnnotationDescription | ( | const std::string & | description,
|  | index_type | longAnnotationIndex
| ) |  |
| virtual

Set the Description property of LongAnnotation.

Parameters

  description | Description to set.
  longAnnotationIndex | the LongAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLongAnnotationID()

void ome::xml::meta::FilterMetadata::setLongAnnotationID | ( | const std::string & | id,
|  | index_type | longAnnotationIndex
| ) |  |
| virtual

Set the ID property of LongAnnotation.

Parameters

  id | ID to set.
  longAnnotationIndex | the LongAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLongAnnotationNamespace()

void ome::xml::meta::FilterMetadata::setLongAnnotationNamespace | ( | const std::string & | namespace_,
|  | index_type | longAnnotationIndex
| ) |  |
| virtual

Set the Namespace property of LongAnnotation.

Parameters

  namespace_ | Namespace to set.
  longAnnotationIndex | the LongAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setLongAnnotationValue()

void ome::xml::meta::FilterMetadata::setLongAnnotationValue | ( | int64_t | value,
|  | index_type | longAnnotationIndex
| ) |  |
| virtual

Set the Value property of LongAnnotation.

Parameters

  value | Value to set.
  longAnnotationIndex | the LongAnnotation index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMapAnnotationAnnotationRef()

void ome::xml::meta::FilterMetadata::setMapAnnotationAnnotationRef | ( | const std::string & | annotation,
|  | index_type | mapAnnotationIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of MapAnnotation.

Parameters

  annotation | AnnotationRef to set.
  mapAnnotationIndex | the MapAnnotation index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setMapAnnotationAnnotator()

void ome::xml::meta::FilterMetadata::setMapAnnotationAnnotator | ( | const std::string & | annotator,
|  | index_type | mapAnnotationIndex
| ) |  |
| virtual

Set the Annotator property of MapAnnotation.

Parameters

  annotator | Annotator to set.
  mapAnnotationIndex | the MapAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setMapAnnotationDescription()

void ome::xml::meta::FilterMetadata::setMapAnnotationDescription | ( | const std::string & | description,
|  | index_type | mapAnnotationIndex
| ) |  |
| virtual

Set the Description property of MapAnnotation.

Parameters

  description | Description to set.
  mapAnnotationIndex | the MapAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setMapAnnotationID()

void ome::xml::meta::FilterMetadata::setMapAnnotationID | ( | const std::string & | id,
|  | index_type | mapAnnotationIndex
| ) |  |
| virtual

Set the ID property of MapAnnotation.

Parameters

  id | ID to set.
  mapAnnotationIndex | the MapAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setMapAnnotationNamespace()

void ome::xml::meta::FilterMetadata::setMapAnnotationNamespace | ( | const std::string & | namespace_,
|  | index_type | mapAnnotationIndex
| ) |  |
| virtual

Set the Namespace property of MapAnnotation.

Parameters

  namespace_ | Namespace to set.
  mapAnnotationIndex | the MapAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setMapAnnotationValue()

void ome::xml::meta::FilterMetadata::setMapAnnotationValue | ( | const ome::xml::model::primitives::OrderedMultimap & | value,
|  | index_type | mapAnnotationIndex
| ) |  |
| virtual

Set the map value of MapAnnotation.

Parameters

  value | the map value to set.
  mapAnnotationIndex | the MapAnnotation index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskAnnotationRef()

void ome::xml::meta::FilterMetadata::setMaskAnnotationRef | ( | const std::string & | annotation,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Mask.

Parameters

  annotation | AnnotationRef to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskBinData()

void ome::xml::meta::FilterMetadata::setMaskBinData | ( | const std::vector< uint8_t > & | base64Binary,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Base64Binary property of BinData.

Parameters

  base64Binary | Base64Binary to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskBinDataBigEndian()

void ome::xml::meta::FilterMetadata::setMaskBinDataBigEndian | ( | bool | bigEndian,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the BigEndian property of BinData.

Parameters

  bigEndian | BigEndian to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskBinDataCompression()

void ome::xml::meta::FilterMetadata::setMaskBinDataCompression | ( | ome::xml::model::enums::Compression | compression,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Compression property of BinData.

Parameters

  compression | Compression to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskBinDataLength()

void ome::xml::meta::FilterMetadata::setMaskBinDataLength | ( | ome::xml::model::primitives::NonNegativeLong | length,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Length property of BinData.

Parameters

  length | Length to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskFillColor()

void ome::xml::meta::FilterMetadata::setMaskFillColor | ( | ome::xml::model::primitives::Color | fillColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillColor property of Mask.

Parameters

  fillColor | FillColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskFillRule()

void ome::xml::meta::FilterMetadata::setMaskFillRule | ( | ome::xml::model::enums::FillRule | fillRule,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillRule property of Mask.

Parameters

  fillRule | FillRule to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskFontFamily()

void ome::xml::meta::FilterMetadata::setMaskFontFamily | ( | ome::xml::model::enums::FontFamily | fontFamily,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontFamily property of Mask.

Parameters

  fontFamily | FontFamily to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskFontSize()

void ome::xml::meta::FilterMetadata::setMaskFontSize | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | fontSize,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontSize property of Mask.

Parameters

  fontSize | FontSize to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskFontStyle()

void ome::xml::meta::FilterMetadata::setMaskFontStyle | ( | ome::xml::model::enums::FontStyle | fontStyle,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontStyle property of Mask.

Parameters

  fontStyle | FontStyle to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskHeight()

void ome::xml::meta::FilterMetadata::setMaskHeight | ( | double | height,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Height property of Mask.

Parameters

  height | Height to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskID()

void ome::xml::meta::FilterMetadata::setMaskID | ( | const std::string & | id,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the ID property of Mask.

Parameters

  id | ID to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskLocked()

void ome::xml::meta::FilterMetadata::setMaskLocked | ( | bool | locked,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Locked property of Mask.

Parameters

  locked | Locked to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskStrokeColor()

void ome::xml::meta::FilterMetadata::setMaskStrokeColor | ( | ome::xml::model::primitives::Color | strokeColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeColor property of Mask.

Parameters

  strokeColor | StrokeColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskStrokeDashArray()

void ome::xml::meta::FilterMetadata::setMaskStrokeDashArray | ( | const std::string & | strokeDashArray,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeDashArray property of Mask.

Parameters

  strokeDashArray | StrokeDashArray to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskStrokeWidth()

void ome::xml::meta::FilterMetadata::setMaskStrokeWidth | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | strokeWidth,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeWidth property of Mask.

Parameters

  strokeWidth | StrokeWidth to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskText()

void ome::xml::meta::FilterMetadata::setMaskText | ( | const std::string & | text,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Text property of Mask.

Parameters

  text | Text to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskTheC()

void ome::xml::meta::FilterMetadata::setMaskTheC | ( | ome::xml::model::primitives::NonNegativeInteger | theC,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheC property of Mask.

Parameters

  theC | TheC to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskTheT()

void ome::xml::meta::FilterMetadata::setMaskTheT | ( | ome::xml::model::primitives::NonNegativeInteger | theT,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheT property of Mask.

Parameters

  theT | TheT to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskTheZ()

void ome::xml::meta::FilterMetadata::setMaskTheZ | ( | ome::xml::model::primitives::NonNegativeInteger | theZ,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheZ property of Mask.

Parameters

  theZ | TheZ to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskTransform()

void ome::xml::meta::FilterMetadata::setMaskTransform | ( | const ::ome::xml::model::AffineTransform & | transform,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Transform property of Mask.

Parameters

  transform | Transform to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskWidth()

void ome::xml::meta::FilterMetadata::setMaskWidth | ( | double | width,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Width property of Mask.

Parameters

  width | Width to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskX()

void ome::xml::meta::FilterMetadata::setMaskX | ( | double | x,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the X property of Mask.

Parameters

  x | X to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMaskY()

void ome::xml::meta::FilterMetadata::setMaskY | ( | double | y,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Y property of Mask.

Parameters

  y | Y to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMicrobeamManipulationDescription()

void ome::xml::meta::FilterMetadata::setMicrobeamManipulationDescription | ( | const std::string & | description,
|  | index_type | experimentIndex,
|  | index_type | microbeamManipulationIndex
| ) |  |
| virtual

Set the Description property of MicrobeamManipulation.

Parameters

  description | Description to set.
  experimentIndex | the Experiment index.
  microbeamManipulationIndex | the MicrobeamManipulation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setMicrobeamManipulationExperimenterRef()

void ome::xml::meta::FilterMetadata::setMicrobeamManipulationExperimenterRef | ( | const std::string & | experimenter,
|  | index_type | experimentIndex,
|  | index_type | microbeamManipulationIndex
| ) |  |
| virtual

Set the ExperimenterRef property of MicrobeamManipulation.

Parameters

  experimenter | ExperimenterRef to set.
  experimentIndex | the Experiment index.
  microbeamManipulationIndex | the MicrobeamManipulation index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMicrobeamManipulationID()

void ome::xml::meta::FilterMetadata::setMicrobeamManipulationID | ( | const std::string & | id,
|  | index_type | experimentIndex,
|  | index_type | microbeamManipulationIndex
| ) |  |
| virtual

Set the ID property of MicrobeamManipulation.

Parameters

  id | ID to set.
  experimentIndex | the Experiment index.
  microbeamManipulationIndex | the MicrobeamManipulation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setMicrobeamManipulationLightSourceSettingsAttenuation()

void ome::xml::meta::FilterMetadata::setMicrobeamManipulationLightSourceSettingsAttenuation | ( | ome::xml::model::primitives::PercentFraction | attenuation,
|  | index_type | experimentIndex,
|  | index_type | microbeamManipulationIndex,
|  | index_type | lightSourceSettingsIndex
| ) |  |
| virtual

Set the Attenuation property of LightSourceSettings.

Parameters

  attenuation | Attenuation to set.
  experimentIndex | the Experiment index.
  microbeamManipulationIndex | the MicrobeamManipulation index.
  lightSourceSettingsIndex | the LightSourceSettings index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMicrobeamManipulationLightSourceSettingsID()

void ome::xml::meta::FilterMetadata::setMicrobeamManipulationLightSourceSettingsID | ( | const std::string & | id,
|  | index_type | experimentIndex,
|  | index_type | microbeamManipulationIndex,
|  | index_type | lightSourceSettingsIndex
| ) |  |
| virtual

Set the ID property of LightSourceSettings.

Parameters

  id | ID to set.
  experimentIndex | the Experiment index.
  microbeamManipulationIndex | the MicrobeamManipulation index.
  lightSourceSettingsIndex | the LightSourceSettings index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setMicrobeamManipulationLightSourceSettingsWavelength()

void ome::xml::meta::FilterMetadata::setMicrobeamManipulationLightSourceSettingsWavelength | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | wavelength,
|  | index_type | experimentIndex,
|  | index_type | microbeamManipulationIndex,
|  | index_type | lightSourceSettingsIndex
| ) |  |
| virtual

Set the Wavelength property of LightSourceSettings.

Parameters

  wavelength | Wavelength to set.
  experimentIndex | the Experiment index.
  microbeamManipulationIndex | the MicrobeamManipulation index.
  lightSourceSettingsIndex | the LightSourceSettings index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMicrobeamManipulationROIRef()

void ome::xml::meta::FilterMetadata::setMicrobeamManipulationROIRef | ( | const std::string & | roi,
|  | index_type | experimentIndex,
|  | index_type | microbeamManipulationIndex,
|  | index_type | ROIRefIndex
| ) |  |
| virtual

Set the ROIRef property of MicrobeamManipulation.

Parameters

  roi | ROIRef to set.
  experimentIndex | the Experiment index.
  microbeamManipulationIndex | the MicrobeamManipulation index.
  ROIRefIndex | ROIRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setMicrobeamManipulationType()

void ome::xml::meta::FilterMetadata::setMicrobeamManipulationType | ( | ome::xml::model::enums::MicrobeamManipulationType | type,
|  | index_type | experimentIndex,
|  | index_type | microbeamManipulationIndex
| ) |  |
| virtual

Set the Type property of MicrobeamManipulation.

Parameters

  type | Type to set.
  experimentIndex | the Experiment index.
  microbeamManipulationIndex | the MicrobeamManipulation index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setMicroscopeLotNumber()

void ome::xml::meta::FilterMetadata::setMicroscopeLotNumber | ( | const std::string & | lotNumber,
|  | index_type | instrumentIndex
| ) |  |
| virtual

Set the LotNumber property of Microscope.

Parameters

  lotNumber | LotNumber to set.
  instrumentIndex | the Instrument index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setMicroscopeManufacturer()

void ome::xml::meta::FilterMetadata::setMicroscopeManufacturer | ( | const std::string & | manufacturer,
|  | index_type | instrumentIndex
| ) |  |
| virtual

Set the Manufacturer property of Microscope.

Parameters

  manufacturer | Manufacturer to set.
  instrumentIndex | the Instrument index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setMicroscopeModel()

void ome::xml::meta::FilterMetadata::setMicroscopeModel | ( | const std::string & | model,
|  | index_type | instrumentIndex
| ) |  |
| virtual

Set the Model property of Microscope.

Parameters

  model | Model to set.
  instrumentIndex | the Instrument index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setMicroscopeSerialNumber()

void ome::xml::meta::FilterMetadata::setMicroscopeSerialNumber | ( | const std::string & | serialNumber,
|  | index_type | instrumentIndex
| ) |  |
| virtual

Set the SerialNumber property of Microscope.

Parameters

  serialNumber | SerialNumber to set.
  instrumentIndex | the Instrument index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setMicroscopeType()

void ome::xml::meta::FilterMetadata::setMicroscopeType | ( | ome::xml::model::enums::MicroscopeType | type,
|  | index_type | instrumentIndex
| ) |  |
| virtual

Set the Type property of Microscope.

Parameters

  type | Type to set.
  instrumentIndex | the Instrument index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveAnnotationRef()

void ome::xml::meta::FilterMetadata::setObjectiveAnnotationRef | ( | const std::string & | annotation,
|  | index_type | instrumentIndex,
|  | index_type | objectiveIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Objective.

Parameters

  annotation | AnnotationRef to set.
  instrumentIndex | the Instrument index.
  objectiveIndex | the Objective index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveCalibratedMagnification()

void ome::xml::meta::FilterMetadata::setObjectiveCalibratedMagnification | ( | double | calibratedMagnification,
|  | index_type | instrumentIndex,
|  | index_type | objectiveIndex
| ) |  |
| virtual

Set the CalibratedMagnification property of Objective.

Parameters

  calibratedMagnification | CalibratedMagnification to set.
  instrumentIndex | the Instrument index.
  objectiveIndex | the Objective index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveCorrection()

void ome::xml::meta::FilterMetadata::setObjectiveCorrection | ( | ome::xml::model::enums::Correction | correction,
|  | index_type | instrumentIndex,
|  | index_type | objectiveIndex
| ) |  |
| virtual

Set the Correction property of Objective.

Parameters

  correction | Correction to set.
  instrumentIndex | the Instrument index.
  objectiveIndex | the Objective index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveID()

void ome::xml::meta::FilterMetadata::setObjectiveID | ( | const std::string & | id,
|  | index_type | instrumentIndex,
|  | index_type | objectiveIndex
| ) |  |
| virtual

Set the ID property of Objective.

Parameters

  id | ID to set.
  instrumentIndex | the Instrument index.
  objectiveIndex | the Objective index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveImmersion()

void ome::xml::meta::FilterMetadata::setObjectiveImmersion | ( | ome::xml::model::enums::Immersion | immersion,
|  | index_type | instrumentIndex,
|  | index_type | objectiveIndex
| ) |  |
| virtual

Set the Immersion property of Objective.

Parameters

  immersion | Immersion to set.
  instrumentIndex | the Instrument index.
  objectiveIndex | the Objective index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveIris()

void ome::xml::meta::FilterMetadata::setObjectiveIris | ( | bool | iris,
|  | index_type | instrumentIndex,
|  | index_type | objectiveIndex
| ) |  |
| virtual

Set the Iris property of Objective.

Parameters

  iris | Iris to set.
  instrumentIndex | the Instrument index.
  objectiveIndex | the Objective index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveLensNA()

void ome::xml::meta::FilterMetadata::setObjectiveLensNA | ( | double | lensNA,
|  | index_type | instrumentIndex,
|  | index_type | objectiveIndex
| ) |  |
| virtual

Set the LensNA property of Objective.

Parameters

  lensNA | LensNA to set.
  instrumentIndex | the Instrument index.
  objectiveIndex | the Objective index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveLotNumber()

void ome::xml::meta::FilterMetadata::setObjectiveLotNumber | ( | const std::string & | lotNumber,
|  | index_type | instrumentIndex,
|  | index_type | objectiveIndex
| ) |  |
| virtual

Set the LotNumber property of Objective.

Parameters

  lotNumber | LotNumber to set.
  instrumentIndex | the Instrument index.
  objectiveIndex | the Objective index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveManufacturer()

void ome::xml::meta::FilterMetadata::setObjectiveManufacturer | ( | const std::string & | manufacturer,
|  | index_type | instrumentIndex,
|  | index_type | objectiveIndex
| ) |  |
| virtual

Set the Manufacturer property of Objective.

Parameters

  manufacturer | Manufacturer to set.
  instrumentIndex | the Instrument index.
  objectiveIndex | the Objective index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveModel()

void ome::xml::meta::FilterMetadata::setObjectiveModel | ( | const std::string & | model,
|  | index_type | instrumentIndex,
|  | index_type | objectiveIndex
| ) |  |
| virtual

Set the Model property of Objective.

Parameters

  model | Model to set.
  instrumentIndex | the Instrument index.
  objectiveIndex | the Objective index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveNominalMagnification()

void ome::xml::meta::FilterMetadata::setObjectiveNominalMagnification | ( | double | nominalMagnification,
|  | index_type | instrumentIndex,
|  | index_type | objectiveIndex
| ) |  |
| virtual

Set the NominalMagnification property of Objective.

Parameters

  nominalMagnification | NominalMagnification to set.
  instrumentIndex | the Instrument index.
  objectiveIndex | the Objective index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveSerialNumber()

void ome::xml::meta::FilterMetadata::setObjectiveSerialNumber | ( | const std::string & | serialNumber,
|  | index_type | instrumentIndex,
|  | index_type | objectiveIndex
| ) |  |
| virtual

Set the SerialNumber property of Objective.

Parameters

  serialNumber | SerialNumber to set.
  instrumentIndex | the Instrument index.
  objectiveIndex | the Objective index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveSettingsCorrectionCollar()

void ome::xml::meta::FilterMetadata::setObjectiveSettingsCorrectionCollar | ( | double | correctionCollar,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the CorrectionCollar property of ObjectiveSettings.

Parameters

  correctionCollar | CorrectionCollar to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveSettingsID()

void ome::xml::meta::FilterMetadata::setObjectiveSettingsID | ( | const std::string & | id,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the ID property of ObjectiveSettings.

Parameters

  id | ID to set.
  imageIndex | the Image index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveSettingsMedium()

void ome::xml::meta::FilterMetadata::setObjectiveSettingsMedium | ( | ome::xml::model::enums::Medium | medium,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the Medium property of ObjectiveSettings.

Parameters

  medium | Medium to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveSettingsRefractiveIndex()

void ome::xml::meta::FilterMetadata::setObjectiveSettingsRefractiveIndex | ( | double | refractiveIndex,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the RefractiveIndex property of ObjectiveSettings.

Parameters

  refractiveIndex | RefractiveIndex to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setObjectiveWorkingDistance()

void ome::xml::meta::FilterMetadata::setObjectiveWorkingDistance | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | workingDistance,
|  | index_type | instrumentIndex,
|  | index_type | objectiveIndex
| ) |  |
| virtual

Set the WorkingDistance property of Objective.

Parameters

  workingDistance | WorkingDistance to set.
  instrumentIndex | the Instrument index.
  objectiveIndex | the Objective index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsBigEndian()

void ome::xml::meta::FilterMetadata::setPixelsBigEndian | ( | bool | bigEndian,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the BigEndian property of Pixels.

Parameters

  bigEndian | BigEndian to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsBinData()

void ome::xml::meta::FilterMetadata::setPixelsBinData | ( | const std::vector< uint8_t > & | base64Binary,
|  | index_type | imageIndex,
|  | index_type | binDataIndex
| ) |  |
| virtual

Set the Base64Binary property of BinData.

Parameters

  base64Binary | Base64Binary to set.
  imageIndex | the Image index.
  binDataIndex | the BinData index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsBinDataBigEndian()

void ome::xml::meta::FilterMetadata::setPixelsBinDataBigEndian | ( | bool | bigEndian,
|  | index_type | imageIndex,
|  | index_type | binDataIndex
| ) |  |
| virtual

Set the BigEndian property of BinData.

Parameters

  bigEndian | BigEndian to set.
  imageIndex | the Image index.
  binDataIndex | the BinData index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsBinDataCompression()

void ome::xml::meta::FilterMetadata::setPixelsBinDataCompression | ( | ome::xml::model::enums::Compression | compression,
|  | index_type | imageIndex,
|  | index_type | binDataIndex
| ) |  |
| virtual

Set the Compression property of BinData.

Parameters

  compression | Compression to set.
  imageIndex | the Image index.
  binDataIndex | the BinData index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsBinDataLength()

void ome::xml::meta::FilterMetadata::setPixelsBinDataLength | ( | ome::xml::model::primitives::NonNegativeLong | length,
|  | index_type | imageIndex,
|  | index_type | binDataIndex
| ) |  |
| virtual

Set the Length property of BinData.

Parameters

  length | Length to set.
  imageIndex | the Image index.
  binDataIndex | the BinData index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsDimensionOrder()

void ome::xml::meta::FilterMetadata::setPixelsDimensionOrder | ( | ome::xml::model::enums::DimensionOrder | dimensionOrder,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the DimensionOrder property of Pixels.

Parameters

  dimensionOrder | DimensionOrder to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsID()

void ome::xml::meta::FilterMetadata::setPixelsID | ( | const std::string & | id,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the ID property of Pixels.

Parameters

  id | ID to set.
  imageIndex | the Image index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsInterleaved()

void ome::xml::meta::FilterMetadata::setPixelsInterleaved | ( | bool | interleaved,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the Interleaved property of Pixels.

Parameters

  interleaved | Interleaved to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsPhysicalSizeX()

void ome::xml::meta::FilterMetadata::setPixelsPhysicalSizeX | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | physicalSizeX,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the PhysicalSizeX property of Pixels.

Parameters

  physicalSizeX | PhysicalSizeX to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsPhysicalSizeY()

void ome::xml::meta::FilterMetadata::setPixelsPhysicalSizeY | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | physicalSizeY,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the PhysicalSizeY property of Pixels.

Parameters

  physicalSizeY | PhysicalSizeY to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsPhysicalSizeZ()

void ome::xml::meta::FilterMetadata::setPixelsPhysicalSizeZ | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | physicalSizeZ,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the PhysicalSizeZ property of Pixels.

Parameters

  physicalSizeZ | PhysicalSizeZ to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsSignificantBits()

void ome::xml::meta::FilterMetadata::setPixelsSignificantBits | ( | ome::xml::model::primitives::PositiveInteger | significantBits,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the SignificantBits property of Pixels.

Parameters

  significantBits | SignificantBits to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsSizeC()

void ome::xml::meta::FilterMetadata::setPixelsSizeC | ( | ome::xml::model::primitives::PositiveInteger | sizeC,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the SizeC property of Pixels.

Parameters

  sizeC | SizeC to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsSizeT()

void ome::xml::meta::FilterMetadata::setPixelsSizeT | ( | ome::xml::model::primitives::PositiveInteger | sizeT,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the SizeT property of Pixels.

Parameters

  sizeT | SizeT to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsSizeX()

void ome::xml::meta::FilterMetadata::setPixelsSizeX | ( | ome::xml::model::primitives::PositiveInteger | sizeX,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the SizeX property of Pixels.

Parameters

  sizeX | SizeX to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsSizeY()

void ome::xml::meta::FilterMetadata::setPixelsSizeY | ( | ome::xml::model::primitives::PositiveInteger | sizeY,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the SizeY property of Pixels.

Parameters

  sizeY | SizeY to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsSizeZ()

void ome::xml::meta::FilterMetadata::setPixelsSizeZ | ( | ome::xml::model::primitives::PositiveInteger | sizeZ,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the SizeZ property of Pixels.

Parameters

  sizeZ | SizeZ to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsTimeIncrement()

void ome::xml::meta::FilterMetadata::setPixelsTimeIncrement | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > | timeIncrement,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the TimeIncrement property of Pixels.

Parameters

  timeIncrement | TimeIncrement to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPixelsType()

void ome::xml::meta::FilterMetadata::setPixelsType | ( | ome::xml::model::enums::PixelType | type,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the Type property of Pixels.

Parameters

  type | Type to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlaneAnnotationRef()

void ome::xml::meta::FilterMetadata::setPlaneAnnotationRef | ( | const std::string & | annotation,
|  | index_type | imageIndex,
|  | index_type | planeIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Plane.

Parameters

  annotation | AnnotationRef to set.
  imageIndex | the Image index.
  planeIndex | the Plane index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlaneDeltaT()

void ome::xml::meta::FilterMetadata::setPlaneDeltaT | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > | deltaT,
|  | index_type | imageIndex,
|  | index_type | planeIndex
| ) |  |
| virtual

Set the DeltaT property of Plane.

Parameters

  deltaT | DeltaT to set.
  imageIndex | the Image index.
  planeIndex | the Plane index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlaneExposureTime()

void ome::xml::meta::FilterMetadata::setPlaneExposureTime | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTime > | exposureTime,
|  | index_type | imageIndex,
|  | index_type | planeIndex
| ) |  |
| virtual

Set the ExposureTime property of Plane.

Parameters

  exposureTime | ExposureTime to set.
  imageIndex | the Image index.
  planeIndex | the Plane index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlaneHashSHA1()

void ome::xml::meta::FilterMetadata::setPlaneHashSHA1 | ( | const std::string & | hashSHA1,
|  | index_type | imageIndex,
|  | index_type | planeIndex
| ) |  |
| virtual

Set the HashSHA1 property of Plane.

Parameters

  hashSHA1 | HashSHA1 to set.
  imageIndex | the Image index.
  planeIndex | the Plane index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlanePositionX()

void ome::xml::meta::FilterMetadata::setPlanePositionX | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | positionX,
|  | index_type | imageIndex,
|  | index_type | planeIndex
| ) |  |
| virtual

Set the PositionX property of Plane.

Parameters

  positionX | PositionX to set.
  imageIndex | the Image index.
  planeIndex | the Plane index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlanePositionY()

void ome::xml::meta::FilterMetadata::setPlanePositionY | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | positionY,
|  | index_type | imageIndex,
|  | index_type | planeIndex
| ) |  |
| virtual

Set the PositionY property of Plane.

Parameters

  positionY | PositionY to set.
  imageIndex | the Image index.
  planeIndex | the Plane index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlanePositionZ()

void ome::xml::meta::FilterMetadata::setPlanePositionZ | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | positionZ,
|  | index_type | imageIndex,
|  | index_type | planeIndex
| ) |  |
| virtual

Set the PositionZ property of Plane.

Parameters

  positionZ | PositionZ to set.
  imageIndex | the Image index.
  planeIndex | the Plane index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlaneTheC()

void ome::xml::meta::FilterMetadata::setPlaneTheC | ( | ome::xml::model::primitives::NonNegativeInteger | theC,
|  | index_type | imageIndex,
|  | index_type | planeIndex
| ) |  |
| virtual

Set the TheC property of Plane.

Parameters

  theC | TheC to set.
  imageIndex | the Image index.
  planeIndex | the Plane index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlaneTheT()

void ome::xml::meta::FilterMetadata::setPlaneTheT | ( | ome::xml::model::primitives::NonNegativeInteger | theT,
|  | index_type | imageIndex,
|  | index_type | planeIndex
| ) |  |
| virtual

Set the TheT property of Plane.

Parameters

  theT | TheT to set.
  imageIndex | the Image index.
  planeIndex | the Plane index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlaneTheZ()

void ome::xml::meta::FilterMetadata::setPlaneTheZ | ( | ome::xml::model::primitives::NonNegativeInteger | theZ,
|  | index_type | imageIndex,
|  | index_type | planeIndex
| ) |  |
| virtual

Set the TheZ property of Plane.

Parameters

  theZ | TheZ to set.
  imageIndex | the Image index.
  planeIndex | the Plane index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateAcquisitionAnnotationRef()

void ome::xml::meta::FilterMetadata::setPlateAcquisitionAnnotationRef | ( | const std::string & | annotation,
|  | index_type | plateIndex,
|  | index_type | plateAcquisitionIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of PlateAcquisition.

Parameters

  annotation | AnnotationRef to set.
  plateIndex | the Plate index.
  plateAcquisitionIndex | the PlateAcquisition index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateAcquisitionDescription()

void ome::xml::meta::FilterMetadata::setPlateAcquisitionDescription | ( | const std::string & | description,
|  | index_type | plateIndex,
|  | index_type | plateAcquisitionIndex
| ) |  |
| virtual

Set the Description property of PlateAcquisition.

Parameters

  description | Description to set.
  plateIndex | the Plate index.
  plateAcquisitionIndex | the PlateAcquisition index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateAcquisitionEndTime()

void ome::xml::meta::FilterMetadata::setPlateAcquisitionEndTime | ( | ome::xml::model::primitives::Timestamp | endTime,
|  | index_type | plateIndex,
|  | index_type | plateAcquisitionIndex
| ) |  |
| virtual

Set the EndTime property of PlateAcquisition.

Parameters

  endTime | EndTime to set.
  plateIndex | the Plate index.
  plateAcquisitionIndex | the PlateAcquisition index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateAcquisitionID()

void ome::xml::meta::FilterMetadata::setPlateAcquisitionID | ( | const std::string & | id,
|  | index_type | plateIndex,
|  | index_type | plateAcquisitionIndex
| ) |  |
| virtual

Set the ID property of PlateAcquisition.

Parameters

  id | ID to set.
  plateIndex | the Plate index.
  plateAcquisitionIndex | the PlateAcquisition index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateAcquisitionMaximumFieldCount()

void ome::xml::meta::FilterMetadata::setPlateAcquisitionMaximumFieldCount | ( | ome::xml::model::primitives::PositiveInteger | maximumFieldCount,
|  | index_type | plateIndex,
|  | index_type | plateAcquisitionIndex
| ) |  |
| virtual

Set the MaximumFieldCount property of PlateAcquisition.

Parameters

  maximumFieldCount | MaximumFieldCount to set.
  plateIndex | the Plate index.
  plateAcquisitionIndex | the PlateAcquisition index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateAcquisitionName()

void ome::xml::meta::FilterMetadata::setPlateAcquisitionName | ( | const std::string & | name,
|  | index_type | plateIndex,
|  | index_type | plateAcquisitionIndex
| ) |  |
| virtual

Set the Name property of PlateAcquisition.

Parameters

  name | Name to set.
  plateIndex | the Plate index.
  plateAcquisitionIndex | the PlateAcquisition index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateAcquisitionStartTime()

void ome::xml::meta::FilterMetadata::setPlateAcquisitionStartTime | ( | ome::xml::model::primitives::Timestamp | startTime,
|  | index_type | plateIndex,
|  | index_type | plateAcquisitionIndex
| ) |  |
| virtual

Set the StartTime property of PlateAcquisition.

Parameters

  startTime | StartTime to set.
  plateIndex | the Plate index.
  plateAcquisitionIndex | the PlateAcquisition index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateAcquisitionWellSampleRef()

void ome::xml::meta::FilterMetadata::setPlateAcquisitionWellSampleRef | ( | const std::string & | wellSample,
|  | index_type | plateIndex,
|  | index_type | plateAcquisitionIndex,
|  | index_type | wellSampleRefIndex
| ) |  |
| virtual

Set the WellSampleRef property of PlateAcquisition.

Parameters

  wellSample | WellSampleRef to set.
  plateIndex | the Plate index.
  plateAcquisitionIndex | the PlateAcquisition index.
  wellSampleRefIndex | WellSampleRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateAnnotationRef()

void ome::xml::meta::FilterMetadata::setPlateAnnotationRef | ( | const std::string & | annotation,
|  | index_type | plateIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Plate.

Parameters

  annotation | AnnotationRef to set.
  plateIndex | the Plate index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateColumnNamingConvention()

void ome::xml::meta::FilterMetadata::setPlateColumnNamingConvention | ( | ome::xml::model::enums::NamingConvention | columnNamingConvention,
|  | index_type | plateIndex
| ) |  |
| virtual

Set the ColumnNamingConvention property of Plate.

Parameters

  columnNamingConvention | ColumnNamingConvention to set.
  plateIndex | the Plate index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateColumns()

void ome::xml::meta::FilterMetadata::setPlateColumns | ( | ome::xml::model::primitives::PositiveInteger | columns,
|  | index_type | plateIndex
| ) |  |
| virtual

Set the Columns property of Plate.

Parameters

  columns | Columns to set.
  plateIndex | the Plate index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateDescription()

void ome::xml::meta::FilterMetadata::setPlateDescription | ( | const std::string & | description,
|  | index_type | plateIndex
| ) |  |
| virtual

Set the Description property of Plate.

Parameters

  description | Description to set.
  plateIndex | the Plate index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateExternalIdentifier()

void ome::xml::meta::FilterMetadata::setPlateExternalIdentifier | ( | const std::string & | externalIdentifier,
|  | index_type | plateIndex
| ) |  |
| virtual

Set the ExternalIdentifier property of Plate.

Parameters

  externalIdentifier | ExternalIdentifier to set.
  plateIndex | the Plate index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateFieldIndex()

void ome::xml::meta::FilterMetadata::setPlateFieldIndex | ( | ome::xml::model::primitives::NonNegativeInteger | fieldIndex,
|  | index_type | plateIndex
| ) |  |
| virtual

Set the FieldIndex property of Plate.

Parameters

  fieldIndex | FieldIndex to set.
  plateIndex | the Plate index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateID()

void ome::xml::meta::FilterMetadata::setPlateID | ( | const std::string & | id,
|  | index_type | plateIndex
| ) |  |
| virtual

Set the ID property of Plate.

Parameters

  id | ID to set.
  plateIndex | the Plate index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateName()

void ome::xml::meta::FilterMetadata::setPlateName | ( | const std::string & | name,
|  | index_type | plateIndex
| ) |  |
| virtual

Set the Name property of Plate.

Parameters

  name | Name to set.
  plateIndex | the Plate index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateRowNamingConvention()

void ome::xml::meta::FilterMetadata::setPlateRowNamingConvention | ( | ome::xml::model::enums::NamingConvention | rowNamingConvention,
|  | index_type | plateIndex
| ) |  |
| virtual

Set the RowNamingConvention property of Plate.

Parameters

  rowNamingConvention | RowNamingConvention to set.
  plateIndex | the Plate index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateRows()

void ome::xml::meta::FilterMetadata::setPlateRows | ( | ome::xml::model::primitives::PositiveInteger | rows,
|  | index_type | plateIndex
| ) |  |
| virtual

Set the Rows property of Plate.

Parameters

  rows | Rows to set.
  plateIndex | the Plate index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateStatus()

void ome::xml::meta::FilterMetadata::setPlateStatus | ( | const std::string & | status,
|  | index_type | plateIndex
| ) |  |
| virtual

Set the Status property of Plate.

Parameters

  status | Status to set.
  plateIndex | the Plate index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateWellOriginX()

void ome::xml::meta::FilterMetadata::setPlateWellOriginX | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | wellOriginX,
|  | index_type | plateIndex
| ) |  |
| virtual

Set the WellOriginX property of Plate.

Parameters

  wellOriginX | WellOriginX to set.
  plateIndex | the Plate index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPlateWellOriginY()

void ome::xml::meta::FilterMetadata::setPlateWellOriginY | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | wellOriginY,
|  | index_type | plateIndex
| ) |  |
| virtual

Set the WellOriginY property of Plate.

Parameters

  wellOriginY | WellOriginY to set.
  plateIndex | the Plate index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointAnnotationRef()

void ome::xml::meta::FilterMetadata::setPointAnnotationRef | ( | const std::string & | annotation,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Point.

Parameters

  annotation | AnnotationRef to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointFillColor()

void ome::xml::meta::FilterMetadata::setPointFillColor | ( | ome::xml::model::primitives::Color | fillColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillColor property of Point.

Parameters

  fillColor | FillColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointFillRule()

void ome::xml::meta::FilterMetadata::setPointFillRule | ( | ome::xml::model::enums::FillRule | fillRule,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillRule property of Point.

Parameters

  fillRule | FillRule to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointFontFamily()

void ome::xml::meta::FilterMetadata::setPointFontFamily | ( | ome::xml::model::enums::FontFamily | fontFamily,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontFamily property of Point.

Parameters

  fontFamily | FontFamily to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointFontSize()

void ome::xml::meta::FilterMetadata::setPointFontSize | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | fontSize,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontSize property of Point.

Parameters

  fontSize | FontSize to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointFontStyle()

void ome::xml::meta::FilterMetadata::setPointFontStyle | ( | ome::xml::model::enums::FontStyle | fontStyle,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontStyle property of Point.

Parameters

  fontStyle | FontStyle to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointID()

void ome::xml::meta::FilterMetadata::setPointID | ( | const std::string & | id,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the ID property of Point.

Parameters

  id | ID to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointLocked()

void ome::xml::meta::FilterMetadata::setPointLocked | ( | bool | locked,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Locked property of Point.

Parameters

  locked | Locked to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointStrokeColor()

void ome::xml::meta::FilterMetadata::setPointStrokeColor | ( | ome::xml::model::primitives::Color | strokeColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeColor property of Point.

Parameters

  strokeColor | StrokeColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointStrokeDashArray()

void ome::xml::meta::FilterMetadata::setPointStrokeDashArray | ( | const std::string & | strokeDashArray,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeDashArray property of Point.

Parameters

  strokeDashArray | StrokeDashArray to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointStrokeWidth()

void ome::xml::meta::FilterMetadata::setPointStrokeWidth | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | strokeWidth,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeWidth property of Point.

Parameters

  strokeWidth | StrokeWidth to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointText()

void ome::xml::meta::FilterMetadata::setPointText | ( | const std::string & | text,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Text property of Point.

Parameters

  text | Text to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointTheC()

void ome::xml::meta::FilterMetadata::setPointTheC | ( | ome::xml::model::primitives::NonNegativeInteger | theC,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheC property of Point.

Parameters

  theC | TheC to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointTheT()

void ome::xml::meta::FilterMetadata::setPointTheT | ( | ome::xml::model::primitives::NonNegativeInteger | theT,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheT property of Point.

Parameters

  theT | TheT to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointTheZ()

void ome::xml::meta::FilterMetadata::setPointTheZ | ( | ome::xml::model::primitives::NonNegativeInteger | theZ,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheZ property of Point.

Parameters

  theZ | TheZ to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointTransform()

void ome::xml::meta::FilterMetadata::setPointTransform | ( | const ::ome::xml::model::AffineTransform & | transform,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Transform property of Point.

Parameters

  transform | Transform to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointX()

void ome::xml::meta::FilterMetadata::setPointX | ( | double | x,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the X property of Point.

Parameters

  x | X to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPointY()

void ome::xml::meta::FilterMetadata::setPointY | ( | double | y,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Y property of Point.

Parameters

  y | Y to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonAnnotationRef()

void ome::xml::meta::FilterMetadata::setPolygonAnnotationRef | ( | const std::string & | annotation,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Polygon.

Parameters

  annotation | AnnotationRef to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonFillColor()

void ome::xml::meta::FilterMetadata::setPolygonFillColor | ( | ome::xml::model::primitives::Color | fillColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillColor property of Polygon.

Parameters

  fillColor | FillColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonFillRule()

void ome::xml::meta::FilterMetadata::setPolygonFillRule | ( | ome::xml::model::enums::FillRule | fillRule,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillRule property of Polygon.

Parameters

  fillRule | FillRule to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonFontFamily()

void ome::xml::meta::FilterMetadata::setPolygonFontFamily | ( | ome::xml::model::enums::FontFamily | fontFamily,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontFamily property of Polygon.

Parameters

  fontFamily | FontFamily to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonFontSize()

void ome::xml::meta::FilterMetadata::setPolygonFontSize | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | fontSize,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontSize property of Polygon.

Parameters

  fontSize | FontSize to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonFontStyle()

void ome::xml::meta::FilterMetadata::setPolygonFontStyle | ( | ome::xml::model::enums::FontStyle | fontStyle,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontStyle property of Polygon.

Parameters

  fontStyle | FontStyle to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonID()

void ome::xml::meta::FilterMetadata::setPolygonID | ( | const std::string & | id,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the ID property of Polygon.

Parameters

  id | ID to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonLocked()

void ome::xml::meta::FilterMetadata::setPolygonLocked | ( | bool | locked,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Locked property of Polygon.

Parameters

  locked | Locked to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonPoints()

void ome::xml::meta::FilterMetadata::setPolygonPoints | ( | const std::string & | points,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Points property of Polygon.

Parameters

  points | Points to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonStrokeColor()

void ome::xml::meta::FilterMetadata::setPolygonStrokeColor | ( | ome::xml::model::primitives::Color | strokeColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeColor property of Polygon.

Parameters

  strokeColor | StrokeColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonStrokeDashArray()

void ome::xml::meta::FilterMetadata::setPolygonStrokeDashArray | ( | const std::string & | strokeDashArray,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeDashArray property of Polygon.

Parameters

  strokeDashArray | StrokeDashArray to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonStrokeWidth()

void ome::xml::meta::FilterMetadata::setPolygonStrokeWidth | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | strokeWidth,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeWidth property of Polygon.

Parameters

  strokeWidth | StrokeWidth to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonText()

void ome::xml::meta::FilterMetadata::setPolygonText | ( | const std::string & | text,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Text property of Polygon.

Parameters

  text | Text to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonTheC()

void ome::xml::meta::FilterMetadata::setPolygonTheC | ( | ome::xml::model::primitives::NonNegativeInteger | theC,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheC property of Polygon.

Parameters

  theC | TheC to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonTheT()

void ome::xml::meta::FilterMetadata::setPolygonTheT | ( | ome::xml::model::primitives::NonNegativeInteger | theT,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheT property of Polygon.

Parameters

  theT | TheT to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonTheZ()

void ome::xml::meta::FilterMetadata::setPolygonTheZ | ( | ome::xml::model::primitives::NonNegativeInteger | theZ,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheZ property of Polygon.

Parameters

  theZ | TheZ to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolygonTransform()

void ome::xml::meta::FilterMetadata::setPolygonTransform | ( | const ::ome::xml::model::AffineTransform & | transform,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Transform property of Polygon.

Parameters

  transform | Transform to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineAnnotationRef()

void ome::xml::meta::FilterMetadata::setPolylineAnnotationRef | ( | const std::string & | annotation,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Polyline.

Parameters

  annotation | AnnotationRef to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineFillColor()

void ome::xml::meta::FilterMetadata::setPolylineFillColor | ( | ome::xml::model::primitives::Color | fillColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillColor property of Polyline.

Parameters

  fillColor | FillColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineFillRule()

void ome::xml::meta::FilterMetadata::setPolylineFillRule | ( | ome::xml::model::enums::FillRule | fillRule,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillRule property of Polyline.

Parameters

  fillRule | FillRule to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineFontFamily()

void ome::xml::meta::FilterMetadata::setPolylineFontFamily | ( | ome::xml::model::enums::FontFamily | fontFamily,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontFamily property of Polyline.

Parameters

  fontFamily | FontFamily to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineFontSize()

void ome::xml::meta::FilterMetadata::setPolylineFontSize | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | fontSize,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontSize property of Polyline.

Parameters

  fontSize | FontSize to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineFontStyle()

void ome::xml::meta::FilterMetadata::setPolylineFontStyle | ( | ome::xml::model::enums::FontStyle | fontStyle,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontStyle property of Polyline.

Parameters

  fontStyle | FontStyle to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineID()

void ome::xml::meta::FilterMetadata::setPolylineID | ( | const std::string & | id,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the ID property of Polyline.

Parameters

  id | ID to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineLocked()

void ome::xml::meta::FilterMetadata::setPolylineLocked | ( | bool | locked,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Locked property of Polyline.

Parameters

  locked | Locked to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineMarkerEnd()

void ome::xml::meta::FilterMetadata::setPolylineMarkerEnd | ( | ome::xml::model::enums::Marker | markerEnd,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the MarkerEnd property of Polyline.

Parameters

  markerEnd | MarkerEnd to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineMarkerStart()

void ome::xml::meta::FilterMetadata::setPolylineMarkerStart | ( | ome::xml::model::enums::Marker | markerStart,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the MarkerStart property of Polyline.

Parameters

  markerStart | MarkerStart to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylinePoints()

void ome::xml::meta::FilterMetadata::setPolylinePoints | ( | const std::string & | points,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Points property of Polyline.

Parameters

  points | Points to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineStrokeColor()

void ome::xml::meta::FilterMetadata::setPolylineStrokeColor | ( | ome::xml::model::primitives::Color | strokeColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeColor property of Polyline.

Parameters

  strokeColor | StrokeColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineStrokeDashArray()

void ome::xml::meta::FilterMetadata::setPolylineStrokeDashArray | ( | const std::string & | strokeDashArray,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeDashArray property of Polyline.

Parameters

  strokeDashArray | StrokeDashArray to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineStrokeWidth()

void ome::xml::meta::FilterMetadata::setPolylineStrokeWidth | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | strokeWidth,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeWidth property of Polyline.

Parameters

  strokeWidth | StrokeWidth to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineText()

void ome::xml::meta::FilterMetadata::setPolylineText | ( | const std::string & | text,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Text property of Polyline.

Parameters

  text | Text to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineTheC()

void ome::xml::meta::FilterMetadata::setPolylineTheC | ( | ome::xml::model::primitives::NonNegativeInteger | theC,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheC property of Polyline.

Parameters

  theC | TheC to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineTheT()

void ome::xml::meta::FilterMetadata::setPolylineTheT | ( | ome::xml::model::primitives::NonNegativeInteger | theT,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheT property of Polyline.

Parameters

  theT | TheT to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineTheZ()

void ome::xml::meta::FilterMetadata::setPolylineTheZ | ( | ome::xml::model::primitives::NonNegativeInteger | theZ,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheZ property of Polyline.

Parameters

  theZ | TheZ to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setPolylineTransform()

void ome::xml::meta::FilterMetadata::setPolylineTransform | ( | const ::ome::xml::model::AffineTransform & | transform,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Transform property of Polyline.

Parameters

  transform | Transform to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setProjectAnnotationRef()

void ome::xml::meta::FilterMetadata::setProjectAnnotationRef | ( | const std::string & | annotation,
|  | index_type | projectIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Project.

Parameters

  annotation | AnnotationRef to set.
  projectIndex | the Project index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setProjectDatasetRef()

void ome::xml::meta::FilterMetadata::setProjectDatasetRef | ( | const std::string & | dataset,
|  | index_type | projectIndex,
|  | index_type | datasetRefIndex
| ) |  |
| virtual

Set the DatasetRef property of Project.

Parameters

  dataset | DatasetRef to set.
  projectIndex | the Project index.
  datasetRefIndex | DatasetRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setProjectDescription()

void ome::xml::meta::FilterMetadata::setProjectDescription | ( | const std::string & | description,
|  | index_type | projectIndex
| ) |  |
| virtual

Set the Description property of Project.

Parameters

  description | Description to set.
  projectIndex | the Project index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setProjectExperimenterGroupRef()

void ome::xml::meta::FilterMetadata::setProjectExperimenterGroupRef | ( | const std::string & | experimenterGroup,
|  | index_type | projectIndex
| ) |  |
| virtual

Set the ExperimenterGroupRef property of Project.

Parameters

  experimenterGroup | ExperimenterGroupRef to set.
  projectIndex | the Project index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setProjectExperimenterRef()

void ome::xml::meta::FilterMetadata::setProjectExperimenterRef | ( | const std::string & | experimenter,
|  | index_type | projectIndex
| ) |  |
| virtual

Set the ExperimenterRef property of Project.

Parameters

  experimenter | ExperimenterRef to set.
  projectIndex | the Project index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setProjectID()

void ome::xml::meta::FilterMetadata::setProjectID | ( | const std::string & | id,
|  | index_type | projectIndex
| ) |  |
| virtual

Set the ID property of Project.

Parameters

  id | ID to set.
  projectIndex | the Project index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setProjectName()

void ome::xml::meta::FilterMetadata::setProjectName | ( | const std::string & | name,
|  | index_type | projectIndex
| ) |  |
| virtual

Set the Name property of Project.

Parameters

  name | Name to set.
  projectIndex | the Project index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setReagentAnnotationRef()

void ome::xml::meta::FilterMetadata::setReagentAnnotationRef | ( | const std::string & | annotation,
|  | index_type | screenIndex,
|  | index_type | reagentIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Reagent.

Parameters

  annotation | AnnotationRef to set.
  screenIndex | the Screen index.
  reagentIndex | the Reagent index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setReagentDescription()

void ome::xml::meta::FilterMetadata::setReagentDescription | ( | const std::string & | description,
|  | index_type | screenIndex,
|  | index_type | reagentIndex
| ) |  |
| virtual

Set the Description property of Reagent.

Parameters

  description | Description to set.
  screenIndex | the Screen index.
  reagentIndex | the Reagent index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setReagentID()

void ome::xml::meta::FilterMetadata::setReagentID | ( | const std::string & | id,
|  | index_type | screenIndex,
|  | index_type | reagentIndex
| ) |  |
| virtual

Set the ID property of Reagent.

Parameters

  id | ID to set.
  screenIndex | the Screen index.
  reagentIndex | the Reagent index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setReagentName()

void ome::xml::meta::FilterMetadata::setReagentName | ( | const std::string & | name,
|  | index_type | screenIndex,
|  | index_type | reagentIndex
| ) |  |
| virtual

Set the Name property of Reagent.

Parameters

  name | Name to set.
  screenIndex | the Screen index.
  reagentIndex | the Reagent index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setReagentReagentIdentifier()

void ome::xml::meta::FilterMetadata::setReagentReagentIdentifier | ( | const std::string & | reagentIdentifier,
|  | index_type | screenIndex,
|  | index_type | reagentIndex
| ) |  |
| virtual

Set the ReagentIdentifier property of Reagent.

Parameters

  reagentIdentifier | ReagentIdentifier to set.
  screenIndex | the Screen index.
  reagentIndex | the Reagent index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleAnnotationRef()

void ome::xml::meta::FilterMetadata::setRectangleAnnotationRef | ( | const std::string & | annotation,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Rectangle.

Parameters

  annotation | AnnotationRef to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleFillColor()

void ome::xml::meta::FilterMetadata::setRectangleFillColor | ( | ome::xml::model::primitives::Color | fillColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillColor property of Rectangle.

Parameters

  fillColor | FillColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleFillRule()

void ome::xml::meta::FilterMetadata::setRectangleFillRule | ( | ome::xml::model::enums::FillRule | fillRule,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FillRule property of Rectangle.

Parameters

  fillRule | FillRule to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleFontFamily()

void ome::xml::meta::FilterMetadata::setRectangleFontFamily | ( | ome::xml::model::enums::FontFamily | fontFamily,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontFamily property of Rectangle.

Parameters

  fontFamily | FontFamily to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleFontSize()

void ome::xml::meta::FilterMetadata::setRectangleFontSize | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeInteger > | fontSize,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontSize property of Rectangle.

Parameters

  fontSize | FontSize to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleFontStyle()

void ome::xml::meta::FilterMetadata::setRectangleFontStyle | ( | ome::xml::model::enums::FontStyle | fontStyle,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the FontStyle property of Rectangle.

Parameters

  fontStyle | FontStyle to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleHeight()

void ome::xml::meta::FilterMetadata::setRectangleHeight | ( | double | height,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Height property of Rectangle.

Parameters

  height | Height to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleID()

void ome::xml::meta::FilterMetadata::setRectangleID | ( | const std::string & | id,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the ID property of Rectangle.

Parameters

  id | ID to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleLocked()

void ome::xml::meta::FilterMetadata::setRectangleLocked | ( | bool | locked,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Locked property of Rectangle.

Parameters

  locked | Locked to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleStrokeColor()

void ome::xml::meta::FilterMetadata::setRectangleStrokeColor | ( | ome::xml::model::primitives::Color | strokeColor,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeColor property of Rectangle.

Parameters

  strokeColor | StrokeColor to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleStrokeDashArray()

void ome::xml::meta::FilterMetadata::setRectangleStrokeDashArray | ( | const std::string & | strokeDashArray,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeDashArray property of Rectangle.

Parameters

  strokeDashArray | StrokeDashArray to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleStrokeWidth()

void ome::xml::meta::FilterMetadata::setRectangleStrokeWidth | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | strokeWidth,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the StrokeWidth property of Rectangle.

Parameters

  strokeWidth | StrokeWidth to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleText()

void ome::xml::meta::FilterMetadata::setRectangleText | ( | const std::string & | text,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Text property of Rectangle.

Parameters

  text | Text to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleTheC()

void ome::xml::meta::FilterMetadata::setRectangleTheC | ( | ome::xml::model::primitives::NonNegativeInteger | theC,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheC property of Rectangle.

Parameters

  theC | TheC to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleTheT()

void ome::xml::meta::FilterMetadata::setRectangleTheT | ( | ome::xml::model::primitives::NonNegativeInteger | theT,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheT property of Rectangle.

Parameters

  theT | TheT to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleTheZ()

void ome::xml::meta::FilterMetadata::setRectangleTheZ | ( | ome::xml::model::primitives::NonNegativeInteger | theZ,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the TheZ property of Rectangle.

Parameters

  theZ | TheZ to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleTransform()

void ome::xml::meta::FilterMetadata::setRectangleTransform | ( | const ::ome::xml::model::AffineTransform & | transform,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Transform property of Rectangle.

Parameters

  transform | Transform to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleWidth()

void ome::xml::meta::FilterMetadata::setRectangleWidth | ( | double | width,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Width property of Rectangle.

Parameters

  width | Width to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleX()

void ome::xml::meta::FilterMetadata::setRectangleX | ( | double | x,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the X property of Rectangle.

Parameters

  x | X to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRectangleY()

void ome::xml::meta::FilterMetadata::setRectangleY | ( | double | y,
|  | index_type | ROIIndex,
|  | index_type | shapeIndex
| ) |  |
| virtual

Set the Y property of Rectangle.

Parameters

  y | Y to set.
  ROIIndex | the ROI index.
  shapeIndex | the Shape index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRightsRightsHeld()

void ome::xml::meta::FilterMetadata::setRightsRightsHeld | ( | const std::string & | rightsHeld | ) |
| virtual

Set the RightsHeld property of Rights.

Parameters

  rightsHeld | RightsHeld to set.

Implements ome::xml::meta::MetadataStore.

References store.

## § setRightsRightsHolder()

void ome::xml::meta::FilterMetadata::setRightsRightsHolder | ( | const std::string & | rightsHolder | ) |
| virtual

Set the RightsHolder property of Rights.

Parameters

  rightsHolder | RightsHolder to set.

Implements ome::xml::meta::MetadataStore.

References store.

## § setROIAnnotationRef()

void ome::xml::meta::FilterMetadata::setROIAnnotationRef | ( | const std::string & | annotation,
|  | index_type | ROIIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of ROI.

Parameters

  annotation | AnnotationRef to set.
  ROIIndex | the ROI index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setROIDescription()

void ome::xml::meta::FilterMetadata::setROIDescription | ( | const std::string & | description,
|  | index_type | ROIIndex
| ) |  |
| virtual

Set the Description property of ROI.

Parameters

  description | Description to set.
  ROIIndex | the ROI index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setROIID()

void ome::xml::meta::FilterMetadata::setROIID | ( | const std::string & | id,
|  | index_type | ROIIndex
| ) |  |
| virtual

Set the ID property of ROI.

Parameters

  id | ID to set.
  ROIIndex | the ROI index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setROIName()

void ome::xml::meta::FilterMetadata::setROIName | ( | const std::string & | name,
|  | index_type | ROIIndex
| ) |  |
| virtual

Set the Name property of ROI.

Parameters

  name | Name to set.
  ROIIndex | the ROI index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setRoot()

void ome::xml::meta::FilterMetadata::setRoot | ( | ome::compat::shared_ptr< MetadataRoot > & | root | ) |
| virtual

Set the root node of the metadata.

Note that the root node type will be specific to the concrete metadata implementation. An exception will be thrown if the root node is of an incompatible type.

Parameters

  root | a pointer to the root node.

Todo:
  should this be a reference or shared_ptr?

Implements ome::xml::meta::MetadataStore.

References store.

## § setScreenAnnotationRef()

void ome::xml::meta::FilterMetadata::setScreenAnnotationRef | ( | const std::string & | annotation,
|  | index_type | screenIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Screen.

Parameters

  annotation | AnnotationRef to set.
  screenIndex | the Screen index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setScreenDescription()

void ome::xml::meta::FilterMetadata::setScreenDescription | ( | const std::string & | description,
|  | index_type | screenIndex
| ) |  |
| virtual

Set the Description property of Screen.

Parameters

  description | Description to set.
  screenIndex | the Screen index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setScreenID()

void ome::xml::meta::FilterMetadata::setScreenID | ( | const std::string & | id,
|  | index_type | screenIndex
| ) |  |
| virtual

Set the ID property of Screen.

Parameters

  id | ID to set.
  screenIndex | the Screen index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setScreenName()

void ome::xml::meta::FilterMetadata::setScreenName | ( | const std::string & | name,
|  | index_type | screenIndex
| ) |  |
| virtual

Set the Name property of Screen.

Parameters

  name | Name to set.
  screenIndex | the Screen index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setScreenPlateRef()

void ome::xml::meta::FilterMetadata::setScreenPlateRef | ( | const std::string & | plate,
|  | index_type | screenIndex,
|  | index_type | plateRefIndex
| ) |  |
| virtual

Set the PlateRef property of Screen.

Parameters

  plate | PlateRef to set.
  screenIndex | the Screen index.
  plateRefIndex | PlateRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setScreenProtocolDescription()

void ome::xml::meta::FilterMetadata::setScreenProtocolDescription | ( | const std::string & | protocolDescription,
|  | index_type | screenIndex
| ) |  |
| virtual

Set the ProtocolDescription property of Screen.

Parameters

  protocolDescription | ProtocolDescription to set.
  screenIndex | the Screen index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setScreenProtocolIdentifier()

void ome::xml::meta::FilterMetadata::setScreenProtocolIdentifier | ( | const std::string & | protocolIdentifier,
|  | index_type | screenIndex
| ) |  |
| virtual

Set the ProtocolIdentifier property of Screen.

Parameters

  protocolIdentifier | ProtocolIdentifier to set.
  screenIndex | the Screen index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setScreenReagentSetDescription()

void ome::xml::meta::FilterMetadata::setScreenReagentSetDescription | ( | const std::string & | reagentSetDescription,
|  | index_type | screenIndex
| ) |  |
| virtual

Set the ReagentSetDescription property of Screen.

Parameters

  reagentSetDescription | ReagentSetDescription to set.
  screenIndex | the Screen index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setScreenReagentSetIdentifier()

void ome::xml::meta::FilterMetadata::setScreenReagentSetIdentifier | ( | const std::string & | reagentSetIdentifier,
|  | index_type | screenIndex
| ) |  |
| virtual

Set the ReagentSetIdentifier property of Screen.

Parameters

  reagentSetIdentifier | ReagentSetIdentifier to set.
  screenIndex | the Screen index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setScreenType()

void ome::xml::meta::FilterMetadata::setScreenType | ( | const std::string & | type,
|  | index_type | screenIndex
| ) |  |
| virtual

Set the Type property of Screen.

Parameters

  type | Type to set.
  screenIndex | the Screen index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setStageLabelName()

void ome::xml::meta::FilterMetadata::setStageLabelName | ( | const std::string & | name,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the Name property of StageLabel.

Parameters

  name | Name to set.
  imageIndex | the Image index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setStageLabelX()

void ome::xml::meta::FilterMetadata::setStageLabelX | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | x,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the X property of StageLabel.

Parameters

  x | X to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setStageLabelY()

void ome::xml::meta::FilterMetadata::setStageLabelY | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | y,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the Y property of StageLabel.

Parameters

  y | Y to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setStageLabelZ()

void ome::xml::meta::FilterMetadata::setStageLabelZ | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | z,
|  | index_type | imageIndex
| ) |  |
| virtual

Set the Z property of StageLabel.

Parameters

  z | Z to set.
  imageIndex | the Image index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setTagAnnotationAnnotationRef()

void ome::xml::meta::FilterMetadata::setTagAnnotationAnnotationRef | ( | const std::string & | annotation,
|  | index_type | tagAnnotationIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of TagAnnotation.

Parameters

  annotation | AnnotationRef to set.
  tagAnnotationIndex | the TagAnnotation index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setTagAnnotationAnnotator()

void ome::xml::meta::FilterMetadata::setTagAnnotationAnnotator | ( | const std::string & | annotator,
|  | index_type | tagAnnotationIndex
| ) |  |
| virtual

Set the Annotator property of TagAnnotation.

Parameters

  annotator | Annotator to set.
  tagAnnotationIndex | the TagAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setTagAnnotationDescription()

void ome::xml::meta::FilterMetadata::setTagAnnotationDescription | ( | const std::string & | description,
|  | index_type | tagAnnotationIndex
| ) |  |
| virtual

Set the Description property of TagAnnotation.

Parameters

  description | Description to set.
  tagAnnotationIndex | the TagAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setTagAnnotationID()

void ome::xml::meta::FilterMetadata::setTagAnnotationID | ( | const std::string & | id,
|  | index_type | tagAnnotationIndex
| ) |  |
| virtual

Set the ID property of TagAnnotation.

Parameters

  id | ID to set.
  tagAnnotationIndex | the TagAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setTagAnnotationNamespace()

void ome::xml::meta::FilterMetadata::setTagAnnotationNamespace | ( | const std::string & | namespace_,
|  | index_type | tagAnnotationIndex
| ) |  |
| virtual

Set the Namespace property of TagAnnotation.

Parameters

  namespace_ | Namespace to set.
  tagAnnotationIndex | the TagAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setTagAnnotationValue()

void ome::xml::meta::FilterMetadata::setTagAnnotationValue | ( | const std::string & | value,
|  | index_type | tagAnnotationIndex
| ) |  |
| virtual

Set the Value property of TagAnnotation.

Parameters

  value | Value to set.
  tagAnnotationIndex | the TagAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setTermAnnotationAnnotationRef()

void ome::xml::meta::FilterMetadata::setTermAnnotationAnnotationRef | ( | const std::string & | annotation,
|  | index_type | termAnnotationIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of TermAnnotation.

Parameters

  annotation | AnnotationRef to set.
  termAnnotationIndex | the TermAnnotation index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setTermAnnotationAnnotator()

void ome::xml::meta::FilterMetadata::setTermAnnotationAnnotator | ( | const std::string & | annotator,
|  | index_type | termAnnotationIndex
| ) |  |
| virtual

Set the Annotator property of TermAnnotation.

Parameters

  annotator | Annotator to set.
  termAnnotationIndex | the TermAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setTermAnnotationDescription()

void ome::xml::meta::FilterMetadata::setTermAnnotationDescription | ( | const std::string & | description,
|  | index_type | termAnnotationIndex
| ) |  |
| virtual

Set the Description property of TermAnnotation.

Parameters

  description | Description to set.
  termAnnotationIndex | the TermAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setTermAnnotationID()

void ome::xml::meta::FilterMetadata::setTermAnnotationID | ( | const std::string & | id,
|  | index_type | termAnnotationIndex
| ) |  |
| virtual

Set the ID property of TermAnnotation.

Parameters

  id | ID to set.
  termAnnotationIndex | the TermAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setTermAnnotationNamespace()

void ome::xml::meta::FilterMetadata::setTermAnnotationNamespace | ( | const std::string & | namespace_,
|  | index_type | termAnnotationIndex
| ) |  |
| virtual

Set the Namespace property of TermAnnotation.

Parameters

  namespace_ | Namespace to set.
  termAnnotationIndex | the TermAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setTermAnnotationValue()

void ome::xml::meta::FilterMetadata::setTermAnnotationValue | ( | const std::string & | value,
|  | index_type | termAnnotationIndex
| ) |  |
| virtual

Set the Value property of TermAnnotation.

Parameters

  value | Value to set.
  termAnnotationIndex | the TermAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setTiffDataFirstC()

void ome::xml::meta::FilterMetadata::setTiffDataFirstC | ( | ome::xml::model::primitives::NonNegativeInteger | firstC,
|  | index_type | imageIndex,
|  | index_type | tiffDataIndex
| ) |  |
| virtual

Set the FirstC property of TiffData.

Parameters

  firstC | FirstC to set.
  imageIndex | the Image index.
  tiffDataIndex | the TiffData index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setTiffDataFirstT()

void ome::xml::meta::FilterMetadata::setTiffDataFirstT | ( | ome::xml::model::primitives::NonNegativeInteger | firstT,
|  | index_type | imageIndex,
|  | index_type | tiffDataIndex
| ) |  |
| virtual

Set the FirstT property of TiffData.

Parameters

  firstT | FirstT to set.
  imageIndex | the Image index.
  tiffDataIndex | the TiffData index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setTiffDataFirstZ()

void ome::xml::meta::FilterMetadata::setTiffDataFirstZ | ( | ome::xml::model::primitives::NonNegativeInteger | firstZ,
|  | index_type | imageIndex,
|  | index_type | tiffDataIndex
| ) |  |
| virtual

Set the FirstZ property of TiffData.

Parameters

  firstZ | FirstZ to set.
  imageIndex | the Image index.
  tiffDataIndex | the TiffData index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setTiffDataIFD()

void ome::xml::meta::FilterMetadata::setTiffDataIFD | ( | ome::xml::model::primitives::NonNegativeInteger | ifd,
|  | index_type | imageIndex,
|  | index_type | tiffDataIndex
| ) |  |
| virtual

Set the IFD property of TiffData.

Parameters

  ifd | IFD to set.
  imageIndex | the Image index.
  tiffDataIndex | the TiffData index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setTiffDataPlaneCount()

void ome::xml::meta::FilterMetadata::setTiffDataPlaneCount | ( | ome::xml::model::primitives::NonNegativeInteger | planeCount,
|  | index_type | imageIndex,
|  | index_type | tiffDataIndex
| ) |  |
| virtual

Set the PlaneCount property of TiffData.

Parameters

  planeCount | PlaneCount to set.
  imageIndex | the Image index.
  tiffDataIndex | the TiffData index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setTimestampAnnotationAnnotationRef()

void ome::xml::meta::FilterMetadata::setTimestampAnnotationAnnotationRef | ( | const std::string & | annotation,
|  | index_type | timestampAnnotationIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of TimestampAnnotation.

Parameters

  annotation | AnnotationRef to set.
  timestampAnnotationIndex | the TimestampAnnotation index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setTimestampAnnotationAnnotator()

void ome::xml::meta::FilterMetadata::setTimestampAnnotationAnnotator | ( | const std::string & | annotator,
|  | index_type | timestampAnnotationIndex
| ) |  |
| virtual

Set the Annotator property of TimestampAnnotation.

Parameters

  annotator | Annotator to set.
  timestampAnnotationIndex | the TimestampAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setTimestampAnnotationDescription()

void ome::xml::meta::FilterMetadata::setTimestampAnnotationDescription | ( | const std::string & | description,
|  | index_type | timestampAnnotationIndex
| ) |  |
| virtual

Set the Description property of TimestampAnnotation.

Parameters

  description | Description to set.
  timestampAnnotationIndex | the TimestampAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setTimestampAnnotationID()

void ome::xml::meta::FilterMetadata::setTimestampAnnotationID | ( | const std::string & | id,
|  | index_type | timestampAnnotationIndex
| ) |  |
| virtual

Set the ID property of TimestampAnnotation.

Parameters

  id | ID to set.
  timestampAnnotationIndex | the TimestampAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setTimestampAnnotationNamespace()

void ome::xml::meta::FilterMetadata::setTimestampAnnotationNamespace | ( | const std::string & | namespace_,
|  | index_type | timestampAnnotationIndex
| ) |  |
| virtual

Set the Namespace property of TimestampAnnotation.

Parameters

  namespace_ | Namespace to set.
  timestampAnnotationIndex | the TimestampAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setTimestampAnnotationValue()

void ome::xml::meta::FilterMetadata::setTimestampAnnotationValue | ( | ome::xml::model::primitives::Timestamp | value,
|  | index_type | timestampAnnotationIndex
| ) |  |
| virtual

Set the Value property of TimestampAnnotation.

Parameters

  value | Value to set.
  timestampAnnotationIndex | the TimestampAnnotation index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setTransmittanceRangeCutIn()

void ome::xml::meta::FilterMetadata::setTransmittanceRangeCutIn | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | cutIn,
|  | index_type | instrumentIndex,
|  | index_type | filterIndex
| ) |  |
| virtual

Set the CutIn property of TransmittanceRange.

Parameters

  cutIn | CutIn to set.
  instrumentIndex | the Instrument index.
  filterIndex | the Filter index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setTransmittanceRangeCutInTolerance()

void ome::xml::meta::FilterMetadata::setTransmittanceRangeCutInTolerance | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeFloat > | cutInTolerance,
|  | index_type | instrumentIndex,
|  | index_type | filterIndex
| ) |  |
| virtual

Set the CutInTolerance property of TransmittanceRange.

Parameters

  cutInTolerance | CutInTolerance to set.
  instrumentIndex | the Instrument index.
  filterIndex | the Filter index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setTransmittanceRangeCutOut()

void ome::xml::meta::FilterMetadata::setTransmittanceRangeCutOut | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::PositiveFloat > | cutOut,
|  | index_type | instrumentIndex,
|  | index_type | filterIndex
| ) |  |
| virtual

Set the CutOut property of TransmittanceRange.

Parameters

  cutOut | CutOut to set.
  instrumentIndex | the Instrument index.
  filterIndex | the Filter index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setTransmittanceRangeCutOutTolerance()

void ome::xml::meta::FilterMetadata::setTransmittanceRangeCutOutTolerance | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength, ome::xml::model::primitives::NonNegativeFloat > | cutOutTolerance,
|  | index_type | instrumentIndex,
|  | index_type | filterIndex
| ) |  |
| virtual

Set the CutOutTolerance property of TransmittanceRange.

Parameters

  cutOutTolerance | CutOutTolerance to set.
  instrumentIndex | the Instrument index.
  filterIndex | the Filter index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setTransmittanceRangeTransmittance()

void ome::xml::meta::FilterMetadata::setTransmittanceRangeTransmittance | ( | ome::xml::model::primitives::PercentFraction | transmittance,
|  | index_type | instrumentIndex,
|  | index_type | filterIndex
| ) |  |
| virtual

Set the Transmittance property of TransmittanceRange.

Parameters

  transmittance | Transmittance to set.
  instrumentIndex | the Instrument index.
  filterIndex | the Filter index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setUUID()

void ome::xml::meta::FilterMetadata::setUUID | ( | const std::string & | uuid | ) |
| virtual

Set the UUID associated with this collection of metadata.

Parameters

  uuid | the UUID to set.

Implements ome::xml::meta::MetadataStore.

References store.

## § setUUIDFileName()

void ome::xml::meta::FilterMetadata::setUUIDFileName | ( | const std::string & | fileName,
|  | index_type | imageIndex,
|  | index_type | tiffDataIndex
| ) |  |
| virtual

Set the FileName property of UUID.

Parameters

  fileName | FileName to set.
  imageIndex | the Image index.
  tiffDataIndex | the TiffData index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setUUIDValue()

void ome::xml::meta::FilterMetadata::setUUIDValue | ( | std::string | value,
|  | index_type | imageIndex,
|  | index_type | tiffDataIndex
| ) |  |
| virtual

Set the text value of UUID.

Parameters

  value | text value.
  imageIndex | the Image index.
  tiffDataIndex | the TiffData index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellAnnotationRef()

void ome::xml::meta::FilterMetadata::setWellAnnotationRef | ( | const std::string & | annotation,
|  | index_type | plateIndex,
|  | index_type | wellIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of Well.

Parameters

  annotation | AnnotationRef to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellColor()

void ome::xml::meta::FilterMetadata::setWellColor | ( | ome::xml::model::primitives::Color | color,
|  | index_type | plateIndex,
|  | index_type | wellIndex
| ) |  |
| virtual

Set the Color property of Well.

Parameters

  color | Color to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellColumn()

void ome::xml::meta::FilterMetadata::setWellColumn | ( | ome::xml::model::primitives::NonNegativeInteger | column,
|  | index_type | plateIndex,
|  | index_type | wellIndex
| ) |  |
| virtual

Set the Column property of Well.

Parameters

  column | Column to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellExternalDescription()

void ome::xml::meta::FilterMetadata::setWellExternalDescription | ( | const std::string & | externalDescription,
|  | index_type | plateIndex,
|  | index_type | wellIndex
| ) |  |
| virtual

Set the ExternalDescription property of Well.

Parameters

  externalDescription | ExternalDescription to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellExternalIdentifier()

void ome::xml::meta::FilterMetadata::setWellExternalIdentifier | ( | const std::string & | externalIdentifier,
|  | index_type | plateIndex,
|  | index_type | wellIndex
| ) |  |
| virtual

Set the ExternalIdentifier property of Well.

Parameters

  externalIdentifier | ExternalIdentifier to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellID()

void ome::xml::meta::FilterMetadata::setWellID | ( | const std::string & | id,
|  | index_type | plateIndex,
|  | index_type | wellIndex
| ) |  |
| virtual

Set the ID property of Well.

Parameters

  id | ID to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellReagentRef()

void ome::xml::meta::FilterMetadata::setWellReagentRef | ( | const std::string & | reagent,
|  | index_type | plateIndex,
|  | index_type | wellIndex
| ) |  |
| virtual

Set the ReagentRef property of Well.

Parameters

  reagent | ReagentRef to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellRow()

void ome::xml::meta::FilterMetadata::setWellRow | ( | ome::xml::model::primitives::NonNegativeInteger | row,
|  | index_type | plateIndex,
|  | index_type | wellIndex
| ) |  |
| virtual

Set the Row property of Well.

Parameters

  row | Row to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellSampleID()

void ome::xml::meta::FilterMetadata::setWellSampleID | ( | const std::string & | id,
|  | index_type | plateIndex,
|  | index_type | wellIndex,
|  | index_type | wellSampleIndex
| ) |  |
| virtual

Set the ID property of WellSample.

Parameters

  id | ID to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.
  wellSampleIndex | the WellSample index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellSampleImageRef()

void ome::xml::meta::FilterMetadata::setWellSampleImageRef | ( | const std::string & | image,
|  | index_type | plateIndex,
|  | index_type | wellIndex,
|  | index_type | wellSampleIndex
| ) |  |
| virtual

Set the ImageRef property of WellSample.

Parameters

  image | ImageRef to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.
  wellSampleIndex | the WellSample index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellSampleIndex()

void ome::xml::meta::FilterMetadata::setWellSampleIndex | ( | ome::xml::model::primitives::NonNegativeInteger | index,
|  | index_type | plateIndex,
|  | index_type | wellIndex,
|  | index_type | wellSampleIndex
| ) |  |
| virtual

Set the Index property of WellSample.

Parameters

  index | Index to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.
  wellSampleIndex | the WellSample index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellSamplePositionX()

void ome::xml::meta::FilterMetadata::setWellSamplePositionX | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | positionX,
|  | index_type | plateIndex,
|  | index_type | wellIndex,
|  | index_type | wellSampleIndex
| ) |  |
| virtual

Set the PositionX property of WellSample.

Parameters

  positionX | PositionX to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.
  wellSampleIndex | the WellSample index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellSamplePositionY()

void ome::xml::meta::FilterMetadata::setWellSamplePositionY | ( | ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsLength > | positionY,
|  | index_type | plateIndex,
|  | index_type | wellIndex,
|  | index_type | wellSampleIndex
| ) |  |
| virtual

Set the PositionY property of WellSample.

Parameters

  positionY | PositionY to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.
  wellSampleIndex | the WellSample index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellSampleTimepoint()

void ome::xml::meta::FilterMetadata::setWellSampleTimepoint | ( | ome::xml::model::primitives::Timestamp | timepoint,
|  | index_type | plateIndex,
|  | index_type | wellIndex,
|  | index_type | wellSampleIndex
| ) |  |
| virtual

Set the Timepoint property of WellSample.

Parameters

  timepoint | Timepoint to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.
  wellSampleIndex | the WellSample index.

Implements ome::xml::meta::MetadataStore.

References store.

## § setWellType()

void ome::xml::meta::FilterMetadata::setWellType | ( | const std::string & | type,
|  | index_type | plateIndex,
|  | index_type | wellIndex
| ) |  |
| virtual

Set the Type property of Well.

Parameters

  type | Type to set.
  plateIndex | the Plate index.
  wellIndex | the Well index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setXMLAnnotationAnnotationRef()

void ome::xml::meta::FilterMetadata::setXMLAnnotationAnnotationRef | ( | const std::string & | annotation,
|  | index_type | XMLAnnotationIndex,
|  | index_type | annotationRefIndex
| ) |  |
| virtual

Set the AnnotationRef property of XMLAnnotation.

Parameters

  annotation | AnnotationRef to set.
  XMLAnnotationIndex | the XMLAnnotation index.
  annotationRefIndex | AnnotationRef index (unused).

Implements ome::xml::meta::MetadataStore.

References store.

## § setXMLAnnotationAnnotator()

void ome::xml::meta::FilterMetadata::setXMLAnnotationAnnotator | ( | const std::string & | annotator,
|  | index_type | XMLAnnotationIndex
| ) |  |
| virtual

Set the Annotator property of XMLAnnotation.

Parameters

  annotator | Annotator to set.
  XMLAnnotationIndex | the XMLAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setXMLAnnotationDescription()

void ome::xml::meta::FilterMetadata::setXMLAnnotationDescription | ( | const std::string & | description,
|  | index_type | XMLAnnotationIndex
| ) |  |
| virtual

Set the Description property of XMLAnnotation.

Parameters

  description | Description to set.
  XMLAnnotationIndex | the XMLAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setXMLAnnotationID()

void ome::xml::meta::FilterMetadata::setXMLAnnotationID | ( | const std::string & | id,
|  | index_type | XMLAnnotationIndex
| ) |  |
| virtual

Set the ID property of XMLAnnotation.

Parameters

  id | ID to set.
  XMLAnnotationIndex | the XMLAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setXMLAnnotationNamespace()

void ome::xml::meta::FilterMetadata::setXMLAnnotationNamespace | ( | const std::string & | namespace_,
|  | index_type | XMLAnnotationIndex
| ) |  |
| virtual

Set the Namespace property of XMLAnnotation.

Parameters

  namespace_ | Namespace to set.
  XMLAnnotationIndex | the XMLAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

## § setXMLAnnotationValue()

void ome::xml::meta::FilterMetadata::setXMLAnnotationValue | ( | const std::string & | value,
|  | index_type | XMLAnnotationIndex
| ) |  |
| virtual

Set the Value property of XMLAnnotation.

Parameters

  value | Value to set.
  XMLAnnotationIndex | the XMLAnnotation index.

Todo:
  : Implement DataTools.sanitize if needed for C++

Implements ome::xml::meta::MetadataStore.

References store.

The documentation for this class was generated from the following files:

- ome/xml/meta/FilterMetadata.h
- ome/xml/meta/FilterMetadata.cpp